Include "includes/cam_generic.hb"
DebugLoud
Graphics3D 800,600,32,2

;UseDirectX11
terrain=LoadTerrain("..\..\samples\images\height_map.bmp")
;terrain=CreateTerrain(32)

TerrainDetail terrain,5000,1
TerrainShading terrain,True
;WireFrame 1
ScaleEntity terrain,10,300,10
cam=CreateCamera()

sz%%=32

;scape=CreateScape(sz,0)
;terrainscape terrain,scape

;CameraRange cam,0,30
MoveEntity cam,0,55,-20

AmbientLight 127,127,127

light=CreateLight(1)
LightRange light,10000

tex=LoadTexture("..\..\samples\images\MossyGround.bmp")
EntityTexture terrain,tex,0,0

;For z=0 To 100
;ModifyTerrain terrain,1,1,1,False
;Next


Repeat
RenderWorld

surf=GetSurface(terrain,1)
ct=CountVertices(surf)
tr=CountTriangles(surf)

Text 0,0,GetFPS()
Text 0,20,ct
Text 0,40,tr
Flip 0
;MoveEntity cam,.001,.001,.001
;Exit
;CamMove%(cam,move#,diff#)
cammove cam,.2,1
PositionEntity light,EntityX(cam,1),EntityY(cam,1),EntityZ(cam,1),1

Until KeyDown(1)

Print 
Print "hi"

surf=GetSurface(terrain,1)
Print "---"
ct=CountVertices(surf)
tr=CountTriangles(surf)
Print ct
Print tr

For a=0 To 10
Print VertexX(surf,a)+","+VertexY(surf,a)+","+VertexZ(surf,a)
Next

Print "---"

For a=0 To 3
Print TriangleVertex(surf,a,0)+","+TriangleVertex(surf,a,1)+","+TriangleVertex(surf,a,2)
Next

FlushKeys
;WaitKey

End
