;loadb3d test
;dx_ask
;UseDirectX11
Include "includes\cam_generic.hb"
Include "includes\gfx_generic.hb"
DebugLoudAndHarsh
;dxSetWindowDefaults False,False,False,False,False
Graphics3D 800,600,32,2
;WinGfxMode

AppTitle "Direct x 9 test window"
ShowMouse

font=LoadFont("times",20,0,0,0)
SetFont font

HWShaders 1

floorr= CreateCube(0)
ScaleEntity floorr,1200,1,1200,True
MoveEntity floorr,1000,0,1000
tex=LoadTexture("..\..\samples\images\brick.jpg",9)
ScaleTexture tex,.1,.1
EntityTexture floorr,tex,0,0


dwarf=LoadMesh("..\..\samples\models\dwarf1.b3d",0)

;dwarf=dxLoadMesh("models\sim.x",0)
tex=LoadTexture("..\..\samples\images\dwarf.jpg",9)
tex2=LoadTexture("..\..\samples\images\axe.jpg",9+4)

EntityTexture dwarf,tex,0,0
SurfaceTexture GetSurface(dwarf,4),tex2,0,0

Const x_size=20
Const z_size=x_size
array_size=x_size*x_size

instance=CreateInstancer(True,0,0,0,0)

InstancerAddElements instance,array_size

Dim y_pos#(array_size)
Dim max_height#(array_size)
Dim waiting(array_size)
Dim dir(array_size)
Dim speed(array_size)
Dim spin_speed#(array_size)

element=1
For x=0 To x_size-1
For z=0 To z_size-1
InstancerPositionElement(instance,element,x*100,0,z*100)
InstancerRotateElement(instance,element,0,Rnd(360),0)
sca#=Rnd(.4)+.8;
InstancerScaleElement(instance,element,sca,sca,sca)
If (Rnd(1)<.5) InstancerElementActivate(instance,element,False)

spin_speed(element)=Rnd(2)-1
element=element+1
Next
Next

InstancerHookEntity instance,dwarf
;dxFreeInstancerElement instance,201
ne=InstancerCountElements(instance)

cam=CreateCamera(0)
CameraRange cam,.1,10000

MoveEntity cam,0,150,0
TurnEntity cam,0,-40,-5,True

light=CreateLight(1,0)

AmbientLight 255,255,255
UpdateNormals dwarf
PositionEntity dwarf,0,0,100,True

;dxEntitySepia dwarf,True
EntitySimpleBlur dwarf,True
;dxMeshSimplify dwarf,0,0,0,25

;dxFitMesh dwarf,0,0,0,1,1,1,True

;dxEntityAlpha dwarf,.5
;dxSurfaceAlpha dxGetSurface(dwarf,4),.5

diff#=0
lastmilli=MilliSecs()

;dxMoveEntity cam,0,-dxMeshHeight(dwarf)/2,0

tex=CreateTexture(256,256,1,1+128)


;HideEntity dwarf

Repeat

a=1
For x=0 To x_size-1
For z=0 To z_size-1

If (waiting(a)=0)
If Rnd(300)<2
waiting(a)=1
dir(a)=1
max_height(a)=Rnd(50)+1
speed(a)=Rnd(1)+.2
EndIf
Else

If dir(a)=1
y_pos(a)=y_pos(a)+(speed(a)*diff)
If y_pos(a)>max_height(a)
dir(a)=0
EndIf

Else
y_pos(a)=y_pos(a)-(.06*diff)
If y_pos(a)<0
y_pos(a)=0
waiting(a)=0
EndIf
EndIf

InstancerPositionElement(instance,a,x*100,y_pos(a),z*100)

EndIf

InstancerTurnElement instance,a,0,.0001*spin_speed(a)*diff,0

a=a+1
Next
Next

	milli=MilliSecs()
	diff=milli-lastmilli
	lastmilli=milli

RenderWorld 0
Text 0,0,GetFPS(),0,0
Text 0,24,"Welcome to the annual dwarf crazy jumping competition.....",0,0
Text 0,50,"Window width:"+WindowWidth(),0,0
Flip 0
;dxTurnEntity dwarf,0,diff*.1,0,False
	move#=.1
camMove cam,move,diff

fpsav=(fpsav+GetFPS())/2.0

Until KeyDown(1) 

EndGraphics

Print ""
Print "Fps average:"+fpsav
FlushKeys
Delay 2000
WaitKey

End