Global ypos

;loadb3d test
;dx_ask

DebugLoud

Include "includes\cam_generic.hb"
Include "includes\gfx_generic.hb"

;dxSetWindowDefaults False,False,False,False,False
Graphics3D 800,600,32,2
;WinGfxMode
typ=1

AppTitle "Direct x 9 test window"
ShowMouse


dwarf=LoadAnimMesh("..\..\samples\models\dwarf1.b3d",0)

d2=LoadMesh("..\..\samples\models\dwarf1.b3d",0)

EntityAlpha d2,.3

Print "Bone count:"+CountBones(dwarf)
Print "Root bone: "+GetRootBone(dwarf,1)+":"+BoneName(dwarf,GetRootBone(dwarf,1))

Dim cub(100)
For bn=1 To CountBones(dwarf)
a$=bn+":"+BoneName(dwarf,bn)+" has "+CountBoneChildren(dwarf,bn)
If (CountBoneChildren(dwarf,bn)>0)
a$=a$+"-> "
For b=1 To CountBoneChildren(dwarf,bn)
a$=a$+BoneName(dwarf,GetBoneChild(dwarf,bn,b))+" "
Next
EndIf
cub(bn)=CreateCube(0)
EntityOrder cub(bn),-1
h#=BoneX(dwarf,bn,1,1)
PositionEntity cub(bn),BoneX(dwarf,bn,1,typ),BoneY(dwarf,bn,1,typ),BoneZ(dwarf,bn,1,typ),True
Next
;SurfaceAlpha GetSurface(dwarf,4),0


tex=LoadTexture("..\..\samples\images\dwarf.jpg",9)
tex2=LoadTexture("..\..\samples\images\axe.jpg",9)

EntityTexture dwarf,tex,0,0
SurfaceTexture GetSurface(dwarf,4),tex2,0,0
SurfaceTexture GetSurface(d2,4),tex2,0,0

If (d2=0) End
If (dwarf=0) End
sur=CountSurfaces(dwarf)
EntityFX dwarf,1
cam=CreateCamera(0)
MoveEntity cam,0,0,-150
light=CreateLight(1,0)
PositionEntity light,128,100,128,True
CameraRange cam,.01,1000


CameraClsColor cam,127,127,127

AmbientLight 255,255,255

EntityColor dwarf,255,255,255
diff#=0
lastmilli=MilliSecs()



Animate dwarf,2,0.15,1,1

;HideEntity dwarf

bone=0

typ=2

Repeat

	milli=MilliSecs()
	diff=milli-lastmilli
	lastmilli=milli
UpdateWorld 5

For bn=1 To CountBones(dwarf)
PositionEntity cub(bn),BoneX(dwarf,bn,1,typ),BoneY(dwarf,bn,1,typ),BoneZ(dwarf,bn,1,typ),True
Next

RenderWorld 0

Text 500,0,"Bone:"+bone+","+BoneName(dwarf,bone)
matrix=BoneMatrix(dwarf,bone)
Text 500,20,"Pos="+MatrixX(matrix)+","+MatrixY(matrix)+","+MatrixZ(matrix)
Text 500,40,"Sca="+MatrixScaleX(matrix)+","+MatrixScaleY(matrix)+","+MatrixScaleZ(matrix)
Text 500,60,"Rot="+MatrixPitch(matrix)+","+MatrixYaw(matrix)+","+MatrixRoll(matrix)
FreeMatrix matrix

For aa=0 To CountBones(dwarf)
EntityColor cub(aa),255,255,255
Next
EntityColor cub(bone),255,0,0


If (KeyHit(16)) typ=typ-1
If (KeyHit(17)) typ=typ+1


If (KeyHit(24)) bone=bone-1
If (KeyHit(25)) bone=bone+1
If bone>CountBones(dwarf) bone=CountBones(dwarf)
If bone<0 bone=0
Text 0,0,"Fps:"+GetFPS(),0,0

boneinfo(dwarf,bone)
;Text 0,20,"Anim time:"+AnimTime(dwarf),0,0
;Text 0,40,"Bone count:"+CountBones(dwarf),0,0
;Text 0,60,"Bone 1's name:"+BoneName(dwarf,1),0,0
;Text 0,80,"Bone 1 has "+CountBoneChildren(dwarf,1)+" children: "+BoneName(dwarf,1),0,0
;Text 0,100,"Bone 1 has "+CountBoneSiblings(dwarf,1)+" siblings",0,0
;Text 0,120,"Bone 1's root bone is bone number "+GetRootBone(dwarf,1),0,0
Flip 0

move#=.01
camMove cam,move,diff

fpsav=(fpsav+GetFPS())/2.0

Until KeyDown(1) 

EndGraphics

Print""
Print "Fps average:"+fpsav

FlushKeys
Delay 2000
WaitKey
End

Function dPrint(tex$)
Text 0,ypos,Tex$,0,0
ypos=ypos+12
End Function

Function boneinfo(ent,bone)
Text 0,20,"Bone:"+bone
Text 0,60,"Name:"+BoneName$(ent,bone)
Text 0,80,"Children:"+CountBoneChildren(ent,bone)
ypos=120
For a=1 To CountBoneChildren(ent,bone)
Text 0,ypos,a+":"+BoneName$(ent,GetBoneChild(ent,bone,a))
ypos=ypos+20
Next
ypos=ypos+20
Text 0,ypos,"Root bone: "+GetRootBone(ent,1)+":"+BoneName(ent,GetRootBone(ent,1))
End Function