;loadb3d test
;_ask
Include "includes\cam_generic.hb"
Include "includes\gfx_generic.hb"
DebugLoudAndHarsh
;SetWindowDefaults False,False,False,False,False

Graphics3D 800,600,32,2
;WinGfxMode

AppTitle "Direct x 9 test window"
ShowMouse

font=LoadFont("times",20,0,0,0)
SetFont font

;HWShaders True

terrain=LoadTerrain("..\..\samples\images\height_map.bmp",0)
grass=LoadTexture("..\..\samples\images\grass3.jpg",9)
EntityTexture terrain,grass,0,0
ScaleEntity terrain,10,256,10,True

dwarf=LoadMesh("..\..\samples\models\dwarf1.b3d",0)

;dwarf=LoadMesh("models\sim.x",0)
tex=LoadTexture("..\..\samples\images\dwarf.jpg",9)
tex2=LoadTexture("..\..\samples\images\axe.jpg",9+4)
EntityTexture dwarf,tex,0,0
SurfaceTexture GetSurface(dwarf,4),tex2,0,0

instance=CreateInstancer(True,0,0,0,0)
InstancerAddElements instance,400

Dim y_pos#(400)
Dim max_height#(400)
Dim waiting(400)
Dim dir(400)
Dim speed(400)
Dim spin_speed#(400)

element=1
For x=0 To 19
For z=0 To 19
InstancerPositionElement(instance,element,x*100,(TerrainHeight(terrain,x*10,z*10)*256)+20,z*100)
;InstancerRotateElement(instance,element,0,Rnd(360),0)

;PositionEntity cam,EntityX(cam,True),(TerrainHeight(terrain,EntityX(cam,True),EntityZ(cam,True))*64)+3,EntityZ(cam,True),True

sca#=Rnd(.4)+.8;
;InstancerScaleElement(instance,element,10,10,10)
spin_speed(element)=Rnd(2)-1
element=element+1
Next
Next

InstancerHookEntity instance,dwarf

cam=CreateCamera(0)
CameraRange cam,.1,10000

MoveEntity cam,0,150,0
TurnEntity cam,0,-40,-5,True

AmbientLight 255,255,255
UpdateNormals dwarf
PositionEntity dwarf,0,0,100,True

;MeshSimplify dwarf,0,0,0,25

;FitMesh dwarf,0,0,0,1,1,1,True

;EntityAlpha dwarf,.5
;SurfaceAlpha GetSurface(dwarf,4),.5

diff#=0
lastmilli=MilliSecs()

;MoveEntity cam,0,-MeshHeight(dwarf)/2,0

tex=CreateTexture(256,256,1,1+128)

Repeat

a=1
For x=0 To 19
For z=0 To 19

If (waiting(a)=0)
If Rnd(300)<2
waiting(a)=1
dir(a)=1
max_height(a)=Rnd(50)+1
speed(a)=Rnd(1)+.2
EndIf
Else

If dir(a)=1
y_pos(a)=y_pos(a)+(speed(a)*diff)
If y_pos(a)>max_height(a)
dir(a)=0
EndIf

Else
y_pos(a)=y_pos(a)-(.06*diff)
If y_pos(a)<0
y_pos(a)=0
waiting(a)=0
EndIf
EndIf

;InstancerPositionElement(instance,a,x*100,(TerrainHeight(terrain,x*10,z*10)*256)+20+y_pos(a),z*100)

EndIf

;InstancerTurnElement instance,a,0,.0001*spin_speed(a)*diff,0

a=a+1
Next
Next

	milli=MilliSecs()
	diff=milli-lastmilli
	lastmilli=milli

RenderWorld 0
Text 0,0,GetFPS(),0,0
Text 0,24,"Welcome to the annual dwarf crazy jumping competition.....",0,0
Flip 0
;TurnEntity dwarf,0,diff*.1,0,False
	move#=.1
camMove cam,move,diff

fpsav=(fpsav+GetFPS())/2.0

Until KeyDown(1) 

EndGraphics

Print
Print "Fps average:"+fpsav
FlushKeys
Delay 2000
WaitKey

End