;loadb3d test
;_ask
Include "includes\cam_generic.hb"
Include "includes\gfx_generic.hb"
;DebugLoudAndHarsh

Graphics3D 800,600,32,2
ShowMouse

spr=CreateSphere()
;spr=CreateSprite()
;spr=CreateCube()
;spr=CreateTeapot()

;HideEntity spr

tex=LoadTexture("..\..\samples\images\imgres.jpg",9)
EntityTexture spr,tex

;WireFrame 1
Pointframe 1

emitter=CreateEmitter(1000,1000)
behaviour=CreateBehaviour()
BehaviourSetBirthDelay behaviour,3,500,600
BehaviourSetLifeSpan behaviour,3,6000,7000
BehaviourSetBirthRotation behaviour,3,0,270,0,0,270,360
BehaviourSetBirthScale behaviour,3,.1,.1,.1,5,5,5

BehaviourSetSpeed behaviour,1,.01,.1
EmitterAddStyle emitter,spr,behaviour,1,1,20

cam=CreateCamera(0)
CameraRange cam,.1,10000

MoveEntity cam,0,0,-20

AmbientLight 255,255,255

diff#=0
lastmilli=MilliSecs()

Repeat

milli=MilliSecs()
diff=milli-lastmilli
lastmilli=milli

UpdateWorld

UpdateEmitters diff

RenderWorld 0

Text 0,0,GetFPS(),0,0

Flip 0

move#=.1
camMove cam,move,diff

fpsav=(fpsav+GetFPS())/2.0

Until KeyDown(1) 

EndGraphics

Print ""
Print "Fps average:"+fpsav
FlushKeys
Delay 2000
WaitKey

End