Const spherecount=500 ;change number of spheres here...
Include "includes\cam_generic.hb"
Include "includes\gfx_generic.hb"

dx_ask
DebugLoudAndHarsh

InitPhysx
SetGravity 0,-5,0
AmbientLight 0,0,0

Include "includes\cam_generic.hb"
Include "includes\gfx_generic.hb"


GetBestGfxMode

AppTitle "Direct x 9 test window"

ShowMouse

cheq=LoadTexture("..\..\samples\images\imgres.jpg",9)


sph=CreateTeapot()
HideEntity sph

For a=1 To spherecount
sub=CreateSphere(Rnd(16)+1)
ShowEntity sub


r=Rnd(1)+1
ScaleEntity sub,r,r,r

DynamicActor sub
EntityTexture sub,cheq,0,0
SetVelocity sub,0,-Rnd(1),Rnd(10)

PositionEntity sub,Rnd(100)-50,50+Rnd(10),Rnd(100)-50

;EntityFX sub,64

EntityColor sub,Rnd(156)+100,Rnd(156)+100,Rnd(156)+100
;EntityFX sub,1

Next

light=CreateLight(2)
MoveEntity light,0,10,0
LightRange light,10000

flor=CreateCube()
PositionEntity flor,0,-3,0

wall=CreateCube()
PositionEntity wall,0,25,50
ScaleEntity wall,50,50,.1
StaticActor wall

wall2=CreateCube()
PositionEntity wall2,-50,25,0
ScaleEntity wall2,.1,50,50
StaticActor wall2

wall3=CreateCube()
PositionEntity wall3,50,25,0
ScaleEntity wall3,.1,50,50
StaticActor wall3

ScaleEntity flor,50,.1,50

mat=CreateMaterial(1,1,0)
StaticActor flor



;AmbientLight 64,64,64
cam=CreateCamera()
CameraClsColor cam,127,127,127


cs=CreateSphere(16,cam)
ScaleEntity cs,10,10,10
PositionEntity cs,EntityX(cam,True),EntityY(cam,True),EntityZ(cam,True),True
DynamicActor cs,mat


MoveEntity cam,0,20,-20

diff#=0
lastmilli=MilliSecs()
ftex=LoadTexture("..\..\samples\images\stone.jpg",9)

;EntityFX flor,1
EntityTexture flor,ftex

EntityTexture wall,ftex

ScaleTexture ntex,.1,.1

Repeat
	milli=MilliSecs()
	diff=milli-lastmilli
	lastmilli=milli
	
CamMove cam,.01,diff

If KeyDown(57)
SetGravity 0,4,0
Else
SetGravity 0,-2,0
EndIf

RenderWorld 0

Text 10,10,"Hold [SPACE] to jolt gravity: FPS "+GetFPS()

PositionEntity cs,EntityX(cam,True),EntityY(cam,True),EntityZ(cam,True),True
Wake cs
PhysicsAdvance diff*.003

Flip 0
PositionEntity cam,EntityX(cs,True),EntityY(cs,True),EntityZ(cs,True),True
;RotateEntity light,EntityPitch(cam,True),EntityYaw(cam,True),EntityRoll(cam,True),True

Until KeyDown(1) Or MouseHit(1)
EndGraphics
End