;INVASION OF THE COLOURED TEAPOTS - not just for fun!!!
;Version 7
;
;With special guest star - PUMPKIN Pumpsinson and his dancing band of extruded letters
;Also appearing - Annoying Moving Squares!!!
;And now: the incriddible Mr. Neil Armstrong(kinda lost in space but more stable).

;init gfx mode
DebugLoudAndHarsh

Include "includes\cam_generic.hb"
Include "includes\gfx_generic.hb"


;UseDirectX11
;Graphics3D 800,600,32,2
GetBestGfxMode

SetFilters 2,2,2

AppTitle "Direct x 9 test window"
ShowMouse

font=LoadFont("arial",50,0,0,0)
font2=LoadFont("times",18,True,True,0)
SetFont font
;entityfx
Dim shader(7)
For a=1 To 7
	shader(a)=CreatePixelShader("","..\..\samples\shaders\shader"+a+".txt","main","ps_2_0")
Next

rectx=0
recty=0
rectxdir=1
rectydir=1

;Cls 0,0,0
Cls

img=CreateImage(32,32,1)

mdes=CountGfxModes3D()

cubemap=CreateTexture(1024,1024,9+128+1024,1+8)

par=CreateMesh(0)

;Teapot
tex=LoadTexture("..\..\samples\images\brick.jpg",1+8) ;enable alpha display so can play around with it
w#=TextureWidth(tex)
LockBuffer TextureBuffer(tex)
For y=0 To TextureHeight(tex)-1
For x=0 To TextureWidth(tex)-1
rgb=ReadPixelFast(x,y,tex) And $ffffff
;WritePixelFast x,y,rgb Or (((x/w)*255.0) Shl 24),TextureBuffer(tex);$00000000 Or (rgb And $ffffff),tex
Next
Next
UnlockBuffer TextureBuffer(tex)

BufferInvert(tex,100,100,100,100)

EntityTexture teapot,tex,0,0
TextureBlend tex,2
texblend=2

;Brickwall
;mesh=CreateMesh(0)
mesh=CreateCube(0)
ScaleEntity mesh,10,10,1,True
;surf=CreateSurface(mesh)
;AddVertex surf,0,0,0,0,0,0
;AddVertex surf,10,0,0,1,0,0
;AddVertex surf,10,10,0,0,1,0
;VertexColor surf,0,255,255,0,1
;VertexColor surf,1,0,255,255,1
;VertexColor surf,2,255,0,255,1
;VertexCoords surf,0,0,0,6
;AddTriangle surf,0,2,1
;UpdateNormals mesh
EntityTexture mesh,tex,0,0
EntityAlpha mesh,1
cam=CreateCamera(0)
CameraRange cam,1,100
MoveEntity mesh,0,0,5



;CLOCK
;Cube(centerpiece)
rentex=CreateTexture(256,256,9+1024,1)
cube=CreateSphere(32,0)
ScaleEntity cube,3,3,3,1
EntityColor cube,127,255,127
EntityTexture cube,rentex,0,0

;Spheres(hours)
erf=LoadTexture("..\..\samples\images\earth.jpg",9)

img=CreateImage(100,100,1)
;CopyRect 0,0,100,100,0,0,TextureBuffer(erf),ImageBuffer(img)
;CopyRect 0,0,100,100,200,200,ImageBuffer(img),TextureBuffer(erf)





suittex=LoadTexture("..\..\samples\images\astnt1_1.tga",9)

;Astronaut
model=LoadMesh("..\..\samples\models\Astronauta.x",0)
EntityTexture model,suittex,1,0
ScaleEntity model,.05,.05,.05,1
TurnEntity model,0,180,0,1
;SurfaceFx GetSurface(model,1),128
;SurfaceTexture GetSurface(model,1),erf,0,0
SurfaceTexture GetSurface(model,2),0,0,0
;SurfaceColor GetSurface(model,1),255,255,255
SurfaceColor GetSurface(model,2),0,0,0
EntityColor model,255,255,255
EntityAlpha model,1
EntityFX model,1
;SurfaceFx GetSurface(model,2),1
RotateMesh model,0,180,0
PositionMesh model,0,30,0

;I missed the Pumpkin..  (so did I)
model2=LoadMesh("..\..\samples\models\model.x",par)

;num=1
;red=SurfaceRed(GetSurface(model2,num))
;green=SurfaceRed(GetSurface(model2,num))
;blue=SurfaceRed(GetSurface(model2,num))
;EndGraphics
;Print red
;Print green
;Print blue
;WaitKey
;End





PositionMesh model2,15,0,0
mw#=MeshHeight(model2)
ScaleEntity model2,.3,.3,.3,1
PositionEntity model2,0,0,1,True

norm=LoadTexture("..\..\samples\images\norm.jpg",1)
TextureBlend norm,4
Dim sphere(12)
For a=1 To 12
If a=1
sphere(a)=CreateSphere(32,model2)
Else
sphere(a)=CopyEntity(sphere(1),model2)
EndIf

EntityAlpha sphere(a),0.1
;EntityFX sphere(a),1
EntityTexture sphere(a),erf,0,1
EntityTexture sphere(a),norm,0,0
PositionEntity sphere(a),Sin(a*30)*5,Cos(a*30)*5,0,1
Next

;Ribbons
torus=CreateTorus(5,65,10,50)
torus2=CreateTorus(5,85,10,50)
texscale#=1
;Light
light=CreateLight(1,0)
LightColor light,0,0,0;255,255,255
;AmbientLight 0,0,0;255,255,255
;AmbientLight 255,255,255
;EntityFX model2,1

;Teapots
Dim tp(50)
For a=1 To 50

If a=1
tp(a)=CreateTeapot(0)
;tp(a)=CreateSphere(16,0)
;tp(a)=LoadMeshX("models\sim.x",0)
Else
tp(a)=CopyEntity(tp(1),0)
;tp(a)=CreateTeapot(0)
;tp(a)=CreateSphere(16,0)
EndIf
;UpdateNormals tp(a)

EntityFX tp(a),64
PositionEntity tp(a),Rnd(0,100)-50,Rnd(0,100)-50,Rnd(0,100)-50,1
s=Rand(3)
Select s
Case 1
EntityWireframe tp(a),True
Case 2
EntityPointframe tp(a),True
End Select

ScaleEntity tp(a),Rnd(0,2)+1,Rnd(0,2)+1,Rnd(0,2)+1,True
RotateEntity tp(a),0,Rnd(0,360),0,0
Next

;Colors
;EntityColor torus,0,0,255
EntityColor torus2,0,255,0
RotateEntity torus,90,0,0,True

EntityTexture torus,erf,0,0

mi=MilliSecs()
ct=0
posx#=0

;2D =initially off
toodee=False

;Cam
CameraFogMode cam,1
CameraFogRange cam,1,100
CameraFogColor cam,0,0,0
PositionEntity cam,0,0,-15,True

;Texts
B3DFont("arial",0,1,0,0)
text2=CreateText("SPACEMAN CLOCK",.1)
PositionEntity text2,-8,-4,3,1

cam2=CreateCamera(0)
CameraRange cam2,1,100
CameraFogMode cam2,1
CameraFogRange cam2,1,100
CameraFogColor cam2,0,0,0
PositionEntity cam2,0,0,0,True
CameraProjMode cam2,0

fpsmesh=0
texblend=4

pulse#=64
add#=.1

diff#=0
lastmilli=MilliSecs()

usc#=1
vsc#=1
ang#=0
cr=False

For a=1 To 12
EntityParent sphere(a),cube
Next

px#=0
EntityTexture cube,cubemap,0,0

;Main loop
Repeat

;MoveEntity cube,0,0,-0.001
TurnEntity cube,diff*.04,diff*.04,0,True

If EntityInView(cube,cam)
HideEntity cube

CameraProjMode cam2,1
CameraProjMode cam,0

For a=0 To 5
Select a
Case 0:RotateEntity cam2,0,90,0,True
Case 1:RotateEntity cam2,0,0,0,True
Case 2:RotateEntity cam2,0,-90,0,True
Case 3:RotateEntity cam2,0,180,0,True
Case 4:RotateEntity cam2,90,0,0,True
Case 5:RotateEntity cam2,-90,0,0,True
End Select
SetCubeFace cubemap,a
RenderToTexture cubemap
RenderWorld 0

;Stop

Next
RenderToScreen

CameraProjMode cam,1
CameraProjMode cam2,0

PositionTexture	tex,usc,0
ShowEntity cube
EndIf

usc=usc+(diff*.0001)
	RenderWorld 0

	milli=MilliSecs()
	diff=milli-lastmilli
	lastmilli=milli
	
	;Display 2D if enabled
	If toodee=True
		For a=1 To 10
			Plot Rnd(0,100),Rnd(0,100)
		Next
		
		bld=bld+1
		EntityBlend model,bld
		If bld=300 bld=1
		rectx=rectx+rectxdir
		recty=recty+rectydir
		If rectx=0 Or rectx=GraphicsWidth()-200 rectxdir=-rectxdir
		If recty=0 Or recty=GraphicsHeight()-200 rectydir=-rectydir
		
		For a=1 To 20
			Color Rnd(0,127)+128,Rnd(0,127)+128,Rnd(0,127)+128
			Oval Rnd(0,100),Rnd(0,100),Rnd(0,100)+50,Rnd(0,100)+50,Rnd(0,2)
			x1#=Rnd(0,100);+(GraphicsWidth()-300)
			y1#=Rnd(0,100)
			x2#=Rnd(0,100);+(GraphicsWidth()-200)
			y2#=Rnd(0,100)+50
			Line x1,y1,x2,y2
		Next
	EndIf
	
	;BlendControls
	TextureBlend norm,texblend
	If KeyHit(24) texblend=texblend-1 ;O
	If KeyHit(25) texblend=texblend+1 ;P

If KeyHit(28) cr=1-cr
	SetBuffer BackBuffer()
	;HelpText
	mo=MilliSecs()
	Color 255,255,255
	SetFont font
	;Text 500,500,"This is 2d text",0,0
	SetFont font2
	Text 0,0,"Frames per second:"+GetFPS()+", triangles:"+TrisRendered()+" cube in view:"+EntityInView(cube,cam),0,0

TurnEntity model2,0,diff/60.0*5,0,True

If cr=True
For a=1 To 12
CopyRect Rnd(0,100),Rnd(0,100),Rnd(0,100)+100,Rnd(0,100)+100,Rnd(0,GraphicsWidth()),Rnd(0,GraphicsHeight()),TextureBuffer(tex),BackBuffer()
Next
EndIf

Flip 0

	SetBuffer tex


	;Clock
	sec=Right$(CurrentTime$(),2)
	RotateEntity model,0,0,-(sec/60.0)*360.0,1
	For a=1 To 12
	TurnEntity sphere(a),0,diff/Float(a),0,0
	Next	

	ct=ct+1
	If MouseDown(1) Exit ;quit if mouse click 
	move#=.01
	CamMove cam,move,diff
	
	If KeyHit(57) toodee=1-toodee                                    ;Space
	
	pulse=pulse+(add*1)
	If pulse>255 Or pulse<64 add=-add

texscale=(((pulse-64)/196.0)*5)+1
ScaleTexture rentex,texscale,texscale

;disable light pulse for the moment
	LightColor light,255,255,255
	For a=1 To 50
		TurnEntity tp(a),diff/10.0,diff/10.0,0,1
;PositionEntity tp(a),EntityX(tp(a),True),EntityY(tp(a),True),EntityZ(tp(a),True)+.01,True
		EntityTexture tp(a),tex,0,0
	Next
	;ShaderControls 1-7
	For a=2 To 8
		If KeyDown(a)
			EntityPixelShader mesh,shader(a-1)
			For b=1 To 50
				;EntityPixelShader tp(b),shader(a-1)
			Next
		EndIf
	Next
	;Turn rings
	TurnEntity torus,diff/10.0,0,0,True
	TurnEntity torus2,0,diff/15.0,0,True

Until KeyDown(1) ;Esc =exit
mo=MilliSecs()

EndGraphics

;Print statistics
Print ""
Print "Seconds passed:"+(mo-mi)/1000.0
Print "Frames rendered:"+FramesRendered()

WaitKey
End