Const num=50 ;number of santas
;dxterrain example


;DebugLoudAndHarsh

;ATTACK OF THE ROBOT SANTAS
Include "includes\cam_generic.hb"
Include "includes\gfx_generic.hb"
;Graphics3D 800,600,32,1
GetBestGfxMode
wver$=GetWinVersion()

sound=LoadSound("..\..\samples\sounds\man-scream-02.mp3")
sound2=LoadSound("..\..\samples\sounds\grunt.mp3")

AppTitle "Direct x 9 test window"
ShowMouse

font=LoadFont("times",18,True,True,0)
font2=LoadFont("times",48,True,True,0)
SetFont font

mdes=CountGfxModes3D()
cam=CreateCamera(0)
CameraRange cam,1,1000

Color 255,255,255

Dim model(num)
Dim speed#(num)
Dim scare(num)

;////  For later development....

;vs=dxCreateVertexShader("","shaders\landscape_vertex_shader3.txt","main","vs_2_0")
;If vs=0 End
;dxDeclareVertexShaderWorldViewProjConstant(vs,"mWorldViewProjMatrix")
;ps=dxCreatePixelShader("","shaders\landscape_pixel_shader.txt","BillboardGrass_PS","ps_2_0")
;If ps=0 End

;poo=dxLoadMesh("models\sim.x",0)
;Stop

For a=1 To num
If a=1
model(a)=LoadMesh("..\..\samples\models\sim.x",0)
RotateMesh model(a),0,180,0
FitMesh model(a),-.5,0,-.5,1,1,1,True
;dxPositionMesh model(a),1000,0,0
PositionEntity model(a),128+(a*2),0,128,1
Else
model(a)=CopyEntity(model(1),0)

PositionEntity model(a),Rnd(0,256),0,Rnd(0,256),1
RotateEntity model(a),0,Rnd(0,360),0,True
EndIf

EntityPickMode model(a),2,True
speed(a)=Rnd(.005,.04)
scl#=Rnd(1,2)
ScaleEntity model(a),scl,scl*2,scl,True
Next

;Light
light=CreateLight(3,0)
AmbientLight  128,128,128

LightColor light,255,128,0

mi=MilliSecs()
ct=0

;Cam
CameraFogMode cam,1
CameraFogRange cam,.01,1000
CameraFogColor cam,0,0,0
;dxCameraClsColor cam,0,200,255
PositionEntity cam,0,0,-15,True

;terrain
terrain=LoadTerrain("..\..\samples\images\height_map.bmp",0)
EntityShininess terrain,.1

EntityColor  terrain,255,255,255


terrain_tex=LoadTexture("..\..\samples\images\MossyGround.bmp",9)
EntityTexture terrain,terrain_tex,0,0
ScaleEntity terrain,1,64,1,True

;dxEntityVertexShader terrain,vs
;dxEntityPixelShader terrain,ps

PositionEntity cam,TerrainSize(terrain)/2.0,1,TerrainSize(terrain)/2.0,True

diff#=0
lastmilli=MilliSecs()
ly#=0

chnl=0

Dim cloudtex(8)

For a=1 To 8
cloudtex(a)=LoadTexture("..\..\samples\images\cloud"+a+".png",11)
Next

Dim cloudpivot(20)
Dim cloudspeed(20)

For b=1 To 20
xx=Rnd(1000)-500
yy=Rnd(100)+100
zz=Rnd(1000)-500
cloudpivot(b)=CreatePivot(0)
cloudspeed(b)=Rnd(.5,1)
cloudpvt=CreatePivot(cloudpivot(b))
PositionEntity cloudpvt,xx,yy,zz,True
For a=1 To 50
spr=CreateSprite(cloudpvt)
EntityTexture spr,cloudtex(Rand(1,8)),0,0
ScaleSprite spr,50,50

SpriteViewMode spr,1
y#=Rnd(10)
PositionEntity spr,Rnd(100),80+y,Rnd(10),0
col=(y*25.6)+127
col=255
EntityColor spr,255,255,255;Rnd(127)+128,Rnd(127)+128,Rnd(127)+128
EntityAlpha spr,.1
;dxEntityFX spr,1
Next
Next

;Main loop
Repeat
usc=usc+.01
RenderWorld 0

	milli=MilliSecs()
	diff=milli-lastmilli
	lastmilli=milli
	
	;HelpText
Color 0,0,0
Color 255,255,255
SetFont font
;	dxText 0,0,"Frames per second:"+dxGetFPS()+", triangles:"+dxTrisRendered(),0,0
;dxColor 255,255,255
Text 1,0,"Frames per second:"+GetFPS()+", triangles:"+TrisRendered(),0,0
;dxText 0,40,"Get close the santas and scare the heck out of them by clicking on them, they won't expect it at all...",0,0
;dxText 0,60,"Use [del] [pgdn] to correct camera roll if needed, cursors to move cam, mouse to rotate cam",0,0
;dxText 0,80,"Santas scared="+score,0,0
;dxText 0,100,"Time taken="+Int(time/1000.0),0,0
;
;dxText 0,160,"[Esc] to end this poor excuse for a game",0,0
;

Text 0,20,"Host machine using:"+wver$,0,0

ent=CameraPick(cam,MouseX(),MouseY())
If (MouseHit(1))
If (ent<>0) 
If (EntityDistance(cam,ent)<50)
For a=1 To num
If model(a)=ent
If Not(scare(a))
scare(a)=True
SoundPitch sound,Rnd(20000)+60000
chn=PlaySound(sound)
ChannelVolume chn,.2 ;bit annoying this sound, toning it down a tad
score=score+1
EndIf
EndIf
Next
Else
closertime=MilliSecs()
EndIf
Else
nowt=MilliSecs()
EndIf
EndIf

If (MilliSecs()-closertime<2000)
SetFont font2
Text GraphicsWidth()/2.0,GraphicsHeight()/2.0,"Get closer to this one to scare him",True,0
SetFont font
Else
If (MilliSecs()-nowt<2000)
SetFont font2
Text GraphicsWidth()/2.0,GraphicsHeight()/2.0,"Clicking on nothing",True,0
SetFont font
EndIf
EndIf

PositionEntity cam,EntityX(cam,True),(TerrainHeight(terrain,EntityX(cam,True),EntityZ(cam,True))*64)+3,EntityZ(cam,True),True
Flip False

For a=1 To num
TurnEntity model(a),0,0,0,True
MoveEntity model(a),0,0,speed(a)
dy#=(DeltaYaw(model(a),cam))
If Abs(dy)<90
If EntityDistance(model(a),cam)<30
TurnEntity model(a),0,.5*diff*Sgn(dy),0,True
speed(a)=speed(a)*1.2
If chnl=0 chnl=PlaySound(sound2)
EndIf
EndIf

If chnl<>0
If Not(ChannelPlaying(chnl)) chnl=0
EndIf
RotateEntity cam,EntityPitch(cam,True),EntityYaw(cam,True),0,True

turn=False
If (EntityX(model(a),True)<0) Or (EntityX(model(a),True)>255) turn=True
If (EntityZ(model(a),True)<0) Or (EntityZ(model(a),True)>255) turn=True

If turn TurnEntity model(a),0,.1*diff,0,True

ht#=TerrainHeight(terrain,EntityX(model(a),True),EntityZ(model(a),True))
If scare(a)=True
PositionEntity model(a),EntityX(model(a),True),EntityY(model(a),True)+(diff*.05),EntityZ(model(a),True),True
Else
PositionEntity model(a),EntityX(model(a),True),(ht*64),EntityZ(model(a),True),True
EndIf
Next

	ct=ct+1
	move#=.01
	CamMove cam,move,diff

yaw=(diff*-.1)
PositionEntity light,EntityX(cam,True),EntityY(cam,True),EntityZ(cam,True),True
RotateEntity light,EntityPitch(cam,True),EntityYaw(cam,True),EntityRoll(cam,True),True
;dxTurnEntity light,0,yaw,0,True


For a=1 To 20
TurnEntity cloudpivot(a),0,diff*(cloudspeed(a)*.005),0,True
Next

Until KeyDown(1) ;Esc =exit
EndGraphics
mo=MilliSecs()

;Print statistics
Print ""
Print "Seconds passed:"+(mo-mi)/1000.0
;Delay 5000
WaitKey
WaitKey
End