
Local hardwired_dll:String = "Hardwired.dll"

Local hardwiredlib:Int = LoadLibraryA (hardwired_dll)

If Not hardwiredlib
	RuntimeError "Place " + hardwired_dll + " in same folder as this program!"
EndIf

Global missing_functions:TList = CreateList ()

Function ListMissingFunctions ()

	Print ""
	Print "Missing functions:"
	Print ""

	For Local missing:String = EachIn missing_functions
		Print "~t" + missing
	Next

End Function

Global dxCountGfxDrivers:Int() "win32"
Global dxGraphics3D:Int(width:Int,height:Int,depth:Int,mode:Int) "win32"
Global dxEndGraphics() "win32"
Global dxShowMouse() "win32"
Global dxHideMouse() "win32"
Global dxKeyDown:Int(key:Int) "win32"
Global dxMouseDown:Int(button:Int) "win32"
Global dxGetMouse:Int() "win32"
Global dxMouseHit:Int(button:Int) "win32"
Global dxWaitMouse() "win32"
Global dxMouseX:Int() "win32"
Global dxMouseY:Int() "win32"
Global dxMouseZ:Int() "win32"
Global dxMoveMouse:Int(x:Int,y:Int) "win32"
Global dxFlushMouse() "win32"
Global dxMouseXSpeed:Int() "win32"
Global dxMouseYSpeed:Int() "win32"
Global dxMouseZSpeed:Int() "win32"
Global dxKeyHit:Int(key:Int) "win32"
Global dxFlushKeys() "win32"
Global dxWaitKey() "win32"
Global dxLoadFont:Int(filename:Byte Ptr,height:Int,bold:Int,italic:Int,underline:Int) "win32"
Global dxCls() "win32"
Global dxClsColor:Int(red:Float,green:Float,blue:Float) "win32"
Global dxFlip:Int(vsync:Int) "win32"
Global dxFrontBuffer:Int() "win32"
Global dxBackBuffer:Int() "win32"
Global dxColor:Int(red:Int,green:Int,blue:Int) "win32"
Global dxPlot:Int(x:Int,y:Int) "win32"
Global dxCreateMesh:Int(parent:Int) "win32"
Global dxCreateCamera:Int(parent:Int) "win32"
Global dxPositionEntity:Int(entity:Int,x:Float,y:Float,z:Float,_global:Int) "win32"
Global dxCreateTeapot:Int(parent:Int) "win32"
Global dxRenderWorld:Int(tween:Float) "win32"
Global dxAddVertex:Int(surface:Int,x:Float,y:Float,z:Float,u:Float,v:Float,w:Float) "win32"
Global dxCreateSurface:Int(mesh:Int) "win32"
Global dxCountVertices:Int(surface:Int) "win32"
Global dxVertexColor:Int(surface:Int,index:Int,red:Float,green:Float,blue:Float,alpha:Float) "win32"
Global dxVertexRed:Int(surface:Int,index:Int) "win32"
Global dxVertexGreen:Int(surface:Int,index:Int) "win32"
Global dxVertexBlue:Int(surface:Int,index:Int) "win32"
Global dxVertexAlpha:Float(surface:Int,index:Int) "win32"
Global dxVertexTexCoords:Int(surface:Int,index:Int,texture_u:Float,texture_v:Float,texture_w:Float,coord_set:Int) "win32"
Global dxVertexNormal:Int(surface:Int,index:Int,x_normal:Float,y_normal:Float,z_normal:Float) "win32"
Global dxVertexX:Float(surface:Int,index:Int) "win32"
Global dxVertexY:Float(surface:Int,index:Int) "win32"
Global dxVertexZ:Float(surface:Int,index:Int) "win32"
Global dxVertexNX:Float(surface:Int,index:Int) "win32"
Global dxVertexNY:Float(surface:Int,index:Int) "win32"
Global dxVertexNZ:Float(surface:Int,index:Int) "win32"
Global dxVertexU:Float(surface:Int,index:Int) "win32"
Global dxVertexV:Float(surface:Int,index:Int) "win32"
Global dxVertexW:Float(surface:Int,index:Int) "win32"
Global dxCountSurfaces:Int(mesh:Int) "win32"
Global dxClearSurface:Int(surface:Int,vertices:Int,triangles:Int) "win32"
Global dxAddTriangle:Int(surface:Int,vertex_1:Int,vertex_2:Int,vertex_3:Int) "win32"
Global dxCountTriangles:Int(surface:Int) "win32"
Global dxTriangleVertex:Int(surface:Int,triangle_index:Int,corner:Int) "win32"
Global dxAmbientLight:Int(red:Float,green:Float,blue:Float) "win32"
Global dxCameraViewport:Int(camera:Int,x:Int,y:Int,width:Int,height:Int) "win32"
Global dxCameraClsColor:Int(camera:Int,red:Float,green:Float,blue:Float) "win32"
Global dxCameraProjMode:Int(camera:Int,projection_mode:Int) "win32"
Global dxCameraRange:Int(camera:Int,near:Float,far:Float) "win32"
Global dxCameraClsMode:Int(camera:Int,cls_color:Int,z_buffer:Int) "win32"
Global dxCameraAspect:Int(camera:Int,aspect_ratio:Float) "win32"
Global dxAutoCameraAspect:Int(camera:Int) "win32"
Global dxCameraFOV:Int(camera:Int,focus:Float) "win32"
Global dxGetCameraFOV:Float(camera:Int) "win32"
Global dxGetCameraAspect:Float(camera:Int) "win32"
Global dxCreateTorus:Int(inner_radius:Float,outer_radius:Float,sides:Int,rings:Int) "win32"
Global dxCreateCube:Int(parent:Int) "win32"
Global dxCreateCylinder:Int(segments:Int,solid:Int,parent:Int) "win32"
Global dxCreateSphere:Int(segments:Int,parent:Int) "win32"
Global dxFreeEntity:Int(entity:Int) "win32"
Global dxEntityParent:Int(entity:Int,parent:Int) "win32"
Global dxCountChildren:Int(entity:Int) "win32"
Global dxGetChild:Int(entity:Int,index:Int) "win32"
Global dxEntityClass:Byte Ptr(entity:Int) "win32"
Global dxGetParent:Int(entity:Int) "win32"
Global dxNameEntity:Int(entity:Int,name:Byte Ptr) "win32"
Global dxEntityName:Byte Ptr(entity:Int) "win32"
Global dxEntityX:Float(entity:Int,_global:Int) "win32"
Global dxEntityY:Float(entity:Int,_global:Int) "win32"
Global dxEntityZ:Float(entity:Int,_global:Int) "win32"
Global dxRotateEntity:Int(entity:Int,pitch:Float,yaw:Float,roll:Float,_global:Int) "win32"
Global dxGetMatElement:Float(entity:Int,row:Int,column:Int) "win32"
Global dxUpdateNormals:Int(mesh:Int) "win32"
Global dxCreateTexture:Int(width:Int,height:Int,flags:Int,frames:Int) "win32"
Global dxTurnEntity:Int(entity:Int,pitch:Float,yaw:Float,roll:Float,_global:Int) "win32"
Global dxMoveEntity:Int(entity:Int,x:Float,y:Float,z:Float) "win32"
Global dxTranslateEntity:Int(entity:Int,x:Float,y:Float,z:Float,_global:Int) "win32"
Global dxEntityRed:Int(entity:Int) "win32"
Global dxEntityGreen:Int(entity:Int) "win32"
Global dxEntityBlue:Int(entity:Int) "win32"
Global dxEntityColor:Int(entity:Int,red:Float,green:Float,blue:Float) "win32"
Global dxEntityFX:Int(entity:Int,fx:Int) "win32"
Global dxGetEntityFX:Int(entity:Int) "win32"
Global dxDither:Int(state:Int) "win32"
Global dxCameraFogMode:Int(camera:Int,state:Int) "win32"
Global dxCameraFogColor:Int(camera:Int,red:Float,green:Float,blue:Float) "win32"
Global dxCameraFogRange:Int(camera:Int,near:Float,far:Float) "win32"
Global dxLoadTexture:Int(file:Byte Ptr,flags:Int) "win32"
Global dxEntityTexture:Int(entity:Int,texture:Int,frame:Int,index:Int) "win32"
Global dxCountGfxModes3D:Int() "win32"
Global dxGfxModeWidth:Int(adapter:Int) "win32"
Global dxGfxModeHeight:Int(adapter:Int) "win32"
Global dxGfxModeDepth:Int(adapter:Int) "win32"
Global dxGfxModeRefreshRate:Int(adapter:Int) "win32"
Global dxWireframe:Int(enable:Int) "win32"
Global dxEntityWireframe:Int(entity:Int,enable:Int) "win32"
Global dxPointframe:Int(enable:Int) "win32"
Global dxEntityPointframe:Int(entity:Int,enable:Int) "win32"
Global dxScaleEntity:Int(entity:Int,scale_x:Float,scale_y:Float,scale_z:Float,_global:Int) "win32"
Global dxEntityScaleX:Float(entity:Int) "win32"
Global dxEntityScaleY:Float(entity:Int) "win32"
Global dxEntityScaleZ:Float(entity:Int) "win32"
Global dxCreateLight:Int(_type:Int,parent:Int) "win32"
Global dxColorRed:Int() "win32"
Global dxColorGreen:Int() "win32"
Global dxColorBlue:Int() "win32"
Global dxGraphicsBuffer:Int() "win32"
Global dxSetBuffer:Int(buffer:Int) "win32"
Global dxCreateText:Int(text:Byte Ptr,extrusion:Float) "win32"
Global dx3DFont:Int(font:Byte Ptr,bold:Int,italic:Int,underline:Int,strikeout:Int) "win32"
Global dxRect:Int(x:Int,y:Int,width:Int,height:Int,solid:Int) "win32"
Global dxTextureBuffer:Int(texture:Int) "win32"
Global dxGraphicsWidth:Int() "win32"
Global dxGraphicsHeight:Int() "win32"
Global dxGraphicsDepth:Int() "win32"
Global dxGetColor:Int(x:Int,y:Int) "win32"
Global dxReadPixel:Int(x:Int,y:Int,buffer:Int) "win32"
Global dxLightColor:Int(light:Int,red:Float,green:Float,blue:Float) "win32"
Global dxLightRange:Int(light:Int,range:Float) "win32"
Global dxLightConeAngles:Int(light:Int,inner_angle:Float,outer_angle:Float) "win32"
Global dxHideEntity:Int(entity:Int) "win32"
Global dxShowEntity:Int(entity:Int) "win32"
Global dxEntityOrder:Int(entity:Int,order:Int) "win32"
Global dxOval:Int(x:Int,y:Int,width:Int,height:Int,solid:Int) "win32"
Global dxLine:Int(x1:Int,y1:Int,x2:Int,y2:Int) "win32"
Global dxText:Int(x:Int,y:Int,text:Byte Ptr,center_x:Int,center_y:Int) "win32"
Global dxSetFont:Int(font:Int) "win32"
Global dxFreeFont:Int(font:Int) "win32"
Global dxUpdateSurfaceNormals:Int(surface:Int) "win32"
Global dxWBuffer:Int(enable:Int) "win32"
Global dxPixelShaderVersion:Int() "win32"
Global dxVertexShaderVersion:Int() "win32"
Global dxCreatePixelShader:Int(operation:Byte Ptr,file:Byte Ptr,entry_point:Byte Ptr,version:Byte Ptr) "win32"
Global dxFreePixelShader:Int(pixel_shader:Int) "win32"
Global dxCreateVertexShader:Int(operation:Byte Ptr,file:Byte Ptr,entry_point:Byte Ptr,version:Byte Ptr) "win32"
Global dxFreeVertexShader:Int(vertex_shader:Int) "win32"
Global dxEntityPixelShader:Int(entity:Int,pixel_shader:Int) "win32"
Global dxEntityVertexShader:Int(entity:Int,vertex_shader:Int) "win32"
Global dxGetLastShaderError:Byte Ptr() "win32"
Global dxVertexCoords:Int(surface:Int,vertex:Int,x:Float,y:Float,z:Float) "win32"
Global dxFlipMesh:Int(mesh:Int) "win32"
Global dxApptitle:Int(title:Byte Ptr) "win32"
Global dxCountEntities:Int() "win32"
Global dxGetSurface:Int(mesh:Int,surface:Int) "win32"
Global dxFirstEntity:Int() "win32"
Global dxNextEntity:Int(present_entity:Int) "win32"
Global dxPreviousEntity:Int(present_entity:Int) "win32"
Global dxEntityBlend:Int(entity:Int,blend:Int) "win32"
Global dxCopyEntity:Int(entity:Int,parent:Int) "win32"
Global dxFreeSurface:Int(surface:Int) "win32"
Global dxTextureBlend:Int(texture:Int,blend:Int) "win32"
Global dxGetVersion:Float() "win32"
Global dxStringWidth:Int(_string:Byte Ptr) "win32"
Global dxStringHeight:Int(_string:Byte Ptr) "win32"
Global dxCreateBrush:Int(red:Float,green:Float,blue:Float) "win32"
Global dxFreeBrush:Int(brush:Int) "win32"
Global dxBrushColor:Int(brush:Int,red:Float,green:Float,blue:Float) "win32"
Global dxBrushAlpha:Int(brush:Int,alpha:Float) "win32"
Global dxBrushShininess:Int(brush:Int,shininess:Float) "win32"
Global dxBrushFX:Int(brush:Int,fx:Int) "win32"
Global dxBrushTexture:Int(brush:Int,texture:Int,frame:Int,index:Int) "win32"
Global dxBrushBlend:Int(brush:Int,blend:Int) "win32"
Global dxGetEntityBrush:Int(entity:Int) "win32"
Global dxNameTexture:Int(texture:Int,name:Byte Ptr) "win32"
Global dxTextureName:Byte Ptr(texture:Int) "win32"
Global dxTextureCoords:Int(texture:Int,coord_set:Int) "win32"
Global dxTextureWidth:Int(texture:Int) "win32"
Global dxTextureHeight:Int(texture:Int) "win32"
Global dxGetDebugFloat:Float() "win32"
Global dxScaleTexture:Int(texture:Int,u_scale:Float,v_scale:Float) "win32"
Global dxPositionTexture:Int(texture:Int,u_position:Float,v_position:Float) "win32"
Global dxRotateTexture:Int(texture:Int,angle:Float) "win32"
Global dxEntityAlpha:Int(entity:Int,alpha:Float) "win32"
Global dxGetEntityAlpha:Float(entity:Int) "win32"
Global dxPositionMesh:Int(mesh:Int,x:Float,y:Float,z:Float) "win32"
Global dxMeshWidth:Float(mesh:Int) "win32"
Global dxMeshHeight:Float(mesh:Int) "win32"
Global dxMeshDepth:Float(mesh:Int) "win32"
Global dxEntityPitch:Float(entity:Int,_global:Int) "win32"
Global dxEntityYaw:Float(entity:Int,_global:Int) "win32"
Global dxEntityRoll:Float(entity:Int,_global:Int) "win32"
Global dxFreeSurfaceAttribs:Int(surface:Int) "win32"
Global dxSurfaceFx:Int(surface:Int,fx:Int) "win32"
Global dxSurfaceBlend:Int(surface:Int,blend:Int) "win32"
Global dxSurfaceAlpha:Int(surface:Int,alpha:Float) "win32"
Global dxSurfaceWireframe:Int(surface:Int,enable:Int) "win32"
Global dxSurfacePointframe:Int(surface:Int,enable:Int) "win32"
Global dxSurfacePixelShader:Int(surface:Int,pixel_shader:Int) "win32"
Global dxSurfaceVertexShader:Int(surface:Int,vertex_shader:Int) "win32"
Global dxSurfaceColor:Int(surface:Int,red:Float,green:Float,blue:Float) "win32"
Global dxGetSurfaceBrush:Int(surface:Int) "win32"
Global dxPaintEntity:Int(entity:Int,brush:Int) "win32"
Global dxPaintSurface:Int(surface:Int,brush:Int) "win32"
Global dxSurfaceTexture:Int(surf:Int,texture:Int,frame:Int,index:Int) "win32"
Global dxWritePixel:Int(x:Int,y:Int,argb:Int,buffer:Int) "win32"
Global dxLockBuffer:Int(buffer:Int) "win32"
Global dxUnLockBuffer:Int(buffer:Int) "win32"
Global dxWritePixelFast:Int(x:Int,y:Int,argb:Int,buffer:Int) "win32"
Global dxReadPixelFast:Int(x:Int,y:Int,buffer:Int) "win32"
Global dxTextureSave:Int(texture:Int,filename:Byte Ptr,_type:Int) "win32"
Global dxCopySurface:Int(surface:Int,parent_entity:Int) "win32"
Global dxCopyMesh:Int(entity:Int,parent:Int) "win32"
Global dxCreateImage:Int(width:Int,height:Int,frames:Int) "win32"
Global dxFreeImage:Int(image:Int) "win32"
Global dxImageWidth:Int(image:Int) "win32"
Global dxImageHeight:Int(image:Int) "win32"
Global dxImageBuffer:Int(image:Int) "win32"
Global dxCopyImage:Int(image:Int) "win32"
Global dxCopyRect:Int(src_x:Int,src_y:Int,src_width:Int,src_height:Int,dest_x:Int,dest_y:Int,src_buffer:Int,dest_buffer:Int) "win32"
Global dxSetFilters:Int(_max:Int,_min:Int,mip:Int) "win32"
Global dxRenderToTexture:Int(texture:Int) "win32"
Global dxRenderToScreen() "win32"
Global dxCreateSprite:Int(parent:Int) "win32"
Global dxSpriteViewMode:Int(sprite:Int,view_mode:Int) "win32"
Global dxScaleSprite:Int(sprite:Int,x_scale:Float,y_scale:Float) "win32"
Global dxHandleSprite:Int(sprite:Int,x:Float,y:Float) "win32"
Global dxUseDirectX11:Int(enable:Int) "win32"
Global dxDirectX11Used:Int() "win32"
Global dxSeedRnd:Int(seed:Int) "win32"
Global dxRnd:Float(low:Float,high:Float) "win32"
Global dxRand:Int(low:Int,high:Int) "win32"
Global dxCreatePivot:Int(parent:Int) "win32"
Global dxBufferNoise:Int(buffer:Int,x:Int,y:Int,w:Int,h:Int,red_filter:Float,green_filter:Float,blue_filter:Float,alpha_filter:Float) "win32"
Global dxBufferInvert:Int(buffer:Int,x:Int,y:Int,w:Int,h:Int) "win32"
Global dxSetCubeFace:Int(texture:Int,face:Int) "win32"
Global dxGetSurfaceBoundingRadius:Float(surface:Int) "win32"
Global dxTrisRendered:Int() "win32"
Global dxEntityInView:Int(entity:Int,camera:Int) "win32"
Global dxMaxLights:Int() "win32"
Global dxCreateTerrain:Int(grid_size:Int,parent:Int) "win32"
Global dxModifyTerrain:Int(terrain:Int,grid_x:Int,grid_z:Int,height:Float,realtime:Int) "win32"
Global dxTerrainSize:Int(terrain:Int) "win32"
Global dxLoadTerrain:Int(file:Byte Ptr,parent:Int) "win32"
Global dxTerrainHeight:Float(terrain:Int,grid_x:Float,grid_z:Float) "win32"
Global dxFitMesh:Int(mesh:Int,x:Float,y:Float,z:Float,w:Float,h:Float,d:Float,uniform:Int) "win32"
Global dxScaleMesh:Int(mesh:Int,width:Float,height:Float,depth:Float) "win32"
Global dxGetConstantTableSize:Int(shader:Int) "win32"
Global dxConstantCount:Int(shader:Int) "win32"
Global dxDeclareVertexShaderWorldConstant:Int(shader:Int,constant_name:Byte Ptr) "win32"
Global dxDeclareVertexShaderViewConstant:Int(shader:Int,constant_name:Byte Ptr) "win32"
Global dxDeclareVertexShaderProjConstant:Int(shader:Int,constant_name:Byte Ptr) "win32"
Global dxDeclareVertexShaderWorldViewProjConstant:Int(shader:Int,constant_name:Byte Ptr) "win32"
Global dxEntityRadius:Int(entity:Int,radius_x:Float,radius_y:Float) "win32"
Global dxEntityBox:Int(entity:Int,x:Float,y:Float,z:Float,width:Float,height:Float,depth:Float) "win32"
Global dxEntityType:Int(entity:Int,collision_type:Int,recursive:Int) "win32"
Global dxEntityPickMode:Int(entity:Int,pick_geometry:Int,obscurer:Int) "win32"
Global dxGetEntityType:Int(entity:Int) "win32"
Global dxGetFPS:Int() "win32"
Global dxPointEntity:Int(entity:Int,target:Int,roll:Float) "win32"
Global dxAlignToVector:Int(entity:Int,vector_x:Float,vector_y:Float,vector_z:Float,axis:Int,rate:Float) "win32"
Global dxFramesRendered:Int() "win32"
Global dxTFormPoint:Int(x:Float,y:Float,z:Float,source_entity:Int,dest_entity:Int) "win32"
Global dxTFormedX:Float() "win32"
Global dxTFormedY:Float() "win32"
Global dxTFormedZ:Float() "win32"
Global dxEntityDistance:Float(src_entity:Int,dest_entity:Int) "win32"
Global dxVectorYaw:Float(x:Float,y:Float,z:Float) "win32"
Global dxVectorPitch:Float(x:Float,y:Float,z:Float) "win32"
Global dxCameraProject:Int(camera:Int,x:Float,y:Float,z:Float) "win32"
Global dxProjectedX:Float() "win32"
Global dxProjectedY:Float() "win32"
Global dxProjectedZ:Float() "win32"
Global dxDeltaPitch:Float(src_entity:Int,dest_entity:Int) "win32"
Global dxDeltaYaw:Float(src_entity:Int,dest_entity:Int) "win32"
Global dxCameraPick:Int(camera:Int,viewport_x:Int,viewport_y:Int) "win32"
Global dxPickedX:Float() "win32"
Global dxPickedY:Float() "win32"
Global dxPickedZ:Float() "win32"
Global dxPickedNX:Float() "win32"
Global dxPickedNY:Float() "win32"
Global dxPickedNZ:Float() "win32"
Global dxPickedTime:Int() "win32"
Global dxPickedEntity:Int() "win32"
Global dxPickedSurface:Int() "win32"
Global dxPickedTriangle:Int() "win32"
Global dxEntityPick:Int(entity:Int,range:Float) "win32"
Global dxLinePick:Int(x:Float,y:Float,z:Float,dx:Float,dy:Float,dz:Float,radius:Float) "win32"
Global dxHideWindow:Int(enable:Int) "win32"
Global dxIsWindowMinimized:Int() "win32"
Global dxRotateMesh:Int(entity:Int,pitch:Float,yaw:Float,roll:Float) "win32"
Global dxGetWinVersion:Byte Ptr() "win32"
Global dxCameraZoom:Int(camera:Int,zoom:Float) "win32"
Global dxSurfaceShininess:Int(surface:Int,shininess:Float) "win32"
Global dxEntityShininess:Int(entity:Int,shininess:Float) "win32"
Global dxCreateMaze:Int(width:Int,height:Int,halls:Int) "win32"
Global dxFreeMaze:Int(maze:Int) "win32"
Global dxReadMaze:Int(maze:Int,x:Int,z:Int) "win32"
Global dxLoadMesh:Int(file:Byte Ptr,parent:Int) "win32"
Global dxSaveMesh:Int(file:Byte Ptr,entity:Int,flags:Int) "win32"
Global dxLoadMeshXFromBank:Int(bank:Int,parent:Int) "win32"
Global dxLoadTextureFromBank:Int(bank:Int,flags:Int) "win32"
Global dxBankSize:Int(bank:Int) "win32"
Global dxPeekMemInt:Int(address:Int) "win32"
Global dxPokeMemInt:Int(address:Int,value:Int) "win32"
Global dxLocate:Int(x:Int,y:Int) "win32"
Global dxPrint:Int(_string:Byte Ptr) "win32"
Global dxLoadAnimTexture:Int(file:Byte Ptr,flags:Int,frame_width:Int,frame_height:Int,first_frame:Int,frame_count:Int) "win32"
Global dxLoadAnimTextureFromBank:Int(bank:Int,flags:Int,frame_width:Int,frame_height:Int,first_frame:Int,frame_count:Int) "win32"
Global dxMeshesIntersect:Int(mesh_a:Int,mesh_b:Int) "win32"
Global dxRotateSprite:Int(sprite:Int,angle:Float) "win32"
Global dxUpdateWorld:Int(anim_speed:Float) "win32"
Global dxCreateCone:Int(segments:Int,solid:Int,parent:Int) "win32"
Global dxLightCaster:Int(light:Int,enable:Int) "win32"
Global dxEntityCaster:Int(entity:Int,enable:Int) "win32"
Global dxEnityShadowDetail:Int(entity:Int,triangles:Int,detail_percent:Float) "win32"
Global dxEnityShadowColor:Int(entity:Int,red:Int,green:Int,blue:Int) "win32"
Global dxEnityShadowIntensity:Int(entity:Int,intensity_percent:Float) "win32"
Global dxEnableShadows:Int(enable:Int) "win32"
Global dxEnityShadowCutoff:Int(entity:Int,minimum:Float,maximum:Float,fadein:Float) "win32"
Global dxSetVSync:Int(enable:Int) "win32"
Global dxSetWindowDefaults:Int(borderless:Int,minimize_button:Int,maximize_button:Int,close_button:Int,autoclose:Int) "win32"
Global dxWinClose:Int() "win32"
Global dxClearWorld:Int(entities:Int,brushes:Int,textures:Int) "win32"
Global dxClearCollisions() "win32"
Global dxCollisions:Int(src_type:Int,dest_type:Int,_method:Int,response:Int) "win32"
Global dxTextureFilter:Int(match_text:Byte Ptr,flags:Int) "win32"
Global dxClearTextureFilters() "win32"
Global dxScreenWidth:Int() "win32"
Global dxScreenHeight:Int() "win32"
Global dxWindowWidth:Int() "win32"
Global dxWindowHeight:Int() "win32"
Global dxWindowX:Int() "win32"
Global dxWindowY:Int() "win32"
Global dxWindowResized:Int() "win32"
Global dxWindowMoved:Int() "win32"
Global dxMeshSimplify:Int(mesh:Int,vertex_count:Int,triangle_count:Int,vertex_percent:Float,triangle_percent:Float) "win32"
Global dxVlcPresent:Int() "win32"
Global dxFreeVid:Int(video:Int) "win32"
Global dxVidLoad:Int(file:Byte Ptr) "win32"
Global dxVidDownload:Int(path:Int) "win32"
Global dxVidTrackCount:Int(video:Int) "win32"
Global dxVidTrackType:Int(video:Int,track:Int) "win32"
Global dxVidWidth:Int(video:Int) "win32"
Global dxVidHeight:Int(video:Int) "win32"
Global dxVidDuration:Int(video:Int) "win32"
Global dxVidTexture:Int(video:Int,texture:Int) "win32"
Global dxGetVidTexture:Int(video:Int) "win32"
Global dxVidPlay:Int(video:Int) "win32"
Global dxVidPlaying:Int(video:Int) "win32"
Global dxVidStop:Int(video:Int) "win32"
Global dxVidPause:Int(video:Int) "win32"
Global dxVidGetPosition:Int(video:Int) "win32"
Global dxVidSetPosition:Int(video:Int,millisecs:Int) "win32"
Global dxVidMuted:Int(video:Int) "win32"
Global dxVidMute:Int(video:Int) "win32"
Global dxVidUnMute:Int(video:Int) "win32"
Global dxVidGetVolume:Int(video:Int) "win32"
Global dxVidSetVolume:Int(video:Int,volume:Int) "win32"
Global dxVidGetSubtitleCount:Int(video:Int) "win32"
Global dxVidGetAudioTrackCount:Int(video:Int) "win32"
Global dxVidGetAudioTrackDescription:Byte Ptr(video:Int,track:Int) "win32"
Global dxVidSetAudioTrack:Int(video:Int,track:Int) "win32"
Global dxVidGetSubtitleDescription:Byte Ptr(video:Int,track:Int) "win32"
Global dxVidSetSubtitle:Int(video:Int,track:Int) "win32"
Global dxRequestFile:Byte Ptr(title:Byte Ptr,default_folder:Byte Ptr,filter:Byte Ptr) "win32"
Global dxVidGetPlayRate:Float(video:Int) "win32"
Global dxVidSetPlayRate:Int(video:Int,rate:Float) "win32"
Global dxDx11Present:Int() "win32"
Global dxBeginScene() "win32"
Global dxEndScene() "win32"
Global dxRenderEntity:Int(entity:Int,camera:Int,tween:Float) "win32"
Global dxRenderCls:Int(camera:Int) "win32"
Global dx11GetMaxFeatureLevel:Byte Ptr() "win32"
Global dx11SoftwareEmulation() "win32"
Global dx11NoSoftwareEmulation() "win32"
Global dxDebugSilent() "win32"
Global dxDebugLoud() "win32"
Global dxDebugHarsh() "win32"
Global dxDebugLoudAndHarsh() "win32"
Global dxLoadAnimMesh:Int(file:Byte Ptr,parent:Int) "win32"
Global dxAnimate:Int(entity:Int,mode:Int,speed:Float,sequence:Int,transition:Float) "win32"
Global dxSetAnimTime:Int(entity:Int,time:Float,anim_sequence:Int) "win32"
Global dxAnimTime:Float(entity:Int) "win32"
Global dxAnimating:Int(entity:Int) "win32"
Global dxCountBones:Int(entity:Int) "win32"
Global dxBoneName:Byte Ptr(entity:Int,bone:Int) "win32"
Global dxBoneX:Float(entity:Int,bone:Int,_global:Int,initial_position:Int) "win32"
Global dxBoneY:Float(entity:Int,bone:Int,_global:Int,initial_position:Int) "win32"
Global dxBoneZ:Float(entity:Int,bone:Int,_global:Int,initial_position:Int) "win32"
Global dxBonePitch:Float(entity:Int,bone:Int,_global:Int) "win32"
Global dxBoneYaw:Float(entity:Int,bone:Int,_global:Int) "win32"
Global dxBoneRoll:Float(entity:Int,bone:Int,_global:Int) "win32"
Global dxMoveBone:Int(entity:Int,bone:Int,x:Float,y:Float,z:Float) "win32"
Global dxTurnBone:Int(entity:Int,bone:Int,pitch:Float,yaw:Float,roll:Float) "win32"
Global dxGetBoneParent:Int(entity:Int,bone:Int) "win32"
Global dxGetRootBone:Int(entity:Int,bone:Int) "win32"
Global dxCountBoneChildren:Int(entity:Int,bone:Int) "win32"
Global dxGetBoneChild:Int(entity:Int,bone:Int,child_index:Int) "win32"
Global dxCountBoneSiblings:Int(entity:Int,bone:Int) "win32"
Global dxGetBoneSibling:Int(entity:Int,bone:Int,sibling_index:Int) "win32"
Global dxScaleBone:Int(entity:Int,bone:Int,scale_x:Float,scale_y:Float,scale_z:Float,_global:Int) "win32"
Global dxBoneScaleX:Float(entity:Int,bone:Int,_global:Int) "win32"
Global dxBoneScaleY:Float(entity:Int,bone:Int,_global:Int) "win32"
Global dxBoneScaleZ:Float(entity:Int,bone:Int,_global:Int) "win32"
Global dxCountBoneInfluences:Int(entity:Int,bone:Int) "win32"
Global dxGetBoneInfluenceVertex:Int(entity:Int,bone:Int,influence_index:Int) "win32"
Global dxGetBoneInfluenceSurface:Int(entity:Int,bone:Int,influence_index:Int) "win32"
Global dxGetBoneInfluenceWeight:Float(entity:Int,bone:Int,influence_index:Int) "win32"
Global dxFindBone:Int(entity:Int,name:Byte Ptr) "win32"
Global dxRenameBone:Int(entity:Int,bone:Int,name:Byte Ptr) "win32"
Global dxCountVertexInfluences:Int(surface:Int,vertex:Int) "win32"
Global dxGetVertexInfluenceBone:Int(surface:Int,vertex:Int,influence_index:Int) "win32"
Global dxGetVertexInfluenceWeight:Float(surface:Int,vertex:Int,influence_index:Int) "win32"
Global dxSetBoneInfluenceWeight:Int(entity:Int,bone:Int,influence_index:Int,weight:Float) "win32"
Global dxFreeBoneInfluence:Int(entity:Int,bone:Int,influence_index:Int) "win32"
Global dxBoneParent:Int(entity:Int,bone:Int,parent_bone:Int) "win32"
Global dxFreeBone:Int(entity:Int,bone:Int) "win32"
Global dxCountCaptureDevices:Int() "win32"
Global dxCaptureName:Byte Ptr(capture_device_number:Int) "win32"
Global dxOpenCaptureDevice:Int(capture_device_number:Int) "win32"
Global dxCaptureWidth:Int(capture_device_number:Int) "win32"
Global dxCaptureHeight:Int(capture_device_number:Int) "win32"
Global dxUpnpSearch() "win32"
Global dxUpnpSearchDone:Int() "win32"
Global dxUpnpCount:Int() "win32"
Global dxUpnpName:Byte Ptr(device_index:Int) "win32"
Global dxSetAnimKey:Int(entity:Int,frame:Float,pos_key:Int,rotation_key:Int,scale_key:Int) "win32"
Global dxAddAnimSeq:Int(entity:Int,length:Int) "win32"
Global dxEntityHWShaders:Int(entity:Int,enable:Int) "win32"
Global dxHWShaders:Int(enable:Int) "win32"
Global dxSurfaceHWShaders:Int(surface:Int,enable:Int) "win32"
Global dxEntityNegative:Int(entity:Int,enable:Int) "win32"
Global dxEntityTextureBoundary:Int(entity:Int,texture_index:Int,min_x:Float,min_y:Float,min_z:Float,max_x:Float,max_y:Float,max_z:Float) "win32"
Global dxCreateQuat:Int() "win32"
Global dxFreeQuat:Int(handle:Int) "win32"
Global dxQuatFromEntity:Int(handle:Int,entity:Int) "win32"
Global dxQuatFromPYR:Int(handle:Int,pitch:Float,yaw:Float,roll:Float) "win32"
Global dxQuatFromXYZW:Int(handle:Int,x:Float,y:Float,z:Float,w:Float) "win32"
Global dxGetQuatX:Float(handle:Int) "win32"
Global dxGetQuatY:Float(handle:Int) "win32"
Global dxGetQuatZ:Float(handle:Int) "win32"
Global dxGetQuatW:Float(handle:Int) "win32"
Global dxGetQuatPitch:Float(handle:Int) "win32"
Global dxGetQuatYaw:Float(handle:Int) "win32"
Global dxGetQuatRoll:Float(handle:Int) "win32"
Global dxQuatFromMatrix:Int(quaternion_handle:Int,matrix_handle:Int) "win32"
Global dxQuatInverse:Int(handle:Int) "win32"
Global dxQuatNormalize:Int(handle:Int) "win32"
Global dxQuatMultiply:Int(handle:Int,operand_1:Int,operand_2:Int,result:Int) "win32"
Global dxCreateMatrix:Int() "win32"
Global dxFreeMatrix:Int(handle:Int) "win32"
Global dxMatrixMultiply:Int(operand_1:Int,operand_2:Int,result:Int) "win32"
Global dxMatrixInverse:Int(handle:Int) "win32"
Global dxToRadians:Float(degrees:Float) "win32"
Global dxToDegrees:Float(radians:Float) "win32"
Global dxHWWinStatus:Int() "win32"
Global dxCreateInstancer:Int(position_element:Int,colour_element:Int,normal_element:Int,texcoord1_element:Int,texcoord2_element:Int) "win32"
Global dxFreeInstancer:Int(instancer:Int) "win32"
Global dxInstancerCountElements:Int(instancer:Int) "win32"
Global dxInstancerAddElements:Int(instancer:Int,count:Int) "win32"
Global dxInstancerFreeElement:Int(instancer:Int,element:Int) "win32"
Global dxInstancerHookEntity:Int(instancer:Int,entity:Int) "win32"
Global dxInstancerUnhookEntity:Int(entity:Int) "win32"
Global dxInstancerPositionElement:Int(instancer:Int,element:Int,x:Float,y:Float,z:Float) "win32"
Global dxInstancerElementX:Float(instancer:Int,element:Int) "win32"
Global dxInstancerElementY:Float(instancer:Int,element:Int) "win32"
Global dxInstancerElementZ:Float(instancer:Int,element:Int) "win32"
Global dxInstancerMoveElement:Int(instancer:Int,element:Int,move_x:Float,move_y:Float,move_z:Float) "win32"
Global dxInstancerRotateElement:Int(instancer:Int,element:Int,pitch:Float,yaw:Float,roll:Float) "win32"
Global dxInstancerTurnElement:Int(instancer:Int,element:Int,pitch:Float,yaw:Float,roll:Float) "win32"
Global dxInstancerElementPitch:Float(instancer:Int,element:Int) "win32"
Global dxInstancerElementYaw:Float(instancer:Int,element:Int) "win32"
Global dxInstancerElementRoll:Float(instancer:Int,element:Int) "win32"
Global dxInstancerScaleElement:Int(instancer:Int,element:Int,scale_x:Float,scale_y:Float,scale_z:Float) "win32"
Global dxInstancerElementScaleX:Float(instancer:Int,element:Int) "win32"
Global dxInstancerElementScaleY:Float(instancer:Int,element:Int) "win32"
Global dxInstancerElementScaleZ:Float(instancer:Int,element:Int) "win32"
Global dxCreatePlane:Int(sub_divs:Int,parent:Int) "win32"
Global dxWrite:Int(_string:Byte Ptr) "win32"
Global dxTouchscreenTouched:Int() "win32"
Global dxTouchscreenXPos:Float() "win32"
Global dxTouchscreenYPos:Float() "win32"
Global dxTouchscreenWidth:Int() "win32"
Global dxTouchscreenHeight:Int() "win32"
Global dxTouchscreenTime:Int() "win32"
Global dxGetBrushTexture:Int() "win32"
Global dxTFormVector:Int(x:Float,y:Float,z:Float,source_entity:Int,dest_entity:Int) "win32"
Global dxTFormNormal:Int(x:Float,y:Float,z:Float,source_entity:Int,dest_entity:Int) "win32"
Global dxCreateDouble:Int() "win32"
Global dxFreeDouble:Int(_double:Int) "win32"
Global dxDoubleMultiply:Int(double_1:Int,double_2:Int,result:Int) "win32"
Global dxDoubleDivide:Int(double_1:Int,double_2:Int,result:Int) "win32"
Global dxDoubleAdd:Int(double_1:Int,double_2:Int,result:Int) "win32"
Global dxDoubleSubtract:Int(double_1:Int,double_2:Int,result:Int) "win32"
Global dxDoubleToFloat:Float(_double:Int) "win32"
Global dxDoubleToInt:Int(_double:Int) "win32"
Global dxDoubleFromString:Int(_double:Int,_string:Byte Ptr) "win32"
Global dxDoubleFromFloat:Int(_double:Int,_float:Float) "win32"
Global dxDoubleFromInt:Int(_double:Int,_int:Int) "win32"
Global dxDoubleCopy:Int(source_double:Int,destination_double:Int) "win32"
Global dxDoubleToString:Byte Ptr(_double:Int) "win32"
Global dxDoubleSqrt:Int(source_double:Int,destination_double:Int) "win32"
Global dxDoubleSin:Int(source_double:Int,destination_double:Int) "win32"
Global dxDoubleCos:Int(source_double:Int,destination_double:Int) "win32"
Global dxDoubleTan:Int(source_double:Int,destination_double:Int) "win32"
Global dxDoubleASin:Int(source_double:Int,destination_double:Int) "win32"
Global dxDoubleACos:Int(source_double:Int,destination_double:Int) "win32"
Global dxDoubleATan:Int(source_double:Int,destination_double:Int) "win32"
Global dxDoubleATan2:Int(double_1:Int,double_2:Int,destination_double:Int) "win32"
Global dxDoubleSinh:Int(source_double:Int,destination_double:Int) "win32"
Global dxDoubleCosh:Int(source_double:Int,destination_double:Int) "win32"
Global dxDoubleTanh:Int(source_double:Int,destination_double:Int) "win32"
Global dxDoubleAbs:Int(source_double:Int,destination_double:Int) "win32"
Global dxDoubleLog:Int(source_double:Int,destination_double:Int) "win32"
Global dxDoubleLog10:Int(source_double:Int,destination_double:Int) "win32"
Global dxDoublePow:Int(double_1:Int,double_2:Int,destination_double:Int) "win32"
Global dxDoubleExp:Int(source_double:Int,destination_double:Int) "win32"
Global dxDoubleCeiling:Int(source_double:Int,destination_double:Int) "win32"
Global dxDoubleFloor:Int(source_double:Int,destination_double:Int) "win32"
Global dxDoublePi:Int(destination_double:Int) "win32"
Global dxDoubleToRadians:Int(source_double:Int,destination_double:Int) "win32"
Global dxDoubleToDegrees:Int(source_double:Int,destination_double:Int) "win32"
Global dxDoubleSign:Int(source_double:Int) "win32"
Global dxDoubleEqualLessThan:Int(double_1:Int,double_2:Int) "win32"
Global dxDoubleLessThan:Int(double_1:Int,double_2:Int) "win32"
Global dxDoubleEqualTo:Int(double_1:Int,double_2:Int) "win32"
Global dxDoubleEqualBiggerThan:Int(double_1:Int,double_2:Int) "win32"
Global dxDoubleBiggerThan:Int(double_1:Int,double_2:Int) "win32"
Global dxDoubleMod:Int(double_1:Int,double_2:Int,double_result:Int) "win32"
Global dxMakeTrayMessage:Int(message:Byte Ptr) "win32"
Global dxMakeTrayIcon() "win32"
Global dxHardwiredLicence:Byte Ptr() "win32"
Global dxAutoPadding:Int(shader:Int,enable:Int) "win32"
Global dxAddShaderConstant:Int(shader:Int,constant:Byte Ptr,_type:Int,flags:Int) "win32"
Global dxCountShaderConstants:Int(shader:Int) "win32"
Global dxGetShaderConstantClass:Byte Ptr(shader:Int,index:Int) "win32"
Global dxGetShaderConstantType:Int(shader:Int,index:Int) "win32"
Global dxSetShaderConstantType:Int(shader:Int,index:Int,_type:Int) "win32"
Global dxGetShaderConstantFlags:Int(shader:Int,index:Int) "win32"
Global dxSetShaderConstantFlags:Int(shader:Int,index:Int,flags:Int) "win32"
Global dxSetIntShader:Int(shader:Int,index:Int,value:Int) "win32"
Global dxSetBoolShader:Int(shader:Int,index:Int,value:Int) "win32"
Global dxSetFloatShader:Int(shader:Int,index:Int,value:Float) "win32"
Global dxSetShaderConstantEntity:Int(shader:Int,index:Int,entity:Int) "win32"
Global dxGetShaderConstantEntity:Int(shader:Int,index:Int) "win32"
Global dxSetMatrixShader:Int(shader:Int,index:Int,matrix:Int) "win32"
Global dxSetFloat2Shader:Int(shader:Int,index:Int,float_1:Float,float_2:Float) "win32"
Global dxSetFloat3Shader:Int(shader:Int,index:Int,float_1:Float,float_2:Float,float_3:Float) "win32"
Global dxSetFloat4Shader:Int(shader:Int,index:Int,float_1:Float,float_2:Float,float_3:Float,float_4:Float) "win32"
Global dxSetInt2Shader:Int(shader:Int,index:Int,int_1:Int,int_2:Int) "win32"
Global dxSetInt3Shader:Int(shader:Int,index:Int,int_1:Int,int_2:Int,int_3:Int) "win32"
Global dxSetInt4Shader:Int(shader:Int,index:Int,int_1:Int,int_2:Int,int_3:Int,int_4:Int) "win32"
Global dxInstancerElementActivate:Int(instancer:Int,element:Int,activate:Int) "win32"
Global dxInstancerElementActivated:Int(instancer:Int,element:Int) "win32"
Global dxFreeInstancerElement:Int(instancer:Int,element:Int) "win32"
Global dxEntityGreyscale:Int(entity:Int,enable:Int) "win32"
Global dxEntitySepia:Int(entity:Int,enable:Int) "win32"
Global dxEntitySimpleBlur:Int(entity:Int,enable:Int) "win32"
Global dxCreateEmitter:Int(max_elements:Int,max_levels:Int,parent:Int) "win32"
Global dxEmitterAddStyle:Int(emitter_entity:Int,style_entity:Int,behaviour:Int,share:Float) "win32"
Global dxEmitterCountStyles:Int(emitter_entity:Int) "win32"
Global dxEmitterSetStyleBehaviour:Int(emitter_entity:Int,style:Int,behaviour:Int) "win32"
Global dxEmitterSetStyleShare:Int(emitter_entity:Int,style:Int,share:Float) "win32"
Global dxCreateBehaviour:Int() "win32"
Global dxFreeBehaviour:Int(behaviour:Int) "win32"
Global dxBehaviourSetBirthPosition:Int(behaviour:Int,x:Float,y:Float,z:Float) "win32"
Global dxBehaviourSetBirthRotation:Int(behaviour:Int,pitch:Float,yaw:Float,roll:Float) "win32"
Global dxBehaviourSetBirthScale:Int(behaviour:Int,scale_x:Float,scale_y:Float,scale_z:Float) "win32"
Global dxBehaviourSetBirthDelay:Int(behaviour:Int,delay_mode:Int,delay_millis:Int) "win32"
Global dxBehaviourSetLifeSpan:Int(behaviour:Int,span_mode:Int,millis:Int) "win32"
Global dxCopyInstancer:Int(instancer:Int) "win32"
Global dxCountCollisions:Int(entity:Int) "win32"
Global dxCollisionEntity:Int(entity:Int,index:Int) "win32"
Global dxEntityCollided:Int(entity:Int,_type:Int) "win32"
Global dxCollisionX:Float(entity:Int,index:Int) "win32"
Global dxCollisionY:Float(entity:Int,index:Int) "win32"
Global dxCollisionZ:Float(entity:Int,index:Int) "win32"
Global dxCollisionNX:Float(entity:Int,index:Int) "win32"
Global dxCollisionNY:Float(entity:Int,index:Int) "win32"
Global dxCollisionNZ:Float(entity:Int,index:Int) "win32"
Global dxCollisionSurface:Int(entity:Int,index:Int) "win32"
Global dxCollisionTriangle:Int(entity:Int,index:Int) "win32"
Global dxCollisionTime:Float(entity:Int,index:Int) "win32"
Global dxCaptureWorld() "win32"
Global dxGetDebugInt:Int() "win32"
Global dxSetDebugFloat:Int(_float:Float) "win32"
Global dxSetDebugInt:Int(_int:Int) "win32"
Global dxCountCaptureDevice:Int() "win32"
Global dxCompressBank:Int(uncompressed_bank:Int,compressed_bank:Int) "win32"
Global dxDecompressedSize:Int(compressed_bank:Int) "win32"
Global dxCompressedSize:Int(compressed_bank:Int) "win32"
Global dxDecompressBank:Int(compressed_bank:Int,uncompressed_bank:Int) "win32"

dxCountGfxDrivers = GetProcAddress (hardwiredlib, "dCountGfxDrivers")
If Not dxCountGfxDrivers Then ListAddLast missing_functions, "dCountGfxDrivers"

dxGraphics3D = GetProcAddress (hardwiredlib, "dGraphics3D")
If Not dxGraphics3D Then ListAddLast missing_functions, "dGraphics3D"

dxEndGraphics = GetProcAddress (hardwiredlib, "dEndGraphics")
If Not dxEndGraphics Then ListAddLast missing_functions, "dEndGraphics"

dxShowMouse = GetProcAddress (hardwiredlib, "dShowMouse")
If Not dxShowMouse Then ListAddLast missing_functions, "dShowMouse"

dxHideMouse = GetProcAddress (hardwiredlib, "dHideMouse")
If Not dxHideMouse Then ListAddLast missing_functions, "dHideMouse"

dxKeyDown = GetProcAddress (hardwiredlib, "dKeyDown")
If Not dxKeyDown Then ListAddLast missing_functions, "dKeyDown"

dxMouseDown = GetProcAddress (hardwiredlib, "dMouseDown")
If Not dxMouseDown Then ListAddLast missing_functions, "dMouseDown"

dxGetMouse = GetProcAddress (hardwiredlib, "dGetMouse")
If Not dxGetMouse Then ListAddLast missing_functions, "dGetMouse"

dxMouseHit = GetProcAddress (hardwiredlib, "dMouseHit")
If Not dxMouseHit Then ListAddLast missing_functions, "dMouseHit"

dxWaitMouse = GetProcAddress (hardwiredlib, "dWaitMouse")
If Not dxWaitMouse Then ListAddLast missing_functions, "dWaitMouse"

dxMouseX = GetProcAddress (hardwiredlib, "dMouseX")
If Not dxMouseX Then ListAddLast missing_functions, "dMouseX"

dxMouseY = GetProcAddress (hardwiredlib, "dMouseY")
If Not dxMouseY Then ListAddLast missing_functions, "dMouseY"

dxMouseZ = GetProcAddress (hardwiredlib, "dMouseZ")
If Not dxMouseZ Then ListAddLast missing_functions, "dMouseZ"

dxMoveMouse = GetProcAddress (hardwiredlib, "dMoveMouse")
If Not dxMoveMouse Then ListAddLast missing_functions, "dMoveMouse"

dxFlushMouse = GetProcAddress (hardwiredlib, "dFlushMouse")
If Not dxFlushMouse Then ListAddLast missing_functions, "dFlushMouse"

dxMouseXSpeed = GetProcAddress (hardwiredlib, "dMouseXSpeed")
If Not dxMouseXSpeed Then ListAddLast missing_functions, "dMouseXSpeed"

dxMouseYSpeed = GetProcAddress (hardwiredlib, "dMouseYSpeed")
If Not dxMouseYSpeed Then ListAddLast missing_functions, "dMouseYSpeed"

dxMouseZSpeed = GetProcAddress (hardwiredlib, "dMouseZSpeed")
If Not dxMouseZSpeed Then ListAddLast missing_functions, "dMouseZSpeed"

dxKeyHit = GetProcAddress (hardwiredlib, "dKeyHit")
If Not dxKeyHit Then ListAddLast missing_functions, "dKeyHit"

dxFlushKeys = GetProcAddress (hardwiredlib, "dFlushKeys")
If Not dxFlushKeys Then ListAddLast missing_functions, "dFlushKeys"

dxWaitKey = GetProcAddress (hardwiredlib, "dWaitKey")
If Not dxWaitKey Then ListAddLast missing_functions, "dWaitKey"

dxLoadFont = GetProcAddress (hardwiredlib, "dLoadFont")
If Not dxLoadFont Then ListAddLast missing_functions, "dLoadFont"

dxCls = GetProcAddress (hardwiredlib, "dCls")
If Not dxCls Then ListAddLast missing_functions, "dCls"

dxClsColor = GetProcAddress (hardwiredlib, "dClsColor")
If Not dxClsColor Then ListAddLast missing_functions, "dClsColor"

dxFlip = GetProcAddress (hardwiredlib, "dFlip")
If Not dxFlip Then ListAddLast missing_functions, "dFlip"

dxFrontBuffer = GetProcAddress (hardwiredlib, "dFrontBuffer")
If Not dxFrontBuffer Then ListAddLast missing_functions, "dFrontBuffer"

dxBackBuffer = GetProcAddress (hardwiredlib, "dBackBuffer")
If Not dxBackBuffer Then ListAddLast missing_functions, "dBackBuffer"

dxColor = GetProcAddress (hardwiredlib, "dColor")
If Not dxColor Then ListAddLast missing_functions, "dColor"

dxPlot = GetProcAddress (hardwiredlib, "dPlot")
If Not dxPlot Then ListAddLast missing_functions, "dPlot"

dxCreateMesh = GetProcAddress (hardwiredlib, "dCreateMesh")
If Not dxCreateMesh Then ListAddLast missing_functions, "dCreateMesh"

dxCreateCamera = GetProcAddress (hardwiredlib, "dCreateCamera")
If Not dxCreateCamera Then ListAddLast missing_functions, "dCreateCamera"

dxPositionEntity = GetProcAddress (hardwiredlib, "dPositionEntity")
If Not dxPositionEntity Then ListAddLast missing_functions, "dPositionEntity"

dxCreateTeapot = GetProcAddress (hardwiredlib, "dCreateTeapot")
If Not dxCreateTeapot Then ListAddLast missing_functions, "dCreateTeapot"

dxRenderWorld = GetProcAddress (hardwiredlib, "dRenderWorld")
If Not dxRenderWorld Then ListAddLast missing_functions, "dRenderWorld"

dxAddVertex = GetProcAddress (hardwiredlib, "dAddVertex")
If Not dxAddVertex Then ListAddLast missing_functions, "dAddVertex"

dxCreateSurface = GetProcAddress (hardwiredlib, "dCreateSurface")
If Not dxCreateSurface Then ListAddLast missing_functions, "dCreateSurface"

dxCountVertices = GetProcAddress (hardwiredlib, "dCountVertices")
If Not dxCountVertices Then ListAddLast missing_functions, "dCountVertices"

dxVertexColor = GetProcAddress (hardwiredlib, "dVertexColor")
If Not dxVertexColor Then ListAddLast missing_functions, "dVertexColor"

dxVertexRed = GetProcAddress (hardwiredlib, "dVertexRed")
If Not dxVertexRed Then ListAddLast missing_functions, "dVertexRed"

dxVertexGreen = GetProcAddress (hardwiredlib, "dVertexGreen")
If Not dxVertexGreen Then ListAddLast missing_functions, "dVertexGreen"

dxVertexBlue = GetProcAddress (hardwiredlib, "dVertexBlue")
If Not dxVertexBlue Then ListAddLast missing_functions, "dVertexBlue"

dxVertexAlpha = GetProcAddress (hardwiredlib, "dVertexAlpha")
If Not dxVertexAlpha Then ListAddLast missing_functions, "dVertexAlpha"

dxVertexTexCoords = GetProcAddress (hardwiredlib, "dVertexTexCoords")
If Not dxVertexTexCoords Then ListAddLast missing_functions, "dVertexTexCoords"

dxVertexNormal = GetProcAddress (hardwiredlib, "dVertexNormal")
If Not dxVertexNormal Then ListAddLast missing_functions, "dVertexNormal"

dxVertexX = GetProcAddress (hardwiredlib, "dVertexX")
If Not dxVertexX Then ListAddLast missing_functions, "dVertexX"

dxVertexY = GetProcAddress (hardwiredlib, "dVertexY")
If Not dxVertexY Then ListAddLast missing_functions, "dVertexY"

dxVertexZ = GetProcAddress (hardwiredlib, "dVertexZ")
If Not dxVertexZ Then ListAddLast missing_functions, "dVertexZ"

dxVertexNX = GetProcAddress (hardwiredlib, "dVertexNX")
If Not dxVertexNX Then ListAddLast missing_functions, "dVertexNX"

dxVertexNY = GetProcAddress (hardwiredlib, "dVertexNY")
If Not dxVertexNY Then ListAddLast missing_functions, "dVertexNY"

dxVertexNZ = GetProcAddress (hardwiredlib, "dVertexNZ")
If Not dxVertexNZ Then ListAddLast missing_functions, "dVertexNZ"

dxVertexU = GetProcAddress (hardwiredlib, "dVertexU")
If Not dxVertexU Then ListAddLast missing_functions, "dVertexU"

dxVertexV = GetProcAddress (hardwiredlib, "dVertexV")
If Not dxVertexV Then ListAddLast missing_functions, "dVertexV"

dxVertexW = GetProcAddress (hardwiredlib, "dVertexW")
If Not dxVertexW Then ListAddLast missing_functions, "dVertexW"

dxCountSurfaces = GetProcAddress (hardwiredlib, "dCountSurfaces")
If Not dxCountSurfaces Then ListAddLast missing_functions, "dCountSurfaces"

dxClearSurface = GetProcAddress (hardwiredlib, "dClearSurface")
If Not dxClearSurface Then ListAddLast missing_functions, "dClearSurface"

dxAddTriangle = GetProcAddress (hardwiredlib, "dAddTriangle")
If Not dxAddTriangle Then ListAddLast missing_functions, "dAddTriangle"

dxCountTriangles = GetProcAddress (hardwiredlib, "dCountTriangles")
If Not dxCountTriangles Then ListAddLast missing_functions, "dCountTriangles"

dxTriangleVertex = GetProcAddress (hardwiredlib, "dTriangleVertex")
If Not dxTriangleVertex Then ListAddLast missing_functions, "dTriangleVertex"

dxAmbientLight = GetProcAddress (hardwiredlib, "dAmbientLight")
If Not dxAmbientLight Then ListAddLast missing_functions, "dAmbientLight"

dxCameraViewport = GetProcAddress (hardwiredlib, "dCameraViewport")
If Not dxCameraViewport Then ListAddLast missing_functions, "dCameraViewport"

dxCameraClsColor = GetProcAddress (hardwiredlib, "dCameraClsColor")
If Not dxCameraClsColor Then ListAddLast missing_functions, "dCameraClsColor"

dxCameraProjMode = GetProcAddress (hardwiredlib, "dCameraProjMode")
If Not dxCameraProjMode Then ListAddLast missing_functions, "dCameraProjMode"

dxCameraRange = GetProcAddress (hardwiredlib, "dCameraRange")
If Not dxCameraRange Then ListAddLast missing_functions, "dCameraRange"

dxCameraClsMode = GetProcAddress (hardwiredlib, "dCameraClsMode")
If Not dxCameraClsMode Then ListAddLast missing_functions, "dCameraClsMode"

dxCameraAspect = GetProcAddress (hardwiredlib, "dCameraAspect")
If Not dxCameraAspect Then ListAddLast missing_functions, "dCameraAspect"

dxAutoCameraAspect = GetProcAddress (hardwiredlib, "dAutoCameraAspect")
If Not dxAutoCameraAspect Then ListAddLast missing_functions, "dAutoCameraAspect"

dxCameraFOV = GetProcAddress (hardwiredlib, "dCameraFOV")
If Not dxCameraFOV Then ListAddLast missing_functions, "dCameraFOV"

dxGetCameraFOV = GetProcAddress (hardwiredlib, "dGetCameraFOV")
If Not dxGetCameraFOV Then ListAddLast missing_functions, "dGetCameraFOV"

dxGetCameraAspect = GetProcAddress (hardwiredlib, "dGetCameraAspect")
If Not dxGetCameraAspect Then ListAddLast missing_functions, "dGetCameraAspect"

dxCreateTorus = GetProcAddress (hardwiredlib, "dCreateTorus")
If Not dxCreateTorus Then ListAddLast missing_functions, "dCreateTorus"

dxCreateCube = GetProcAddress (hardwiredlib, "dCreateCube")
If Not dxCreateCube Then ListAddLast missing_functions, "dCreateCube"

dxCreateCylinder = GetProcAddress (hardwiredlib, "dCreateCylinder")
If Not dxCreateCylinder Then ListAddLast missing_functions, "dCreateCylinder"

dxCreateSphere = GetProcAddress (hardwiredlib, "dCreateSphere")
If Not dxCreateSphere Then ListAddLast missing_functions, "dCreateSphere"

dxFreeEntity = GetProcAddress (hardwiredlib, "dFreeEntity")
If Not dxFreeEntity Then ListAddLast missing_functions, "dFreeEntity"

dxEntityParent = GetProcAddress (hardwiredlib, "dEntityParent")
If Not dxEntityParent Then ListAddLast missing_functions, "dEntityParent"

dxCountChildren = GetProcAddress (hardwiredlib, "dCountChildren")
If Not dxCountChildren Then ListAddLast missing_functions, "dCountChildren"

dxGetChild = GetProcAddress (hardwiredlib, "dGetChild")
If Not dxGetChild Then ListAddLast missing_functions, "dGetChild"

dxEntityClass = GetProcAddress (hardwiredlib, "dEntityClass")
If Not dxEntityClass Then ListAddLast missing_functions, "dEntityClass"

dxGetParent = GetProcAddress (hardwiredlib, "dGetParent")
If Not dxGetParent Then ListAddLast missing_functions, "dGetParent"

dxNameEntity = GetProcAddress (hardwiredlib, "dNameEntity")
If Not dxNameEntity Then ListAddLast missing_functions, "dNameEntity"

dxEntityName = GetProcAddress (hardwiredlib, "dEntityName")
If Not dxEntityName Then ListAddLast missing_functions, "dEntityName"

dxEntityX = GetProcAddress (hardwiredlib, "dEntityX")
If Not dxEntityX Then ListAddLast missing_functions, "dEntityX"

dxEntityY = GetProcAddress (hardwiredlib, "dEntityY")
If Not dxEntityY Then ListAddLast missing_functions, "dEntityY"

dxEntityZ = GetProcAddress (hardwiredlib, "dEntityZ")
If Not dxEntityZ Then ListAddLast missing_functions, "dEntityZ"

dxRotateEntity = GetProcAddress (hardwiredlib, "dRotateEntity")
If Not dxRotateEntity Then ListAddLast missing_functions, "dRotateEntity"

dxGetMatElement = GetProcAddress (hardwiredlib, "dGetMatElement")
If Not dxGetMatElement Then ListAddLast missing_functions, "dGetMatElement"

dxUpdateNormals = GetProcAddress (hardwiredlib, "dUpdateNormals")
If Not dxUpdateNormals Then ListAddLast missing_functions, "dUpdateNormals"

dxCreateTexture = GetProcAddress (hardwiredlib, "dCreateTexture")
If Not dxCreateTexture Then ListAddLast missing_functions, "dCreateTexture"

dxTurnEntity = GetProcAddress (hardwiredlib, "dTurnEntity")
If Not dxTurnEntity Then ListAddLast missing_functions, "dTurnEntity"

dxMoveEntity = GetProcAddress (hardwiredlib, "dMoveEntity")
If Not dxMoveEntity Then ListAddLast missing_functions, "dMoveEntity"

dxTranslateEntity = GetProcAddress (hardwiredlib, "dTranslateEntity")
If Not dxTranslateEntity Then ListAddLast missing_functions, "dTranslateEntity"

dxEntityRed = GetProcAddress (hardwiredlib, "dEntityRed")
If Not dxEntityRed Then ListAddLast missing_functions, "dEntityRed"

dxEntityGreen = GetProcAddress (hardwiredlib, "dEntityGreen")
If Not dxEntityGreen Then ListAddLast missing_functions, "dEntityGreen"

dxEntityBlue = GetProcAddress (hardwiredlib, "dEntityBlue")
If Not dxEntityBlue Then ListAddLast missing_functions, "dEntityBlue"

dxEntityColor = GetProcAddress (hardwiredlib, "dEntityColor")
If Not dxEntityColor Then ListAddLast missing_functions, "dEntityColor"

dxEntityFX = GetProcAddress (hardwiredlib, "dEntityFX")
If Not dxEntityFX Then ListAddLast missing_functions, "dEntityFX"

dxGetEntityFX = GetProcAddress (hardwiredlib, "dGetEntityFX")
If Not dxGetEntityFX Then ListAddLast missing_functions, "dGetEntityFX"

dxDither = GetProcAddress (hardwiredlib, "dDither")
If Not dxDither Then ListAddLast missing_functions, "dDither"

dxCameraFogMode = GetProcAddress (hardwiredlib, "dCameraFogMode")
If Not dxCameraFogMode Then ListAddLast missing_functions, "dCameraFogMode"

dxCameraFogColor = GetProcAddress (hardwiredlib, "dCameraFogColor")
If Not dxCameraFogColor Then ListAddLast missing_functions, "dCameraFogColor"

dxCameraFogRange = GetProcAddress (hardwiredlib, "dCameraFogRange")
If Not dxCameraFogRange Then ListAddLast missing_functions, "dCameraFogRange"

dxLoadTexture = GetProcAddress (hardwiredlib, "dLoadTexture")
If Not dxLoadTexture Then ListAddLast missing_functions, "dLoadTexture"

dxEntityTexture = GetProcAddress (hardwiredlib, "dEntityTexture")
If Not dxEntityTexture Then ListAddLast missing_functions, "dEntityTexture"

dxCountGfxModes3D = GetProcAddress (hardwiredlib, "dCountGfxModes3D")
If Not dxCountGfxModes3D Then ListAddLast missing_functions, "dCountGfxModes3D"

dxGfxModeWidth = GetProcAddress (hardwiredlib, "dGfxModeWidth")
If Not dxGfxModeWidth Then ListAddLast missing_functions, "dGfxModeWidth"

dxGfxModeHeight = GetProcAddress (hardwiredlib, "dGfxModeHeight")
If Not dxGfxModeHeight Then ListAddLast missing_functions, "dGfxModeHeight"

dxGfxModeDepth = GetProcAddress (hardwiredlib, "dGfxModeDepth")
If Not dxGfxModeDepth Then ListAddLast missing_functions, "dGfxModeDepth"

dxGfxModeRefreshRate = GetProcAddress (hardwiredlib, "dGfxModeRefreshRate")
If Not dxGfxModeRefreshRate Then ListAddLast missing_functions, "dGfxModeRefreshRate"

dxWireframe = GetProcAddress (hardwiredlib, "dWireframe")
If Not dxWireframe Then ListAddLast missing_functions, "dWireframe"

dxEntityWireframe = GetProcAddress (hardwiredlib, "dEntityWireframe")
If Not dxEntityWireframe Then ListAddLast missing_functions, "dEntityWireframe"

dxPointframe = GetProcAddress (hardwiredlib, "dPointframe")
If Not dxPointframe Then ListAddLast missing_functions, "dPointframe"

dxEntityPointframe = GetProcAddress (hardwiredlib, "dEntityPointframe")
If Not dxEntityPointframe Then ListAddLast missing_functions, "dEntityPointframe"

dxScaleEntity = GetProcAddress (hardwiredlib, "dScaleEntity")
If Not dxScaleEntity Then ListAddLast missing_functions, "dScaleEntity"

dxEntityScaleX = GetProcAddress (hardwiredlib, "dEntityScaleX")
If Not dxEntityScaleX Then ListAddLast missing_functions, "dEntityScaleX"

dxEntityScaleY = GetProcAddress (hardwiredlib, "dEntityScaleY")
If Not dxEntityScaleY Then ListAddLast missing_functions, "dEntityScaleY"

dxEntityScaleZ = GetProcAddress (hardwiredlib, "dEntityScaleZ")
If Not dxEntityScaleZ Then ListAddLast missing_functions, "dEntityScaleZ"

dxCreateLight = GetProcAddress (hardwiredlib, "dCreateLight")
If Not dxCreateLight Then ListAddLast missing_functions, "dCreateLight"

dxColorRed = GetProcAddress (hardwiredlib, "dColorRed")
If Not dxColorRed Then ListAddLast missing_functions, "dColorRed"

dxColorGreen = GetProcAddress (hardwiredlib, "dColorGreen")
If Not dxColorGreen Then ListAddLast missing_functions, "dColorGreen"

dxColorBlue = GetProcAddress (hardwiredlib, "dColorBlue")
If Not dxColorBlue Then ListAddLast missing_functions, "dColorBlue"

dxGraphicsBuffer = GetProcAddress (hardwiredlib, "dGraphicsBuffer")
If Not dxGraphicsBuffer Then ListAddLast missing_functions, "dGraphicsBuffer"

dxSetBuffer = GetProcAddress (hardwiredlib, "dSetBuffer")
If Not dxSetBuffer Then ListAddLast missing_functions, "dSetBuffer"

dxCreateText = GetProcAddress (hardwiredlib, "dCreateText")
If Not dxCreateText Then ListAddLast missing_functions, "dCreateText"

dx3DFont = GetProcAddress (hardwiredlib, "d3DFont")
If Not dx3DFont Then ListAddLast missing_functions, "d3DFont"

dxRect = GetProcAddress (hardwiredlib, "dRect")
If Not dxRect Then ListAddLast missing_functions, "dRect"

dxTextureBuffer = GetProcAddress (hardwiredlib, "dTextureBuffer")
If Not dxTextureBuffer Then ListAddLast missing_functions, "dTextureBuffer"

dxGraphicsWidth = GetProcAddress (hardwiredlib, "dGraphicsWidth")
If Not dxGraphicsWidth Then ListAddLast missing_functions, "dGraphicsWidth"

dxGraphicsHeight = GetProcAddress (hardwiredlib, "dGraphicsHeight")
If Not dxGraphicsHeight Then ListAddLast missing_functions, "dGraphicsHeight"

dxGraphicsDepth = GetProcAddress (hardwiredlib, "dGraphicsDepth")
If Not dxGraphicsDepth Then ListAddLast missing_functions, "dGraphicsDepth"

dxGetColor = GetProcAddress (hardwiredlib, "dGetColor")
If Not dxGetColor Then ListAddLast missing_functions, "dGetColor"

dxReadPixel = GetProcAddress (hardwiredlib, "dReadPixel")
If Not dxReadPixel Then ListAddLast missing_functions, "dReadPixel"

dxLightColor = GetProcAddress (hardwiredlib, "dLightColor")
If Not dxLightColor Then ListAddLast missing_functions, "dLightColor"

dxLightRange = GetProcAddress (hardwiredlib, "dLightRange")
If Not dxLightRange Then ListAddLast missing_functions, "dLightRange"

dxLightConeAngles = GetProcAddress (hardwiredlib, "dLightConeAngles")
If Not dxLightConeAngles Then ListAddLast missing_functions, "dLightConeAngles"

dxHideEntity = GetProcAddress (hardwiredlib, "dHideEntity")
If Not dxHideEntity Then ListAddLast missing_functions, "dHideEntity"

dxShowEntity = GetProcAddress (hardwiredlib, "dShowEntity")
If Not dxShowEntity Then ListAddLast missing_functions, "dShowEntity"

dxEntityOrder = GetProcAddress (hardwiredlib, "dEntityOrder")
If Not dxEntityOrder Then ListAddLast missing_functions, "dEntityOrder"

dxOval = GetProcAddress (hardwiredlib, "dOval")
If Not dxOval Then ListAddLast missing_functions, "dOval"

dxLine = GetProcAddress (hardwiredlib, "dLine")
If Not dxLine Then ListAddLast missing_functions, "dLine"

dxText = GetProcAddress (hardwiredlib, "dText")
If Not dxText Then ListAddLast missing_functions, "dText"

dxSetFont = GetProcAddress (hardwiredlib, "dSetFont")
If Not dxSetFont Then ListAddLast missing_functions, "dSetFont"

dxFreeFont = GetProcAddress (hardwiredlib, "dFreeFont")
If Not dxFreeFont Then ListAddLast missing_functions, "dFreeFont"

dxUpdateSurfaceNormals = GetProcAddress (hardwiredlib, "dUpdateSurfaceNormals")
If Not dxUpdateSurfaceNormals Then ListAddLast missing_functions, "dUpdateSurfaceNormals"

dxWBuffer = GetProcAddress (hardwiredlib, "dWBuffer")
If Not dxWBuffer Then ListAddLast missing_functions, "dWBuffer"

dxPixelShaderVersion = GetProcAddress (hardwiredlib, "dPixelShaderVersion")
If Not dxPixelShaderVersion Then ListAddLast missing_functions, "dPixelShaderVersion"

dxVertexShaderVersion = GetProcAddress (hardwiredlib, "dVertexShaderVersion")
If Not dxVertexShaderVersion Then ListAddLast missing_functions, "dVertexShaderVersion"

dxCreatePixelShader = GetProcAddress (hardwiredlib, "dCreatePixelShader")
If Not dxCreatePixelShader Then ListAddLast missing_functions, "dCreatePixelShader"

dxFreePixelShader = GetProcAddress (hardwiredlib, "dFreePixelShader")
If Not dxFreePixelShader Then ListAddLast missing_functions, "dFreePixelShader"

dxCreateVertexShader = GetProcAddress (hardwiredlib, "dCreateVertexShader")
If Not dxCreateVertexShader Then ListAddLast missing_functions, "dCreateVertexShader"

dxFreeVertexShader = GetProcAddress (hardwiredlib, "dFreeVertexShader")
If Not dxFreeVertexShader Then ListAddLast missing_functions, "dFreeVertexShader"

dxEntityPixelShader = GetProcAddress (hardwiredlib, "dEntityPixelShader")
If Not dxEntityPixelShader Then ListAddLast missing_functions, "dEntityPixelShader"

dxEntityVertexShader = GetProcAddress (hardwiredlib, "dEntityVertexShader")
If Not dxEntityVertexShader Then ListAddLast missing_functions, "dEntityVertexShader"

dxGetLastShaderError = GetProcAddress (hardwiredlib, "dGetLastShaderError")
If Not dxGetLastShaderError Then ListAddLast missing_functions, "dGetLastShaderError"

dxVertexCoords = GetProcAddress (hardwiredlib, "dVertexCoords")
If Not dxVertexCoords Then ListAddLast missing_functions, "dVertexCoords"

dxFlipMesh = GetProcAddress (hardwiredlib, "dFlipMesh")
If Not dxFlipMesh Then ListAddLast missing_functions, "dFlipMesh"

dxApptitle = GetProcAddress (hardwiredlib, "dApptitle")
If Not dxApptitle Then ListAddLast missing_functions, "dApptitle"

dxCountEntities = GetProcAddress (hardwiredlib, "dCountEntities")
If Not dxCountEntities Then ListAddLast missing_functions, "dCountEntities"

dxGetSurface = GetProcAddress (hardwiredlib, "dGetSurface")
If Not dxGetSurface Then ListAddLast missing_functions, "dGetSurface"

dxFirstEntity = GetProcAddress (hardwiredlib, "dFirstEntity")
If Not dxFirstEntity Then ListAddLast missing_functions, "dFirstEntity"

dxNextEntity = GetProcAddress (hardwiredlib, "dNextEntity")
If Not dxNextEntity Then ListAddLast missing_functions, "dNextEntity"

dxPreviousEntity = GetProcAddress (hardwiredlib, "dPreviousEntity")
If Not dxPreviousEntity Then ListAddLast missing_functions, "dPreviousEntity"

dxEntityBlend = GetProcAddress (hardwiredlib, "dEntityBlend")
If Not dxEntityBlend Then ListAddLast missing_functions, "dEntityBlend"

dxCopyEntity = GetProcAddress (hardwiredlib, "dCopyEntity")
If Not dxCopyEntity Then ListAddLast missing_functions, "dCopyEntity"

dxFreeSurface = GetProcAddress (hardwiredlib, "dFreeSurface")
If Not dxFreeSurface Then ListAddLast missing_functions, "dFreeSurface"

dxTextureBlend = GetProcAddress (hardwiredlib, "dTextureBlend")
If Not dxTextureBlend Then ListAddLast missing_functions, "dTextureBlend"

dxGetVersion = GetProcAddress (hardwiredlib, "dGetVersion")
If Not dxGetVersion Then ListAddLast missing_functions, "dGetVersion"

dxStringWidth = GetProcAddress (hardwiredlib, "dStringWidth")
If Not dxStringWidth Then ListAddLast missing_functions, "dStringWidth"

dxStringHeight = GetProcAddress (hardwiredlib, "dStringHeight")
If Not dxStringHeight Then ListAddLast missing_functions, "dStringHeight"

dxCreateBrush = GetProcAddress (hardwiredlib, "dCreateBrush")
If Not dxCreateBrush Then ListAddLast missing_functions, "dCreateBrush"

dxFreeBrush = GetProcAddress (hardwiredlib, "dFreeBrush")
If Not dxFreeBrush Then ListAddLast missing_functions, "dFreeBrush"

dxBrushColor = GetProcAddress (hardwiredlib, "dBrushColor")
If Not dxBrushColor Then ListAddLast missing_functions, "dBrushColor"

dxBrushAlpha = GetProcAddress (hardwiredlib, "dBrushAlpha")
If Not dxBrushAlpha Then ListAddLast missing_functions, "dBrushAlpha"

dxBrushShininess = GetProcAddress (hardwiredlib, "dBrushShininess")
If Not dxBrushShininess Then ListAddLast missing_functions, "dBrushShininess"

dxBrushFX = GetProcAddress (hardwiredlib, "dBrushFX")
If Not dxBrushFX Then ListAddLast missing_functions, "dBrushFX"

dxBrushTexture = GetProcAddress (hardwiredlib, "dBrushTexture")
If Not dxBrushTexture Then ListAddLast missing_functions, "dBrushTexture"

dxBrushBlend = GetProcAddress (hardwiredlib, "dBrushBlend")
If Not dxBrushBlend Then ListAddLast missing_functions, "dBrushBlend"

dxGetEntityBrush = GetProcAddress (hardwiredlib, "dGetEntityBrush")
If Not dxGetEntityBrush Then ListAddLast missing_functions, "dGetEntityBrush"

dxNameTexture = GetProcAddress (hardwiredlib, "dNameTexture")
If Not dxNameTexture Then ListAddLast missing_functions, "dNameTexture"

dxTextureName = GetProcAddress (hardwiredlib, "dTextureName")
If Not dxTextureName Then ListAddLast missing_functions, "dTextureName"

dxTextureCoords = GetProcAddress (hardwiredlib, "dTextureCoords")
If Not dxTextureCoords Then ListAddLast missing_functions, "dTextureCoords"

dxTextureWidth = GetProcAddress (hardwiredlib, "dTextureWidth")
If Not dxTextureWidth Then ListAddLast missing_functions, "dTextureWidth"

dxTextureHeight = GetProcAddress (hardwiredlib, "dTextureHeight")
If Not dxTextureHeight Then ListAddLast missing_functions, "dTextureHeight"

dxGetDebugFloat = GetProcAddress (hardwiredlib, "dGetDebugFloat")
If Not dxGetDebugFloat Then ListAddLast missing_functions, "dGetDebugFloat"

dxScaleTexture = GetProcAddress (hardwiredlib, "dScaleTexture")
If Not dxScaleTexture Then ListAddLast missing_functions, "dScaleTexture"

dxPositionTexture = GetProcAddress (hardwiredlib, "dPositionTexture")
If Not dxPositionTexture Then ListAddLast missing_functions, "dPositionTexture"

dxRotateTexture = GetProcAddress (hardwiredlib, "dRotateTexture")
If Not dxRotateTexture Then ListAddLast missing_functions, "dRotateTexture"

dxEntityAlpha = GetProcAddress (hardwiredlib, "dEntityAlpha")
If Not dxEntityAlpha Then ListAddLast missing_functions, "dEntityAlpha"

dxGetEntityAlpha = GetProcAddress (hardwiredlib, "dGetEntityAlpha")
If Not dxGetEntityAlpha Then ListAddLast missing_functions, "dGetEntityAlpha"

dxPositionMesh = GetProcAddress (hardwiredlib, "dPositionMesh")
If Not dxPositionMesh Then ListAddLast missing_functions, "dPositionMesh"

dxMeshWidth = GetProcAddress (hardwiredlib, "dMeshWidth")
If Not dxMeshWidth Then ListAddLast missing_functions, "dMeshWidth"

dxMeshHeight = GetProcAddress (hardwiredlib, "dMeshHeight")
If Not dxMeshHeight Then ListAddLast missing_functions, "dMeshHeight"

dxMeshDepth = GetProcAddress (hardwiredlib, "dMeshDepth")
If Not dxMeshDepth Then ListAddLast missing_functions, "dMeshDepth"

dxEntityPitch = GetProcAddress (hardwiredlib, "dEntityPitch")
If Not dxEntityPitch Then ListAddLast missing_functions, "dEntityPitch"

dxEntityYaw = GetProcAddress (hardwiredlib, "dEntityYaw")
If Not dxEntityYaw Then ListAddLast missing_functions, "dEntityYaw"

dxEntityRoll = GetProcAddress (hardwiredlib, "dEntityRoll")
If Not dxEntityRoll Then ListAddLast missing_functions, "dEntityRoll"

dxFreeSurfaceAttribs = GetProcAddress (hardwiredlib, "dFreeSurfaceAttribs")
If Not dxFreeSurfaceAttribs Then ListAddLast missing_functions, "dFreeSurfaceAttribs"

dxSurfaceFx = GetProcAddress (hardwiredlib, "dSurfaceFx")
If Not dxSurfaceFx Then ListAddLast missing_functions, "dSurfaceFx"

dxSurfaceBlend = GetProcAddress (hardwiredlib, "dSurfaceBlend")
If Not dxSurfaceBlend Then ListAddLast missing_functions, "dSurfaceBlend"

dxSurfaceAlpha = GetProcAddress (hardwiredlib, "dSurfaceAlpha")
If Not dxSurfaceAlpha Then ListAddLast missing_functions, "dSurfaceAlpha"

dxSurfaceWireframe = GetProcAddress (hardwiredlib, "dSurfaceWireframe")
If Not dxSurfaceWireframe Then ListAddLast missing_functions, "dSurfaceWireframe"

dxSurfacePointframe = GetProcAddress (hardwiredlib, "dSurfacePointframe")
If Not dxSurfacePointframe Then ListAddLast missing_functions, "dSurfacePointframe"

dxSurfacePixelShader = GetProcAddress (hardwiredlib, "dSurfacePixelShader")
If Not dxSurfacePixelShader Then ListAddLast missing_functions, "dSurfacePixelShader"

dxSurfaceVertexShader = GetProcAddress (hardwiredlib, "dSurfaceVertexShader")
If Not dxSurfaceVertexShader Then ListAddLast missing_functions, "dSurfaceVertexShader"

dxSurfaceColor = GetProcAddress (hardwiredlib, "dSurfaceColor")
If Not dxSurfaceColor Then ListAddLast missing_functions, "dSurfaceColor"

dxGetSurfaceBrush = GetProcAddress (hardwiredlib, "dGetSurfaceBrush")
If Not dxGetSurfaceBrush Then ListAddLast missing_functions, "dGetSurfaceBrush"

dxPaintEntity = GetProcAddress (hardwiredlib, "dPaintEntity")
If Not dxPaintEntity Then ListAddLast missing_functions, "dPaintEntity"

dxPaintSurface = GetProcAddress (hardwiredlib, "dPaintSurface")
If Not dxPaintSurface Then ListAddLast missing_functions, "dPaintSurface"

dxSurfaceTexture = GetProcAddress (hardwiredlib, "dSurfaceTexture")
If Not dxSurfaceTexture Then ListAddLast missing_functions, "dSurfaceTexture"

dxWritePixel = GetProcAddress (hardwiredlib, "dWritePixel")
If Not dxWritePixel Then ListAddLast missing_functions, "dWritePixel"

dxLockBuffer = GetProcAddress (hardwiredlib, "dLockBuffer")
If Not dxLockBuffer Then ListAddLast missing_functions, "dLockBuffer"

dxUnLockBuffer = GetProcAddress (hardwiredlib, "dUnLockBuffer")
If Not dxUnLockBuffer Then ListAddLast missing_functions, "dUnLockBuffer"

dxWritePixelFast = GetProcAddress (hardwiredlib, "dWritePixelFast")
If Not dxWritePixelFast Then ListAddLast missing_functions, "dWritePixelFast"

dxReadPixelFast = GetProcAddress (hardwiredlib, "dReadPixelFast")
If Not dxReadPixelFast Then ListAddLast missing_functions, "dReadPixelFast"

dxTextureSave = GetProcAddress (hardwiredlib, "dTextureSave")
If Not dxTextureSave Then ListAddLast missing_functions, "dTextureSave"

dxCopySurface = GetProcAddress (hardwiredlib, "dCopySurface")
If Not dxCopySurface Then ListAddLast missing_functions, "dCopySurface"

dxCopyMesh = GetProcAddress (hardwiredlib, "dCopyMesh")
If Not dxCopyMesh Then ListAddLast missing_functions, "dCopyMesh"

dxCreateImage = GetProcAddress (hardwiredlib, "dCreateImage")
If Not dxCreateImage Then ListAddLast missing_functions, "dCreateImage"

dxFreeImage = GetProcAddress (hardwiredlib, "dFreeImage")
If Not dxFreeImage Then ListAddLast missing_functions, "dFreeImage"

dxImageWidth = GetProcAddress (hardwiredlib, "dImageWidth")
If Not dxImageWidth Then ListAddLast missing_functions, "dImageWidth"

dxImageHeight = GetProcAddress (hardwiredlib, "dImageHeight")
If Not dxImageHeight Then ListAddLast missing_functions, "dImageHeight"

dxImageBuffer = GetProcAddress (hardwiredlib, "dImageBuffer")
If Not dxImageBuffer Then ListAddLast missing_functions, "dImageBuffer"

dxCopyImage = GetProcAddress (hardwiredlib, "dCopyImage")
If Not dxCopyImage Then ListAddLast missing_functions, "dCopyImage"

dxCopyRect = GetProcAddress (hardwiredlib, "dCopyRect")
If Not dxCopyRect Then ListAddLast missing_functions, "dCopyRect"

dxSetFilters = GetProcAddress (hardwiredlib, "dSetFilters")
If Not dxSetFilters Then ListAddLast missing_functions, "dSetFilters"

dxRenderToTexture = GetProcAddress (hardwiredlib, "dRenderToTexture")
If Not dxRenderToTexture Then ListAddLast missing_functions, "dRenderToTexture"

dxRenderToScreen = GetProcAddress (hardwiredlib, "dRenderToScreen")
If Not dxRenderToScreen Then ListAddLast missing_functions, "dRenderToScreen"

dxCreateSprite = GetProcAddress (hardwiredlib, "dCreateSprite")
If Not dxCreateSprite Then ListAddLast missing_functions, "dCreateSprite"

dxSpriteViewMode = GetProcAddress (hardwiredlib, "dSpriteViewMode")
If Not dxSpriteViewMode Then ListAddLast missing_functions, "dSpriteViewMode"

dxScaleSprite = GetProcAddress (hardwiredlib, "dScaleSprite")
If Not dxScaleSprite Then ListAddLast missing_functions, "dScaleSprite"

dxHandleSprite = GetProcAddress (hardwiredlib, "dHandleSprite")
If Not dxHandleSprite Then ListAddLast missing_functions, "dHandleSprite"

dxUseDirectX11 = GetProcAddress (hardwiredlib, "dUseDirectX11")
If Not dxUseDirectX11 Then ListAddLast missing_functions, "dUseDirectX11"

dxDirectX11Used = GetProcAddress (hardwiredlib, "dDirectX11Used")
If Not dxDirectX11Used Then ListAddLast missing_functions, "dDirectX11Used"

dxSeedRnd = GetProcAddress (hardwiredlib, "dSeedRnd")
If Not dxSeedRnd Then ListAddLast missing_functions, "dSeedRnd"

dxRnd = GetProcAddress (hardwiredlib, "dRnd")
If Not dxRnd Then ListAddLast missing_functions, "dRnd"

dxRand = GetProcAddress (hardwiredlib, "dRand")
If Not dxRand Then ListAddLast missing_functions, "dRand"

dxCreatePivot = GetProcAddress (hardwiredlib, "dCreatePivot")
If Not dxCreatePivot Then ListAddLast missing_functions, "dCreatePivot"

dxBufferNoise = GetProcAddress (hardwiredlib, "dBufferNoise")
If Not dxBufferNoise Then ListAddLast missing_functions, "dBufferNoise"

dxBufferInvert = GetProcAddress (hardwiredlib, "dBufferInvert")
If Not dxBufferInvert Then ListAddLast missing_functions, "dBufferInvert"

dxSetCubeFace = GetProcAddress (hardwiredlib, "dSetCubeFace")
If Not dxSetCubeFace Then ListAddLast missing_functions, "dSetCubeFace"

dxGetSurfaceBoundingRadius = GetProcAddress (hardwiredlib, "dGetSurfaceBoundingRadius")
If Not dxGetSurfaceBoundingRadius Then ListAddLast missing_functions, "dGetSurfaceBoundingRadius"

dxTrisRendered = GetProcAddress (hardwiredlib, "dTrisRendered")
If Not dxTrisRendered Then ListAddLast missing_functions, "dTrisRendered"

dxEntityInView = GetProcAddress (hardwiredlib, "dEntityInView")
If Not dxEntityInView Then ListAddLast missing_functions, "dEntityInView"

dxMaxLights = GetProcAddress (hardwiredlib, "dMaxLights")
If Not dxMaxLights Then ListAddLast missing_functions, "dMaxLights"

dxCreateTerrain = GetProcAddress (hardwiredlib, "dCreateTerrain")
If Not dxCreateTerrain Then ListAddLast missing_functions, "dCreateTerrain"

dxModifyTerrain = GetProcAddress (hardwiredlib, "dModifyTerrain")
If Not dxModifyTerrain Then ListAddLast missing_functions, "dModifyTerrain"

dxTerrainSize = GetProcAddress (hardwiredlib, "dTerrainSize")
If Not dxTerrainSize Then ListAddLast missing_functions, "dTerrainSize"

dxLoadTerrain = GetProcAddress (hardwiredlib, "dLoadTerrain")
If Not dxLoadTerrain Then ListAddLast missing_functions, "dLoadTerrain"

dxTerrainHeight = GetProcAddress (hardwiredlib, "dTerrainHeight")
If Not dxTerrainHeight Then ListAddLast missing_functions, "dTerrainHeight"

dxFitMesh = GetProcAddress (hardwiredlib, "dFitMesh")
If Not dxFitMesh Then ListAddLast missing_functions, "dFitMesh"

dxScaleMesh = GetProcAddress (hardwiredlib, "dScaleMesh")
If Not dxScaleMesh Then ListAddLast missing_functions, "dScaleMesh"

dxGetConstantTableSize = GetProcAddress (hardwiredlib, "dGetConstantTableSize")
If Not dxGetConstantTableSize Then ListAddLast missing_functions, "dGetConstantTableSize"

dxConstantCount = GetProcAddress (hardwiredlib, "dConstantCount")
If Not dxConstantCount Then ListAddLast missing_functions, "dConstantCount"

dxDeclareVertexShaderWorldConstant = GetProcAddress (hardwiredlib, "dDeclareVertexShaderWorldConstant")
If Not dxDeclareVertexShaderWorldConstant Then ListAddLast missing_functions, "dDeclareVertexShaderWorldConstant"

dxDeclareVertexShaderViewConstant = GetProcAddress (hardwiredlib, "dDeclareVertexShaderViewConstant")
If Not dxDeclareVertexShaderViewConstant Then ListAddLast missing_functions, "dDeclareVertexShaderViewConstant"

dxDeclareVertexShaderProjConstant = GetProcAddress (hardwiredlib, "dDeclareVertexShaderProjConstant")
If Not dxDeclareVertexShaderProjConstant Then ListAddLast missing_functions, "dDeclareVertexShaderProjConstant"

dxDeclareVertexShaderWorldViewProjConstant = GetProcAddress (hardwiredlib, "dDeclareVertexShaderWorldViewProjConstant")
If Not dxDeclareVertexShaderWorldViewProjConstant Then ListAddLast missing_functions, "dDeclareVertexShaderWorldViewProjConstant"

dxEntityRadius = GetProcAddress (hardwiredlib, "dEntityRadius")
If Not dxEntityRadius Then ListAddLast missing_functions, "dEntityRadius"

dxEntityBox = GetProcAddress (hardwiredlib, "dEntityBox")
If Not dxEntityBox Then ListAddLast missing_functions, "dEntityBox"

dxEntityType = GetProcAddress (hardwiredlib, "dEntityType")
If Not dxEntityType Then ListAddLast missing_functions, "dEntityType"

dxEntityPickMode = GetProcAddress (hardwiredlib, "dEntityPickMode")
If Not dxEntityPickMode Then ListAddLast missing_functions, "dEntityPickMode"

dxGetEntityType = GetProcAddress (hardwiredlib, "dGetEntityType")
If Not dxGetEntityType Then ListAddLast missing_functions, "dGetEntityType"

dxGetFPS = GetProcAddress (hardwiredlib, "dGetFPS")
If Not dxGetFPS Then ListAddLast missing_functions, "dGetFPS"

dxPointEntity = GetProcAddress (hardwiredlib, "dPointEntity")
If Not dxPointEntity Then ListAddLast missing_functions, "dPointEntity"

dxAlignToVector = GetProcAddress (hardwiredlib, "dAlignToVector")
If Not dxAlignToVector Then ListAddLast missing_functions, "dAlignToVector"

dxFramesRendered = GetProcAddress (hardwiredlib, "dFramesRendered")
If Not dxFramesRendered Then ListAddLast missing_functions, "dFramesRendered"

dxTFormPoint = GetProcAddress (hardwiredlib, "dTFormPoint")
If Not dxTFormPoint Then ListAddLast missing_functions, "dTFormPoint"

dxTFormedX = GetProcAddress (hardwiredlib, "dTFormedX")
If Not dxTFormedX Then ListAddLast missing_functions, "dTFormedX"

dxTFormedY = GetProcAddress (hardwiredlib, "dTFormedY")
If Not dxTFormedY Then ListAddLast missing_functions, "dTFormedY"

dxTFormedZ = GetProcAddress (hardwiredlib, "dTFormedZ")
If Not dxTFormedZ Then ListAddLast missing_functions, "dTFormedZ"

dxEntityDistance = GetProcAddress (hardwiredlib, "dEntityDistance")
If Not dxEntityDistance Then ListAddLast missing_functions, "dEntityDistance"

dxVectorYaw = GetProcAddress (hardwiredlib, "dVectorYaw")
If Not dxVectorYaw Then ListAddLast missing_functions, "dVectorYaw"

dxVectorPitch = GetProcAddress (hardwiredlib, "dVectorPitch")
If Not dxVectorPitch Then ListAddLast missing_functions, "dVectorPitch"

dxCameraProject = GetProcAddress (hardwiredlib, "dCameraProject")
If Not dxCameraProject Then ListAddLast missing_functions, "dCameraProject"

dxProjectedX = GetProcAddress (hardwiredlib, "dProjectedX")
If Not dxProjectedX Then ListAddLast missing_functions, "dProjectedX"

dxProjectedY = GetProcAddress (hardwiredlib, "dProjectedY")
If Not dxProjectedY Then ListAddLast missing_functions, "dProjectedY"

dxProjectedZ = GetProcAddress (hardwiredlib, "dProjectedZ")
If Not dxProjectedZ Then ListAddLast missing_functions, "dProjectedZ"

dxDeltaPitch = GetProcAddress (hardwiredlib, "dDeltaPitch")
If Not dxDeltaPitch Then ListAddLast missing_functions, "dDeltaPitch"

dxDeltaYaw = GetProcAddress (hardwiredlib, "dDeltaYaw")
If Not dxDeltaYaw Then ListAddLast missing_functions, "dDeltaYaw"

dxCameraPick = GetProcAddress (hardwiredlib, "dCameraPick")
If Not dxCameraPick Then ListAddLast missing_functions, "dCameraPick"

dxPickedX = GetProcAddress (hardwiredlib, "dPickedX")
If Not dxPickedX Then ListAddLast missing_functions, "dPickedX"

dxPickedY = GetProcAddress (hardwiredlib, "dPickedY")
If Not dxPickedY Then ListAddLast missing_functions, "dPickedY"

dxPickedZ = GetProcAddress (hardwiredlib, "dPickedZ")
If Not dxPickedZ Then ListAddLast missing_functions, "dPickedZ"

dxPickedNX = GetProcAddress (hardwiredlib, "dPickedNX")
If Not dxPickedNX Then ListAddLast missing_functions, "dPickedNX"

dxPickedNY = GetProcAddress (hardwiredlib, "dPickedNY")
If Not dxPickedNY Then ListAddLast missing_functions, "dPickedNY"

dxPickedNZ = GetProcAddress (hardwiredlib, "dPickedNZ")
If Not dxPickedNZ Then ListAddLast missing_functions, "dPickedNZ"

dxPickedTime = GetProcAddress (hardwiredlib, "dPickedTime")
If Not dxPickedTime Then ListAddLast missing_functions, "dPickedTime"

dxPickedEntity = GetProcAddress (hardwiredlib, "dPickedEntity")
If Not dxPickedEntity Then ListAddLast missing_functions, "dPickedEntity"

dxPickedSurface = GetProcAddress (hardwiredlib, "dPickedSurface")
If Not dxPickedSurface Then ListAddLast missing_functions, "dPickedSurface"

dxPickedTriangle = GetProcAddress (hardwiredlib, "dPickedTriangle")
If Not dxPickedTriangle Then ListAddLast missing_functions, "dPickedTriangle"

dxEntityPick = GetProcAddress (hardwiredlib, "dEntityPick")
If Not dxEntityPick Then ListAddLast missing_functions, "dEntityPick"

dxLinePick = GetProcAddress (hardwiredlib, "dLinePick")
If Not dxLinePick Then ListAddLast missing_functions, "dLinePick"

dxHideWindow = GetProcAddress (hardwiredlib, "dHideWindow")
If Not dxHideWindow Then ListAddLast missing_functions, "dHideWindow"

dxIsWindowMinimized = GetProcAddress (hardwiredlib, "dIsWindowMinimized")
If Not dxIsWindowMinimized Then ListAddLast missing_functions, "dIsWindowMinimized"

dxRotateMesh = GetProcAddress (hardwiredlib, "dRotateMesh")
If Not dxRotateMesh Then ListAddLast missing_functions, "dRotateMesh"

dxGetWinVersion = GetProcAddress (hardwiredlib, "dGetWinVersion")
If Not dxGetWinVersion Then ListAddLast missing_functions, "dGetWinVersion"

dxCameraZoom = GetProcAddress (hardwiredlib, "dCameraZoom")
If Not dxCameraZoom Then ListAddLast missing_functions, "dCameraZoom"

dxSurfaceShininess = GetProcAddress (hardwiredlib, "dSurfaceShininess")
If Not dxSurfaceShininess Then ListAddLast missing_functions, "dSurfaceShininess"

dxEntityShininess = GetProcAddress (hardwiredlib, "dEntityShininess")
If Not dxEntityShininess Then ListAddLast missing_functions, "dEntityShininess"

dxCreateMaze = GetProcAddress (hardwiredlib, "dCreateMaze")
If Not dxCreateMaze Then ListAddLast missing_functions, "dCreateMaze"

dxFreeMaze = GetProcAddress (hardwiredlib, "dFreeMaze")
If Not dxFreeMaze Then ListAddLast missing_functions, "dFreeMaze"

dxReadMaze = GetProcAddress (hardwiredlib, "dReadMaze")
If Not dxReadMaze Then ListAddLast missing_functions, "dReadMaze"

dxLoadMesh = GetProcAddress (hardwiredlib, "dLoadMesh")
If Not dxLoadMesh Then ListAddLast missing_functions, "dLoadMesh"

dxSaveMesh = GetProcAddress (hardwiredlib, "dSaveMesh")
If Not dxSaveMesh Then ListAddLast missing_functions, "dSaveMesh"

dxLoadMeshXFromBank = GetProcAddress (hardwiredlib, "dLoadMeshXFromBank")
If Not dxLoadMeshXFromBank Then ListAddLast missing_functions, "dLoadMeshXFromBank"

dxLoadTextureFromBank = GetProcAddress (hardwiredlib, "dLoadTextureFromBank")
If Not dxLoadTextureFromBank Then ListAddLast missing_functions, "dLoadTextureFromBank"

dxBankSize = GetProcAddress (hardwiredlib, "dBankSize")
If Not dxBankSize Then ListAddLast missing_functions, "dBankSize"

dxPeekMemInt = GetProcAddress (hardwiredlib, "dPeekMemInt")
If Not dxPeekMemInt Then ListAddLast missing_functions, "dPeekMemInt"

dxPokeMemInt = GetProcAddress (hardwiredlib, "dPokeMemInt")
If Not dxPokeMemInt Then ListAddLast missing_functions, "dPokeMemInt"

dxLocate = GetProcAddress (hardwiredlib, "dLocate")
If Not dxLocate Then ListAddLast missing_functions, "dLocate"

dxPrint = GetProcAddress (hardwiredlib, "dPrint")
If Not dxPrint Then ListAddLast missing_functions, "dPrint"

dxLoadAnimTexture = GetProcAddress (hardwiredlib, "dLoadAnimTexture")
If Not dxLoadAnimTexture Then ListAddLast missing_functions, "dLoadAnimTexture"

dxLoadAnimTextureFromBank = GetProcAddress (hardwiredlib, "dLoadAnimTextureFromBank")
If Not dxLoadAnimTextureFromBank Then ListAddLast missing_functions, "dLoadAnimTextureFromBank"

dxMeshesIntersect = GetProcAddress (hardwiredlib, "dMeshesIntersect")
If Not dxMeshesIntersect Then ListAddLast missing_functions, "dMeshesIntersect"

dxRotateSprite = GetProcAddress (hardwiredlib, "dRotateSprite")
If Not dxRotateSprite Then ListAddLast missing_functions, "dRotateSprite"

dxUpdateWorld = GetProcAddress (hardwiredlib, "dUpdateWorld")
If Not dxUpdateWorld Then ListAddLast missing_functions, "dUpdateWorld"

dxCreateCone = GetProcAddress (hardwiredlib, "dCreateCone")
If Not dxCreateCone Then ListAddLast missing_functions, "dCreateCone"

dxLightCaster = GetProcAddress (hardwiredlib, "dLightCaster")
If Not dxLightCaster Then ListAddLast missing_functions, "dLightCaster"

dxEntityCaster = GetProcAddress (hardwiredlib, "dEntityCaster")
If Not dxEntityCaster Then ListAddLast missing_functions, "dEntityCaster"

dxEnityShadowDetail = GetProcAddress (hardwiredlib, "dEnityShadowDetail")
If Not dxEnityShadowDetail Then ListAddLast missing_functions, "dEnityShadowDetail"

dxEnityShadowColor = GetProcAddress (hardwiredlib, "dEnityShadowColor")
If Not dxEnityShadowColor Then ListAddLast missing_functions, "dEnityShadowColor"

dxEnityShadowIntensity = GetProcAddress (hardwiredlib, "dEnityShadowIntensity")
If Not dxEnityShadowIntensity Then ListAddLast missing_functions, "dEnityShadowIntensity"

dxEnableShadows = GetProcAddress (hardwiredlib, "dEnableShadows")
If Not dxEnableShadows Then ListAddLast missing_functions, "dEnableShadows"

dxEnityShadowCutoff = GetProcAddress (hardwiredlib, "dEnityShadowCutoff")
If Not dxEnityShadowCutoff Then ListAddLast missing_functions, "dEnityShadowCutoff"

dxSetVSync = GetProcAddress (hardwiredlib, "dSetVSync")
If Not dxSetVSync Then ListAddLast missing_functions, "dSetVSync"

dxSetWindowDefaults = GetProcAddress (hardwiredlib, "dSetWindowDefaults")
If Not dxSetWindowDefaults Then ListAddLast missing_functions, "dSetWindowDefaults"

dxWinClose = GetProcAddress (hardwiredlib, "dWinClose")
If Not dxWinClose Then ListAddLast missing_functions, "dWinClose"

dxClearWorld = GetProcAddress (hardwiredlib, "dClearWorld")
If Not dxClearWorld Then ListAddLast missing_functions, "dClearWorld"

dxClearCollisions = GetProcAddress (hardwiredlib, "dClearCollisions")
If Not dxClearCollisions Then ListAddLast missing_functions, "dClearCollisions"

dxCollisions = GetProcAddress (hardwiredlib, "dCollisions")
If Not dxCollisions Then ListAddLast missing_functions, "dCollisions"

dxTextureFilter = GetProcAddress (hardwiredlib, "dTextureFilter")
If Not dxTextureFilter Then ListAddLast missing_functions, "dTextureFilter"

dxClearTextureFilters = GetProcAddress (hardwiredlib, "dClearTextureFilters")
If Not dxClearTextureFilters Then ListAddLast missing_functions, "dClearTextureFilters"

dxScreenWidth = GetProcAddress (hardwiredlib, "dScreenWidth")
If Not dxScreenWidth Then ListAddLast missing_functions, "dScreenWidth"

dxScreenHeight = GetProcAddress (hardwiredlib, "dScreenHeight")
If Not dxScreenHeight Then ListAddLast missing_functions, "dScreenHeight"

dxWindowWidth = GetProcAddress (hardwiredlib, "dWindowWidth")
If Not dxWindowWidth Then ListAddLast missing_functions, "dWindowWidth"

dxWindowHeight = GetProcAddress (hardwiredlib, "dWindowHeight")
If Not dxWindowHeight Then ListAddLast missing_functions, "dWindowHeight"

dxWindowX = GetProcAddress (hardwiredlib, "dWindowX")
If Not dxWindowX Then ListAddLast missing_functions, "dWindowX"

dxWindowY = GetProcAddress (hardwiredlib, "dWindowY")
If Not dxWindowY Then ListAddLast missing_functions, "dWindowY"

dxWindowResized = GetProcAddress (hardwiredlib, "dWindowResized")
If Not dxWindowResized Then ListAddLast missing_functions, "dWindowResized"

dxWindowMoved = GetProcAddress (hardwiredlib, "dWindowMoved")
If Not dxWindowMoved Then ListAddLast missing_functions, "dWindowMoved"

dxMeshSimplify = GetProcAddress (hardwiredlib, "dMeshSimplify")
If Not dxMeshSimplify Then ListAddLast missing_functions, "dMeshSimplify"

dxVlcPresent = GetProcAddress (hardwiredlib, "dVlcPresent")
If Not dxVlcPresent Then ListAddLast missing_functions, "dVlcPresent"

dxFreeVid = GetProcAddress (hardwiredlib, "dFreeVid")
If Not dxFreeVid Then ListAddLast missing_functions, "dFreeVid"

dxVidLoad = GetProcAddress (hardwiredlib, "dVidLoad")
If Not dxVidLoad Then ListAddLast missing_functions, "dVidLoad"

dxVidDownload = GetProcAddress (hardwiredlib, "dVidDownload")
If Not dxVidDownload Then ListAddLast missing_functions, "dVidDownload"

dxVidTrackCount = GetProcAddress (hardwiredlib, "dVidTrackCount")
If Not dxVidTrackCount Then ListAddLast missing_functions, "dVidTrackCount"

dxVidTrackType = GetProcAddress (hardwiredlib, "dVidTrackType")
If Not dxVidTrackType Then ListAddLast missing_functions, "dVidTrackType"

dxVidWidth = GetProcAddress (hardwiredlib, "dVidWidth")
If Not dxVidWidth Then ListAddLast missing_functions, "dVidWidth"

dxVidHeight = GetProcAddress (hardwiredlib, "dVidHeight")
If Not dxVidHeight Then ListAddLast missing_functions, "dVidHeight"

dxVidDuration = GetProcAddress (hardwiredlib, "dVidDuration")
If Not dxVidDuration Then ListAddLast missing_functions, "dVidDuration"

dxVidTexture = GetProcAddress (hardwiredlib, "dVidTexture")
If Not dxVidTexture Then ListAddLast missing_functions, "dVidTexture"

dxGetVidTexture = GetProcAddress (hardwiredlib, "dGetVidTexture")
If Not dxGetVidTexture Then ListAddLast missing_functions, "dGetVidTexture"

dxVidPlay = GetProcAddress (hardwiredlib, "dVidPlay")
If Not dxVidPlay Then ListAddLast missing_functions, "dVidPlay"

dxVidPlaying = GetProcAddress (hardwiredlib, "dVidPlaying")
If Not dxVidPlaying Then ListAddLast missing_functions, "dVidPlaying"

dxVidStop = GetProcAddress (hardwiredlib, "dVidStop")
If Not dxVidStop Then ListAddLast missing_functions, "dVidStop"

dxVidPause = GetProcAddress (hardwiredlib, "dVidPause")
If Not dxVidPause Then ListAddLast missing_functions, "dVidPause"

dxVidGetPosition = GetProcAddress (hardwiredlib, "dVidGetPosition")
If Not dxVidGetPosition Then ListAddLast missing_functions, "dVidGetPosition"

dxVidSetPosition = GetProcAddress (hardwiredlib, "dVidSetPosition")
If Not dxVidSetPosition Then ListAddLast missing_functions, "dVidSetPosition"

dxVidMuted = GetProcAddress (hardwiredlib, "dVidMuted")
If Not dxVidMuted Then ListAddLast missing_functions, "dVidMuted"

dxVidMute = GetProcAddress (hardwiredlib, "dVidMute")
If Not dxVidMute Then ListAddLast missing_functions, "dVidMute"

dxVidUnMute = GetProcAddress (hardwiredlib, "dVidUnMute")
If Not dxVidUnMute Then ListAddLast missing_functions, "dVidUnMute"

dxVidGetVolume = GetProcAddress (hardwiredlib, "dVidGetVolume")
If Not dxVidGetVolume Then ListAddLast missing_functions, "dVidGetVolume"

dxVidSetVolume = GetProcAddress (hardwiredlib, "dVidSetVolume")
If Not dxVidSetVolume Then ListAddLast missing_functions, "dVidSetVolume"

dxVidGetSubtitleCount = GetProcAddress (hardwiredlib, "dVidGetSubtitleCount")
If Not dxVidGetSubtitleCount Then ListAddLast missing_functions, "dVidGetSubtitleCount"

dxVidGetAudioTrackCount = GetProcAddress (hardwiredlib, "dVidGetAudioTrackCount")
If Not dxVidGetAudioTrackCount Then ListAddLast missing_functions, "dVidGetAudioTrackCount"

dxVidGetAudioTrackDescription = GetProcAddress (hardwiredlib, "dVidGetAudioTrackDescription")
If Not dxVidGetAudioTrackDescription Then ListAddLast missing_functions, "dVidGetAudioTrackDescription"

dxVidSetAudioTrack = GetProcAddress (hardwiredlib, "dVidSetAudioTrack")
If Not dxVidSetAudioTrack Then ListAddLast missing_functions, "dVidSetAudioTrack"

dxVidGetSubtitleDescription = GetProcAddress (hardwiredlib, "dVidGetSubtitleDescription")
If Not dxVidGetSubtitleDescription Then ListAddLast missing_functions, "dVidGetSubtitleDescription"

dxVidSetSubtitle = GetProcAddress (hardwiredlib, "dVidSetSubtitle")
If Not dxVidSetSubtitle Then ListAddLast missing_functions, "dVidSetSubtitle"

dxRequestFile = GetProcAddress (hardwiredlib, "dRequestFile")
If Not dxRequestFile Then ListAddLast missing_functions, "dRequestFile"

dxVidGetPlayRate = GetProcAddress (hardwiredlib, "dVidGetPlayRate")
If Not dxVidGetPlayRate Then ListAddLast missing_functions, "dVidGetPlayRate"

dxVidSetPlayRate = GetProcAddress (hardwiredlib, "dVidSetPlayRate")
If Not dxVidSetPlayRate Then ListAddLast missing_functions, "dVidSetPlayRate"

dxDx11Present = GetProcAddress (hardwiredlib, "dDx11Present")
If Not dxDx11Present Then ListAddLast missing_functions, "dDx11Present"

dxBeginScene = GetProcAddress (hardwiredlib, "dBeginScene")
If Not dxBeginScene Then ListAddLast missing_functions, "dBeginScene"

dxEndScene = GetProcAddress (hardwiredlib, "dEndScene")
If Not dxEndScene Then ListAddLast missing_functions, "dEndScene"

dxRenderEntity = GetProcAddress (hardwiredlib, "dRenderEntity")
If Not dxRenderEntity Then ListAddLast missing_functions, "dRenderEntity"

dxRenderCls = GetProcAddress (hardwiredlib, "dRenderCls")
If Not dxRenderCls Then ListAddLast missing_functions, "dRenderCls"

dx11GetMaxFeatureLevel = GetProcAddress (hardwiredlib, "d11GetMaxFeatureLevel")
If Not dx11GetMaxFeatureLevel Then ListAddLast missing_functions, "d11GetMaxFeatureLevel"

dx11SoftwareEmulation = GetProcAddress (hardwiredlib, "d11SoftwareEmulation")
If Not dx11SoftwareEmulation Then ListAddLast missing_functions, "d11SoftwareEmulation"

dx11NoSoftwareEmulation = GetProcAddress (hardwiredlib, "d11NoSoftwareEmulation")
If Not dx11NoSoftwareEmulation Then ListAddLast missing_functions, "d11NoSoftwareEmulation"

dxDebugSilent = GetProcAddress (hardwiredlib, "dDebugSilent")
If Not dxDebugSilent Then ListAddLast missing_functions, "dDebugSilent"

dxDebugLoud = GetProcAddress (hardwiredlib, "dDebugLoud")
If Not dxDebugLoud Then ListAddLast missing_functions, "dDebugLoud"

dxDebugHarsh = GetProcAddress (hardwiredlib, "dDebugHarsh")
If Not dxDebugHarsh Then ListAddLast missing_functions, "dDebugHarsh"

dxDebugLoudAndHarsh = GetProcAddress (hardwiredlib, "dDebugLoudAndHarsh")
If Not dxDebugLoudAndHarsh Then ListAddLast missing_functions, "dDebugLoudAndHarsh"

dxLoadAnimMesh = GetProcAddress (hardwiredlib, "dLoadAnimMesh")
If Not dxLoadAnimMesh Then ListAddLast missing_functions, "dLoadAnimMesh"

dxAnimate = GetProcAddress (hardwiredlib, "dAnimate")
If Not dxAnimate Then ListAddLast missing_functions, "dAnimate"

dxSetAnimTime = GetProcAddress (hardwiredlib, "dSetAnimTime")
If Not dxSetAnimTime Then ListAddLast missing_functions, "dSetAnimTime"

dxAnimTime = GetProcAddress (hardwiredlib, "dAnimTime")
If Not dxAnimTime Then ListAddLast missing_functions, "dAnimTime"

dxAnimating = GetProcAddress (hardwiredlib, "dAnimating")
If Not dxAnimating Then ListAddLast missing_functions, "dAnimating"

dxCountBones = GetProcAddress (hardwiredlib, "dCountBones")
If Not dxCountBones Then ListAddLast missing_functions, "dCountBones"

dxBoneName = GetProcAddress (hardwiredlib, "dBoneName")
If Not dxBoneName Then ListAddLast missing_functions, "dBoneName"

dxBoneX = GetProcAddress (hardwiredlib, "dBoneX")
If Not dxBoneX Then ListAddLast missing_functions, "dBoneX"

dxBoneY = GetProcAddress (hardwiredlib, "dBoneY")
If Not dxBoneY Then ListAddLast missing_functions, "dBoneY"

dxBoneZ = GetProcAddress (hardwiredlib, "dBoneZ")
If Not dxBoneZ Then ListAddLast missing_functions, "dBoneZ"

dxBonePitch = GetProcAddress (hardwiredlib, "dBonePitch")
If Not dxBonePitch Then ListAddLast missing_functions, "dBonePitch"

dxBoneYaw = GetProcAddress (hardwiredlib, "dBoneYaw")
If Not dxBoneYaw Then ListAddLast missing_functions, "dBoneYaw"

dxBoneRoll = GetProcAddress (hardwiredlib, "dBoneRoll")
If Not dxBoneRoll Then ListAddLast missing_functions, "dBoneRoll"

dxMoveBone = GetProcAddress (hardwiredlib, "dMoveBone")
If Not dxMoveBone Then ListAddLast missing_functions, "dMoveBone"

dxTurnBone = GetProcAddress (hardwiredlib, "dTurnBone")
If Not dxTurnBone Then ListAddLast missing_functions, "dTurnBone"

dxGetBoneParent = GetProcAddress (hardwiredlib, "dGetBoneParent")
If Not dxGetBoneParent Then ListAddLast missing_functions, "dGetBoneParent"

dxGetRootBone = GetProcAddress (hardwiredlib, "dGetRootBone")
If Not dxGetRootBone Then ListAddLast missing_functions, "dGetRootBone"

dxCountBoneChildren = GetProcAddress (hardwiredlib, "dCountBoneChildren")
If Not dxCountBoneChildren Then ListAddLast missing_functions, "dCountBoneChildren"

dxGetBoneChild = GetProcAddress (hardwiredlib, "dGetBoneChild")
If Not dxGetBoneChild Then ListAddLast missing_functions, "dGetBoneChild"

dxCountBoneSiblings = GetProcAddress (hardwiredlib, "dCountBoneSiblings")
If Not dxCountBoneSiblings Then ListAddLast missing_functions, "dCountBoneSiblings"

dxGetBoneSibling = GetProcAddress (hardwiredlib, "dGetBoneSibling")
If Not dxGetBoneSibling Then ListAddLast missing_functions, "dGetBoneSibling"

dxScaleBone = GetProcAddress (hardwiredlib, "dScaleBone")
If Not dxScaleBone Then ListAddLast missing_functions, "dScaleBone"

dxBoneScaleX = GetProcAddress (hardwiredlib, "dBoneScaleX")
If Not dxBoneScaleX Then ListAddLast missing_functions, "dBoneScaleX"

dxBoneScaleY = GetProcAddress (hardwiredlib, "dBoneScaleY")
If Not dxBoneScaleY Then ListAddLast missing_functions, "dBoneScaleY"

dxBoneScaleZ = GetProcAddress (hardwiredlib, "dBoneScaleZ")
If Not dxBoneScaleZ Then ListAddLast missing_functions, "dBoneScaleZ"

dxCountBoneInfluences = GetProcAddress (hardwiredlib, "dCountBoneInfluences")
If Not dxCountBoneInfluences Then ListAddLast missing_functions, "dCountBoneInfluences"

dxGetBoneInfluenceVertex = GetProcAddress (hardwiredlib, "dGetBoneInfluenceVertex")
If Not dxGetBoneInfluenceVertex Then ListAddLast missing_functions, "dGetBoneInfluenceVertex"

dxGetBoneInfluenceSurface = GetProcAddress (hardwiredlib, "dGetBoneInfluenceSurface")
If Not dxGetBoneInfluenceSurface Then ListAddLast missing_functions, "dGetBoneInfluenceSurface"

dxGetBoneInfluenceWeight = GetProcAddress (hardwiredlib, "dGetBoneInfluenceWeight")
If Not dxGetBoneInfluenceWeight Then ListAddLast missing_functions, "dGetBoneInfluenceWeight"

dxFindBone = GetProcAddress (hardwiredlib, "dFindBone")
If Not dxFindBone Then ListAddLast missing_functions, "dFindBone"

dxRenameBone = GetProcAddress (hardwiredlib, "dRenameBone")
If Not dxRenameBone Then ListAddLast missing_functions, "dRenameBone"

dxCountVertexInfluences = GetProcAddress (hardwiredlib, "dCountVertexInfluences")
If Not dxCountVertexInfluences Then ListAddLast missing_functions, "dCountVertexInfluences"

dxGetVertexInfluenceBone = GetProcAddress (hardwiredlib, "dGetVertexInfluenceBone")
If Not dxGetVertexInfluenceBone Then ListAddLast missing_functions, "dGetVertexInfluenceBone"

dxGetVertexInfluenceWeight = GetProcAddress (hardwiredlib, "dGetVertexInfluenceWeight")
If Not dxGetVertexInfluenceWeight Then ListAddLast missing_functions, "dGetVertexInfluenceWeight"

dxSetBoneInfluenceWeight = GetProcAddress (hardwiredlib, "dSetBoneInfluenceWeight")
If Not dxSetBoneInfluenceWeight Then ListAddLast missing_functions, "dSetBoneInfluenceWeight"

dxFreeBoneInfluence = GetProcAddress (hardwiredlib, "dFreeBoneInfluence")
If Not dxFreeBoneInfluence Then ListAddLast missing_functions, "dFreeBoneInfluence"

dxBoneParent = GetProcAddress (hardwiredlib, "dBoneParent")
If Not dxBoneParent Then ListAddLast missing_functions, "dBoneParent"

dxFreeBone = GetProcAddress (hardwiredlib, "dFreeBone")
If Not dxFreeBone Then ListAddLast missing_functions, "dFreeBone"

dxCountCaptureDevices = GetProcAddress (hardwiredlib, "dCountCaptureDevices")
If Not dxCountCaptureDevices Then ListAddLast missing_functions, "dCountCaptureDevices"

dxCaptureName = GetProcAddress (hardwiredlib, "dCaptureName")
If Not dxCaptureName Then ListAddLast missing_functions, "dCaptureName"

dxOpenCaptureDevice = GetProcAddress (hardwiredlib, "dOpenCaptureDevice")
If Not dxOpenCaptureDevice Then ListAddLast missing_functions, "dOpenCaptureDevice"

dxCaptureWidth = GetProcAddress (hardwiredlib, "dCaptureWidth")
If Not dxCaptureWidth Then ListAddLast missing_functions, "dCaptureWidth"

dxCaptureHeight = GetProcAddress (hardwiredlib, "dCaptureHeight")
If Not dxCaptureHeight Then ListAddLast missing_functions, "dCaptureHeight"

dxUpnpSearch = GetProcAddress (hardwiredlib, "dUpnpSearch")
If Not dxUpnpSearch Then ListAddLast missing_functions, "dUpnpSearch"

dxUpnpSearchDone = GetProcAddress (hardwiredlib, "dUpnpSearchDone")
If Not dxUpnpSearchDone Then ListAddLast missing_functions, "dUpnpSearchDone"

dxUpnpCount = GetProcAddress (hardwiredlib, "dUpnpCount")
If Not dxUpnpCount Then ListAddLast missing_functions, "dUpnpCount"

dxUpnpName = GetProcAddress (hardwiredlib, "dUpnpName")
If Not dxUpnpName Then ListAddLast missing_functions, "dUpnpName"

dxSetAnimKey = GetProcAddress (hardwiredlib, "dSetAnimKey")
If Not dxSetAnimKey Then ListAddLast missing_functions, "dSetAnimKey"

dxAddAnimSeq = GetProcAddress (hardwiredlib, "dAddAnimSeq")
If Not dxAddAnimSeq Then ListAddLast missing_functions, "dAddAnimSeq"

dxEntityHWShaders = GetProcAddress (hardwiredlib, "dEntityHWShaders")
If Not dxEntityHWShaders Then ListAddLast missing_functions, "dEntityHWShaders"

dxHWShaders = GetProcAddress (hardwiredlib, "dHWShaders")
If Not dxHWShaders Then ListAddLast missing_functions, "dHWShaders"

dxSurfaceHWShaders = GetProcAddress (hardwiredlib, "dSurfaceHWShaders")
If Not dxSurfaceHWShaders Then ListAddLast missing_functions, "dSurfaceHWShaders"

dxEntityNegative = GetProcAddress (hardwiredlib, "dEntityNegative")
If Not dxEntityNegative Then ListAddLast missing_functions, "dEntityNegative"

dxEntityTextureBoundary = GetProcAddress (hardwiredlib, "dEntityTextureBoundary")
If Not dxEntityTextureBoundary Then ListAddLast missing_functions, "dEntityTextureBoundary"

dxCreateQuat = GetProcAddress (hardwiredlib, "dCreateQuat")
If Not dxCreateQuat Then ListAddLast missing_functions, "dCreateQuat"

dxFreeQuat = GetProcAddress (hardwiredlib, "dFreeQuat")
If Not dxFreeQuat Then ListAddLast missing_functions, "dFreeQuat"

dxQuatFromEntity = GetProcAddress (hardwiredlib, "dQuatFromEntity")
If Not dxQuatFromEntity Then ListAddLast missing_functions, "dQuatFromEntity"

dxQuatFromPYR = GetProcAddress (hardwiredlib, "dQuatFromPYR")
If Not dxQuatFromPYR Then ListAddLast missing_functions, "dQuatFromPYR"

dxQuatFromXYZW = GetProcAddress (hardwiredlib, "dQuatFromXYZW")
If Not dxQuatFromXYZW Then ListAddLast missing_functions, "dQuatFromXYZW"

dxGetQuatX = GetProcAddress (hardwiredlib, "dGetQuatX")
If Not dxGetQuatX Then ListAddLast missing_functions, "dGetQuatX"

dxGetQuatY = GetProcAddress (hardwiredlib, "dGetQuatY")
If Not dxGetQuatY Then ListAddLast missing_functions, "dGetQuatY"

dxGetQuatZ = GetProcAddress (hardwiredlib, "dGetQuatZ")
If Not dxGetQuatZ Then ListAddLast missing_functions, "dGetQuatZ"

dxGetQuatW = GetProcAddress (hardwiredlib, "dGetQuatW")
If Not dxGetQuatW Then ListAddLast missing_functions, "dGetQuatW"

dxGetQuatPitch = GetProcAddress (hardwiredlib, "dGetQuatPitch")
If Not dxGetQuatPitch Then ListAddLast missing_functions, "dGetQuatPitch"

dxGetQuatYaw = GetProcAddress (hardwiredlib, "dGetQuatYaw")
If Not dxGetQuatYaw Then ListAddLast missing_functions, "dGetQuatYaw"

dxGetQuatRoll = GetProcAddress (hardwiredlib, "dGetQuatRoll")
If Not dxGetQuatRoll Then ListAddLast missing_functions, "dGetQuatRoll"

dxQuatFromMatrix = GetProcAddress (hardwiredlib, "dQuatFromMatrix")
If Not dxQuatFromMatrix Then ListAddLast missing_functions, "dQuatFromMatrix"

dxQuatInverse = GetProcAddress (hardwiredlib, "dQuatInverse")
If Not dxQuatInverse Then ListAddLast missing_functions, "dQuatInverse"

dxQuatNormalize = GetProcAddress (hardwiredlib, "dQuatNormalize")
If Not dxQuatNormalize Then ListAddLast missing_functions, "dQuatNormalize"

dxQuatMultiply = GetProcAddress (hardwiredlib, "dQuatMultiply")
If Not dxQuatMultiply Then ListAddLast missing_functions, "dQuatMultiply"

dxCreateMatrix = GetProcAddress (hardwiredlib, "dCreateMatrix")
If Not dxCreateMatrix Then ListAddLast missing_functions, "dCreateMatrix"

dxFreeMatrix = GetProcAddress (hardwiredlib, "dFreeMatrix")
If Not dxFreeMatrix Then ListAddLast missing_functions, "dFreeMatrix"

dxMatrixMultiply = GetProcAddress (hardwiredlib, "dMatrixMultiply")
If Not dxMatrixMultiply Then ListAddLast missing_functions, "dMatrixMultiply"

dxMatrixInverse = GetProcAddress (hardwiredlib, "dMatrixInverse")
If Not dxMatrixInverse Then ListAddLast missing_functions, "dMatrixInverse"

dxToRadians = GetProcAddress (hardwiredlib, "dToRadians")
If Not dxToRadians Then ListAddLast missing_functions, "dToRadians"

dxToDegrees = GetProcAddress (hardwiredlib, "dxToDegrees")
If Not dxToDegrees Then ListAddLast missing_functions, "dxToDegrees"

dxHWWinStatus = GetProcAddress (hardwiredlib, "dHWWinStatus")
If Not dxHWWinStatus Then ListAddLast missing_functions, "dHWWinStatus"

dxCreateInstancer = GetProcAddress (hardwiredlib, "dCreateInstancer")
If Not dxCreateInstancer Then ListAddLast missing_functions, "dCreateInstancer"

dxFreeInstancer = GetProcAddress (hardwiredlib, "dFreeInstancer")
If Not dxFreeInstancer Then ListAddLast missing_functions, "dFreeInstancer"

dxInstancerCountElements = GetProcAddress (hardwiredlib, "dInstancerCountElements")
If Not dxInstancerCountElements Then ListAddLast missing_functions, "dInstancerCountElements"

dxInstancerAddElements = GetProcAddress (hardwiredlib, "dInstancerAddElements")
If Not dxInstancerAddElements Then ListAddLast missing_functions, "dInstancerAddElements"

dxInstancerFreeElement = GetProcAddress (hardwiredlib, "dInstancerFreeElement")
If Not dxInstancerFreeElement Then ListAddLast missing_functions, "dInstancerFreeElement"

dxInstancerHookEntity = GetProcAddress (hardwiredlib, "dInstancerHookEntity")
If Not dxInstancerHookEntity Then ListAddLast missing_functions, "dInstancerHookEntity"

dxInstancerUnhookEntity = GetProcAddress (hardwiredlib, "dInstancerUnhookEntity")
If Not dxInstancerUnhookEntity Then ListAddLast missing_functions, "dInstancerUnhookEntity"

dxInstancerPositionElement = GetProcAddress (hardwiredlib, "dInstancerPositionElement")
If Not dxInstancerPositionElement Then ListAddLast missing_functions, "dInstancerPositionElement"

dxInstancerElementX = GetProcAddress (hardwiredlib, "dInstancerElementX")
If Not dxInstancerElementX Then ListAddLast missing_functions, "dInstancerElementX"

dxInstancerElementY = GetProcAddress (hardwiredlib, "dInstancerElementY")
If Not dxInstancerElementY Then ListAddLast missing_functions, "dInstancerElementY"

dxInstancerElementZ = GetProcAddress (hardwiredlib, "dInstancerElementZ")
If Not dxInstancerElementZ Then ListAddLast missing_functions, "dInstancerElementZ"

dxInstancerMoveElement = GetProcAddress (hardwiredlib, "dInstancerMoveElement")
If Not dxInstancerMoveElement Then ListAddLast missing_functions, "dInstancerMoveElement"

dxInstancerRotateElement = GetProcAddress (hardwiredlib, "dInstancerRotateElement")
If Not dxInstancerRotateElement Then ListAddLast missing_functions, "dInstancerRotateElement"

dxInstancerTurnElement = GetProcAddress (hardwiredlib, "dInstancerTurnElement")
If Not dxInstancerTurnElement Then ListAddLast missing_functions, "dInstancerTurnElement"

dxInstancerElementPitch = GetProcAddress (hardwiredlib, "dInstancerElementPitch")
If Not dxInstancerElementPitch Then ListAddLast missing_functions, "dInstancerElementPitch"

dxInstancerElementYaw = GetProcAddress (hardwiredlib, "dInstancerElementYaw")
If Not dxInstancerElementYaw Then ListAddLast missing_functions, "dInstancerElementYaw"

dxInstancerElementRoll = GetProcAddress (hardwiredlib, "dInstancerElementRoll")
If Not dxInstancerElementRoll Then ListAddLast missing_functions, "dInstancerElementRoll"

dxInstancerScaleElement = GetProcAddress (hardwiredlib, "dInstancerScaleElement")
If Not dxInstancerScaleElement Then ListAddLast missing_functions, "dInstancerScaleElement"

dxInstancerElementScaleX = GetProcAddress (hardwiredlib, "dInstancerElementScaleX")
If Not dxInstancerElementScaleX Then ListAddLast missing_functions, "dInstancerElementScaleX"

dxInstancerElementScaleY = GetProcAddress (hardwiredlib, "dInstancerElementScaleY")
If Not dxInstancerElementScaleY Then ListAddLast missing_functions, "dInstancerElementScaleY"

dxInstancerElementScaleZ = GetProcAddress (hardwiredlib, "dInstancerElementScaleZ")
If Not dxInstancerElementScaleZ Then ListAddLast missing_functions, "dInstancerElementScaleZ"

dxCreatePlane = GetProcAddress (hardwiredlib, "dCreatePlane")
If Not dxCreatePlane Then ListAddLast missing_functions, "dCreatePlane"

dxWrite = GetProcAddress (hardwiredlib, "dWrite")
If Not dxWrite Then ListAddLast missing_functions, "dWrite"

dxTouchscreenTouched = GetProcAddress (hardwiredlib, "dTouchscreenTouched")
If Not dxTouchscreenTouched Then ListAddLast missing_functions, "dTouchscreenTouched"

dxTouchscreenXPos = GetProcAddress (hardwiredlib, "dTouchscreenXPos")
If Not dxTouchscreenXPos Then ListAddLast missing_functions, "dTouchscreenXPos"

dxTouchscreenYPos = GetProcAddress (hardwiredlib, "dTouchscreenYPos")
If Not dxTouchscreenYPos Then ListAddLast missing_functions, "dTouchscreenYPos"

dxTouchscreenWidth = GetProcAddress (hardwiredlib, "dTouchscreenWidth")
If Not dxTouchscreenWidth Then ListAddLast missing_functions, "dTouchscreenWidth"

dxTouchscreenHeight = GetProcAddress (hardwiredlib, "dTouchscreenHeight")
If Not dxTouchscreenHeight Then ListAddLast missing_functions, "dTouchscreenHeight"

dxTouchscreenTime = GetProcAddress (hardwiredlib, "dTouchscreenTime")
If Not dxTouchscreenTime Then ListAddLast missing_functions, "dTouchscreenTime"

dxGetBrushTexture = GetProcAddress (hardwiredlib, "dGetBrushTexture")
If Not dxGetBrushTexture Then ListAddLast missing_functions, "dGetBrushTexture"

dxTFormVector = GetProcAddress (hardwiredlib, "dTFormVector")
If Not dxTFormVector Then ListAddLast missing_functions, "dTFormVector"

dxTFormNormal = GetProcAddress (hardwiredlib, "dTFormNormal")
If Not dxTFormNormal Then ListAddLast missing_functions, "dTFormNormal"

dxCreateDouble = GetProcAddress (hardwiredlib, "dCreateDouble")
If Not dxCreateDouble Then ListAddLast missing_functions, "dCreateDouble"

dxFreeDouble = GetProcAddress (hardwiredlib, "dFreeDouble")
If Not dxFreeDouble Then ListAddLast missing_functions, "dFreeDouble"

dxDoubleMultiply = GetProcAddress (hardwiredlib, "dDoubleMultiply")
If Not dxDoubleMultiply Then ListAddLast missing_functions, "dDoubleMultiply"

dxDoubleDivide = GetProcAddress (hardwiredlib, "dDoubleDivide")
If Not dxDoubleDivide Then ListAddLast missing_functions, "dDoubleDivide"

dxDoubleAdd = GetProcAddress (hardwiredlib, "dDoubleAdd")
If Not dxDoubleAdd Then ListAddLast missing_functions, "dDoubleAdd"

dxDoubleSubtract = GetProcAddress (hardwiredlib, "dDoubleSubtract")
If Not dxDoubleSubtract Then ListAddLast missing_functions, "dDoubleSubtract"

dxDoubleToFloat = GetProcAddress (hardwiredlib, "dDoubleToFloat")
If Not dxDoubleToFloat Then ListAddLast missing_functions, "dDoubleToFloat"

dxDoubleToInt = GetProcAddress (hardwiredlib, "dDoubleToInt")
If Not dxDoubleToInt Then ListAddLast missing_functions, "dDoubleToInt"

dxDoubleFromString = GetProcAddress (hardwiredlib, "dDoubleFromString")
If Not dxDoubleFromString Then ListAddLast missing_functions, "dDoubleFromString"

dxDoubleFromFloat = GetProcAddress (hardwiredlib, "dDoubleFromFloat")
If Not dxDoubleFromFloat Then ListAddLast missing_functions, "dDoubleFromFloat"

dxDoubleFromInt = GetProcAddress (hardwiredlib, "dDoubleFromInt")
If Not dxDoubleFromInt Then ListAddLast missing_functions, "dDoubleFromInt"

dxDoubleCopy = GetProcAddress (hardwiredlib, "dDoubleCopy")
If Not dxDoubleCopy Then ListAddLast missing_functions, "dDoubleCopy"

dxDoubleToString = GetProcAddress (hardwiredlib, "dDoubleToString")
If Not dxDoubleToString Then ListAddLast missing_functions, "dDoubleToString"

dxDoubleSqrt = GetProcAddress (hardwiredlib, "dDoubleSqrt")
If Not dxDoubleSqrt Then ListAddLast missing_functions, "dDoubleSqrt"

dxDoubleSin = GetProcAddress (hardwiredlib, "dDoubleSin")
If Not dxDoubleSin Then ListAddLast missing_functions, "dDoubleSin"

dxDoubleCos = GetProcAddress (hardwiredlib, "dDoubleCos")
If Not dxDoubleCos Then ListAddLast missing_functions, "dDoubleCos"

dxDoubleTan = GetProcAddress (hardwiredlib, "dDoubleTan")
If Not dxDoubleTan Then ListAddLast missing_functions, "dDoubleTan"

dxDoubleASin = GetProcAddress (hardwiredlib, "dDoubleASin")
If Not dxDoubleASin Then ListAddLast missing_functions, "dDoubleASin"

dxDoubleACos = GetProcAddress (hardwiredlib, "dDoubleACos")
If Not dxDoubleACos Then ListAddLast missing_functions, "dDoubleACos"

dxDoubleATan = GetProcAddress (hardwiredlib, "dDoubleATan")
If Not dxDoubleATan Then ListAddLast missing_functions, "dDoubleATan"

dxDoubleATan2 = GetProcAddress (hardwiredlib, "dDoubleATan2")
If Not dxDoubleATan2 Then ListAddLast missing_functions, "dDoubleATan2"

dxDoubleSinh = GetProcAddress (hardwiredlib, "dDoubleSinh")
If Not dxDoubleSinh Then ListAddLast missing_functions, "dDoubleSinh"

dxDoubleCosh = GetProcAddress (hardwiredlib, "dDoubleCosh")
If Not dxDoubleCosh Then ListAddLast missing_functions, "dDoubleCosh"

dxDoubleTanh = GetProcAddress (hardwiredlib, "dDoubleTanh")
If Not dxDoubleTanh Then ListAddLast missing_functions, "dDoubleTanh"

dxDoubleAbs = GetProcAddress (hardwiredlib, "dDoubleAbs")
If Not dxDoubleAbs Then ListAddLast missing_functions, "dDoubleAbs"

dxDoubleLog = GetProcAddress (hardwiredlib, "dDoubleLog")
If Not dxDoubleLog Then ListAddLast missing_functions, "dDoubleLog"

dxDoubleLog10 = GetProcAddress (hardwiredlib, "dDoubleLog10")
If Not dxDoubleLog10 Then ListAddLast missing_functions, "dDoubleLog10"

dxDoublePow = GetProcAddress (hardwiredlib, "dDoublePow")
If Not dxDoublePow Then ListAddLast missing_functions, "dDoublePow"

dxDoubleExp = GetProcAddress (hardwiredlib, "dDoubleExp")
If Not dxDoubleExp Then ListAddLast missing_functions, "dDoubleExp"

dxDoubleCeiling = GetProcAddress (hardwiredlib, "dDoubleCeiling")
If Not dxDoubleCeiling Then ListAddLast missing_functions, "dDoubleCeiling"

dxDoubleFloor = GetProcAddress (hardwiredlib, "dDoubleFloor")
If Not dxDoubleFloor Then ListAddLast missing_functions, "dDoubleFloor"

dxDoublePi = GetProcAddress (hardwiredlib, "dDoublePi")
If Not dxDoublePi Then ListAddLast missing_functions, "dDoublePi"

dxDoubleToRadians = GetProcAddress (hardwiredlib, "dDoubleToRadians")
If Not dxDoubleToRadians Then ListAddLast missing_functions, "dDoubleToRadians"

dxDoubleToDegrees = GetProcAddress (hardwiredlib, "dDoubleToDegrees")
If Not dxDoubleToDegrees Then ListAddLast missing_functions, "dDoubleToDegrees"

dxDoubleSign = GetProcAddress (hardwiredlib, "dDoubleSign")
If Not dxDoubleSign Then ListAddLast missing_functions, "dDoubleSign"

dxDoubleEqualLessThan = GetProcAddress (hardwiredlib, "dDoubleEqualLessThan")
If Not dxDoubleEqualLessThan Then ListAddLast missing_functions, "dDoubleEqualLessThan"

dxDoubleLessThan = GetProcAddress (hardwiredlib, "dDoubleLessThan")
If Not dxDoubleLessThan Then ListAddLast missing_functions, "dDoubleLessThan"

dxDoubleEqualTo = GetProcAddress (hardwiredlib, "dDoubleEqualTo")
If Not dxDoubleEqualTo Then ListAddLast missing_functions, "dDoubleEqualTo"

dxDoubleEqualBiggerThan = GetProcAddress (hardwiredlib, "dDoubleEqualBiggerThan")
If Not dxDoubleEqualBiggerThan Then ListAddLast missing_functions, "dDoubleEqualBiggerThan"

dxDoubleBiggerThan = GetProcAddress (hardwiredlib, "dDoubleBiggerThan")
If Not dxDoubleBiggerThan Then ListAddLast missing_functions, "dDoubleBiggerThan"

dxDoubleMod = GetProcAddress (hardwiredlib, "dDoubleMod")
If Not dxDoubleMod Then ListAddLast missing_functions, "dDoubleMod"

dxMakeTrayMessage = GetProcAddress (hardwiredlib, "dMakeTrayMessage")
If Not dxMakeTrayMessage Then ListAddLast missing_functions, "dMakeTrayMessage"

dxMakeTrayIcon = GetProcAddress (hardwiredlib, "dMakeTrayIcon")
If Not dxMakeTrayIcon Then ListAddLast missing_functions, "dMakeTrayIcon"

dxHardwiredLicence = GetProcAddress (hardwiredlib, "dHardwiredLicence")
If Not dxHardwiredLicence Then ListAddLast missing_functions, "dHardwiredLicence"

dxAutoPadding = GetProcAddress (hardwiredlib, "dAutoPadding")
If Not dxAutoPadding Then ListAddLast missing_functions, "dAutoPadding"

dxAddShaderConstant = GetProcAddress (hardwiredlib, "dAddShaderConstant")
If Not dxAddShaderConstant Then ListAddLast missing_functions, "dAddShaderConstant"

dxCountShaderConstants = GetProcAddress (hardwiredlib, "dCountShaderConstants")
If Not dxCountShaderConstants Then ListAddLast missing_functions, "dCountShaderConstants"

dxGetShaderConstantClass = GetProcAddress (hardwiredlib, "dGetShaderConstantClass")
If Not dxGetShaderConstantClass Then ListAddLast missing_functions, "dGetShaderConstantClass"

dxGetShaderConstantType = GetProcAddress (hardwiredlib, "dGetShaderConstantType")
If Not dxGetShaderConstantType Then ListAddLast missing_functions, "dGetShaderConstantType"

dxSetShaderConstantType = GetProcAddress (hardwiredlib, "dSetShaderConstantType")
If Not dxSetShaderConstantType Then ListAddLast missing_functions, "dSetShaderConstantType"

dxGetShaderConstantFlags = GetProcAddress (hardwiredlib, "dGetShaderConstantFlags")
If Not dxGetShaderConstantFlags Then ListAddLast missing_functions, "dGetShaderConstantFlags"

dxSetShaderConstantFlags = GetProcAddress (hardwiredlib, "dSetShaderConstantFlags")
If Not dxSetShaderConstantFlags Then ListAddLast missing_functions, "dSetShaderConstantFlags"

dxSetIntShader = GetProcAddress (hardwiredlib, "dSetIntShader")
If Not dxSetIntShader Then ListAddLast missing_functions, "dSetIntShader"

dxSetBoolShader = GetProcAddress (hardwiredlib, "dSetBoolShader")
If Not dxSetBoolShader Then ListAddLast missing_functions, "dSetBoolShader"

dxSetFloatShader = GetProcAddress (hardwiredlib, "dSetFloatShader")
If Not dxSetFloatShader Then ListAddLast missing_functions, "dSetFloatShader"

dxSetShaderConstantEntity = GetProcAddress (hardwiredlib, "dSetShaderConstantEntity")
If Not dxSetShaderConstantEntity Then ListAddLast missing_functions, "dSetShaderConstantEntity"

dxGetShaderConstantEntity = GetProcAddress (hardwiredlib, "dGetShaderConstantEntity")
If Not dxGetShaderConstantEntity Then ListAddLast missing_functions, "dGetShaderConstantEntity"

dxSetMatrixShader = GetProcAddress (hardwiredlib, "dSetMatrixShader")
If Not dxSetMatrixShader Then ListAddLast missing_functions, "dSetMatrixShader"

dxSetFloat2Shader = GetProcAddress (hardwiredlib, "dSetFloat2Shader")
If Not dxSetFloat2Shader Then ListAddLast missing_functions, "dSetFloat2Shader"

dxSetFloat3Shader = GetProcAddress (hardwiredlib, "dSetFloat3Shader")
If Not dxSetFloat3Shader Then ListAddLast missing_functions, "dSetFloat3Shader"

dxSetFloat4Shader = GetProcAddress (hardwiredlib, "dSetFloat4Shader")
If Not dxSetFloat4Shader Then ListAddLast missing_functions, "dSetFloat4Shader"

dxSetInt2Shader = GetProcAddress (hardwiredlib, "dSetInt2Shader")
If Not dxSetInt2Shader Then ListAddLast missing_functions, "dSetInt2Shader"

dxSetInt3Shader = GetProcAddress (hardwiredlib, "dSetInt3Shader")
If Not dxSetInt3Shader Then ListAddLast missing_functions, "dSetInt3Shader"

dxSetInt4Shader = GetProcAddress (hardwiredlib, "dSetInt4Shader")
If Not dxSetInt4Shader Then ListAddLast missing_functions, "dSetInt4Shader"

dxInstancerElementActivate = GetProcAddress (hardwiredlib, "dInstancerElementActivate")
If Not dxInstancerElementActivate Then ListAddLast missing_functions, "dInstancerElementActivate"

dxInstancerElementActivated = GetProcAddress (hardwiredlib, "dInstancerElementActivated")
If Not dxInstancerElementActivated Then ListAddLast missing_functions, "dInstancerElementActivated"

dxFreeInstancerElement = GetProcAddress (hardwiredlib, "dFreeInstancerElement")
If Not dxFreeInstancerElement Then ListAddLast missing_functions, "dFreeInstancerElement"

dxEntityGreyscale = GetProcAddress (hardwiredlib, "dEntityGreyscale")
If Not dxEntityGreyscale Then ListAddLast missing_functions, "dEntityGreyscale"

dxEntitySepia = GetProcAddress (hardwiredlib, "dEntitySepia")
If Not dxEntitySepia Then ListAddLast missing_functions, "dEntitySepia"

dxEntitySimpleBlur = GetProcAddress (hardwiredlib, "dEntitySimpleBlur")
If Not dxEntitySimpleBlur Then ListAddLast missing_functions, "dEntitySimpleBlur"

dxCreateEmitter = GetProcAddress (hardwiredlib, "dCreateEmitter")
If Not dxCreateEmitter Then ListAddLast missing_functions, "dCreateEmitter"

dxEmitterAddStyle = GetProcAddress (hardwiredlib, "dEmitterAddStyle")
If Not dxEmitterAddStyle Then ListAddLast missing_functions, "dEmitterAddStyle"

dxEmitterCountStyles = GetProcAddress (hardwiredlib, "dEmitterCountStyles")
If Not dxEmitterCountStyles Then ListAddLast missing_functions, "dEmitterCountStyles"

dxEmitterSetStyleBehaviour = GetProcAddress (hardwiredlib, "dxEmitterSetStyleBehaviour")
If Not dxEmitterSetStyleBehaviour Then ListAddLast missing_functions, "dxEmitterSetStyleBehaviour"

dxEmitterSetStyleShare = GetProcAddress (hardwiredlib, "dEmitterSetStyleShare")
If Not dxEmitterSetStyleShare Then ListAddLast missing_functions, "dEmitterSetStyleShare"

dxCreateBehaviour = GetProcAddress (hardwiredlib, "dCreateBehaviour")
If Not dxCreateBehaviour Then ListAddLast missing_functions, "dCreateBehaviour"

dxFreeBehaviour = GetProcAddress (hardwiredlib, "dFreeBehaviour")
If Not dxFreeBehaviour Then ListAddLast missing_functions, "dFreeBehaviour"

dxBehaviourSetBirthPosition = GetProcAddress (hardwiredlib, "dBehaviourSetBirthPosition")
If Not dxBehaviourSetBirthPosition Then ListAddLast missing_functions, "dBehaviourSetBirthPosition"

dxBehaviourSetBirthRotation = GetProcAddress (hardwiredlib, "dBehaviourSetBirthRotation")
If Not dxBehaviourSetBirthRotation Then ListAddLast missing_functions, "dBehaviourSetBirthRotation"

dxBehaviourSetBirthScale = GetProcAddress (hardwiredlib, "dBehaviourSetBirthScale")
If Not dxBehaviourSetBirthScale Then ListAddLast missing_functions, "dBehaviourSetBirthScale"

dxBehaviourSetBirthDelay = GetProcAddress (hardwiredlib, "dBehaviourSetBirthDelay")
If Not dxBehaviourSetBirthDelay Then ListAddLast missing_functions, "dBehaviourSetBirthDelay"

dxBehaviourSetLifeSpan = GetProcAddress (hardwiredlib, "dBehaviourSetLifeSpan")
If Not dxBehaviourSetLifeSpan Then ListAddLast missing_functions, "dBehaviourSetLifeSpan"

dxCopyInstancer = GetProcAddress (hardwiredlib, "dCopyInstancer")
If Not dxCopyInstancer Then ListAddLast missing_functions, "dCopyInstancer"

dxCountCollisions = GetProcAddress (hardwiredlib, "dCountCollisions")
If Not dxCountCollisions Then ListAddLast missing_functions, "dCountCollisions"

dxCollisionEntity = GetProcAddress (hardwiredlib, "dCollisionEntity")
If Not dxCollisionEntity Then ListAddLast missing_functions, "dCollisionEntity"

dxEntityCollided = GetProcAddress (hardwiredlib, "dEntityCollided")
If Not dxEntityCollided Then ListAddLast missing_functions, "dEntityCollided"

dxCollisionX = GetProcAddress (hardwiredlib, "dCollisionX")
If Not dxCollisionX Then ListAddLast missing_functions, "dCollisionX"

dxCollisionY = GetProcAddress (hardwiredlib, "dCollisionY")
If Not dxCollisionY Then ListAddLast missing_functions, "dCollisionY"

dxCollisionZ = GetProcAddress (hardwiredlib, "dCollisionZ")
If Not dxCollisionZ Then ListAddLast missing_functions, "dCollisionZ"

dxCollisionNX = GetProcAddress (hardwiredlib, "dCollisionNX")
If Not dxCollisionNX Then ListAddLast missing_functions, "dCollisionNX"

dxCollisionNY = GetProcAddress (hardwiredlib, "dCollisionNY")
If Not dxCollisionNY Then ListAddLast missing_functions, "dCollisionNY"

dxCollisionNZ = GetProcAddress (hardwiredlib, "dCollisionNZ")
If Not dxCollisionNZ Then ListAddLast missing_functions, "dCollisionNZ"

dxCollisionSurface = GetProcAddress (hardwiredlib, "dCollisionSurface")
If Not dxCollisionSurface Then ListAddLast missing_functions, "dCollisionSurface"

dxCollisionTriangle = GetProcAddress (hardwiredlib, "dCollisionTriangle")
If Not dxCollisionTriangle Then ListAddLast missing_functions, "dCollisionTriangle"

dxCollisionTime = GetProcAddress (hardwiredlib, "dCollisionTime")
If Not dxCollisionTime Then ListAddLast missing_functions, "dCollisionTime"

dxCaptureWorld = GetProcAddress (hardwiredlib, "dCaptureWorld")
If Not dxCaptureWorld Then ListAddLast missing_functions, "dCaptureWorld"

dxGetDebugInt = GetProcAddress (hardwiredlib, "dGetDebugInt")
If Not dxGetDebugInt Then ListAddLast missing_functions, "dGetDebugInt"

dxSetDebugFloat = GetProcAddress (hardwiredlib, "dSetDebugFloat")
If Not dxSetDebugFloat Then ListAddLast missing_functions, "dSetDebugFloat"

dxSetDebugInt = GetProcAddress (hardwiredlib, "dSetDebugInt")
If Not dxSetDebugInt Then ListAddLast missing_functions, "dSetDebugInt"

dxCountCaptureDevice = GetProcAddress (hardwiredlib, "dCountCaptureDevice")
If Not dxCountCaptureDevice Then ListAddLast missing_functions, "dCountCaptureDevice"

dxCompressBank = GetProcAddress (hardwiredlib, "dCompress")
If Not dxCompressBank Then ListAddLast missing_functions, "dCompress"

dxDecompressedSize = GetProcAddress (hardwiredlib, "dDecompressedSize")
If Not dxDecompressedSize Then ListAddLast missing_functions, "dDecompressedSize"

dxCompressedSize = GetProcAddress (hardwiredlib, "dCompressedSize")
If Not dxCompressedSize Then ListAddLast missing_functions, "dCompressedSize"

dxDecompressBank = GetProcAddress (hardwiredlib, "dDecompress")
If Not dxDecompressBank Then ListAddLast missing_functions, "dDecompress"

?Debug
ListMissingFunctions
?

