dxGraphics3D 640,480,32,2

dxSetBuffer dxBackBuffer()

SeedRnd MilliSecs()


; create camera
camera=dxCreateCamera(0)
dxCameraClsColor camera,160,160,160
dxPositionEntity camera,0,0,-30,True
middle=dxCreatePivot(0)
dxEntityParent camera,middle

; create add texture - white cirlce on a black background
For n=0 To 50
dxColor 5+(n*5),5+(n*5),5+(n*5)
dxOval 10+n,10+n,236-(n*2),236-(n*2),1
Next

blob_tex=dxCreateTexture(256,256,9,0)
dxCopyRect 0,0,256,256,0,0,dxBackBuffer(),dxTextureBuffer(blob_tex)

dxCopyRect 0,0,256,256,0,0,dxTextureBuffer(blob_tex),dxBackBuffer()

max_blobs=100

; create blobs using add blend mode
Dim blobs(max_blobs) ; blob sprites
Dim xyblobs#(max_blobs,2) ; blob vector

For n=0 To max_blobs
	;blobs(n)=dxCreateSprite(0)
blobs(n)=dxCreateCube(0)
	dxEntityFX blobs(n),1
	dxEntityBlend blobs(n),3 ;set blend mode to add
	dxEntityTexture blobs(n),blob_tex,0,0
	xyblobs(n,0)=Rnd(-.1,.1)
	xyblobs(n,1)=Rnd(-.1,.1)
	xyblobs(n,2)=Rnd(-.1,.1)
	dxEntityColor blobs(n),Rand(0,255),Rand(0,255),Rand(0,255) ;give it a colour
	Next

; create cube texture

dxColor 255,255,255
dxRect 0,0,256,256,1
For n=0 To 7
	If n=0 Then dxColor 0,0,0
	If n=1 Then dxColor 0,0,255
	If n=2 Then dxColor 0,255,0
	If n=3 Then dxColor 0,255,255
	If n=4 Then dxColor 255,0,0
	If n=5 Then dxColor 255,0,255
	If n=6 Then dxColor 255,255,0
	If n=7 Then dxColor 255,255,255
	dxRect n*32,n*32,32,32,1
	Next

dxColor 0,0,0
For n=0 To 255 Step 32
dxLine 0,n,255,n
dxLine n,0,n,255
Next

cube_tex=dxCreateTexture(256,256,9,0)
cube=dxCreateImage(256,256,0)
;GrabImage cube,0,0
dxCopyRect 0,0,256,256,0,0,dxBackBuffer(),dxTextureBuffer(cube_tex)
dxFreeImage cube

; create cube
cube=dxCreateCube(0)
dxScaleEntity cube,11,11,11,True
;dxScaleEntity cube,21,21,21,True
dxEntityTexture cube,cube_tex,0,0
dxEntityFX cube,17 ;set fullbright and 2 sided textures
dxEntityBlend cube,2 ;set multiply blend

Repeat

; move the blobs around
For n=0 To max_blobs
	dxMoveEntity blobs(n),xyblobs(n,0),xyblobs(n,1),xyblobs(n,2)
	;bounce off sides
lmt=10
	If dxEntityX(blobs(n),False)<-lmt Or dxEntityX(blobs(n),False)>lmt Then xyblobs(n,0)=-xyblobs(n,0)
	If dxEntityY(blobs(n),False)<-lmt Or dxEntityY(blobs(n),False)>lmt Then xyblobs(n,1)=-xyblobs(n,1)
	If dxEntityZ(blobs(n),False)<-lmt Or dxEntityZ(blobs(n),False)>lmt Then xyblobs(n,2)=-xyblobs(n,2)
	Next

; turn camera
dxTurnEntity middle,.1,.2,.3,True


;dxUpdateWorld
dxRenderWorld 0
dxFlip 0


Until dxKeyHit(1)
End