dxDebugLoud
;Maze demo
Include "includes\cam_generic.bb"
Include "includes\gfx_generic.bb"

Const dwarfcount=1

dx_ask
GetBestGfxMode

dxSetWindowDefaults 0,0,0,True,False
dxSetFilters 4,4,4;l2,2,2
dxHideMouse
keep_y=True
m=MilliSecs()
dxHWShaders True
dwarf=dxLoadMesh("models\dwarf1.b3d",0)
tex=dxLoadTexture("images\dwarf.jpg",9)
tex3=dxLoadTexture("images\axe.jpg",9)
dxEntityTexture dwarf,tex,0,0
dxSurfaceTexture dxGetSurface(dwarf,4),tex3,0,0

dxFitMesh dwarf,0,0,0,1,1,1,True
dxMoveEntity dwarf,0,0,2
dxHideEntity dwarf

light=dxCreateLight(3,0)
dxLightColor light,64,64,64
;xLightCaster light,True

maze=dxCreateMaze(30,30,50)

m=MilliSecs()-m

;dxAmbientLight 64,64,64
dxAmbientLight 0,0,0

tex=dxLoadTexture("images\brick.jpg",9)
tex2=dxLoadTexture("images\stone.jpg",9)
metal=dxLoadTexture("images\metal.jpg",9)

flor=dxCreateCube(0)
dxRotateMesh flor,90,0,0
dxEntityTexture flor,tex2,0,0
dxScaleEntity flor,61,1,61,True
dxMoveEntity flor,0,-1.1,0

dxScaleTexture tex2,1/61.0,1/61.0

cei=dxCopyEntity(flor,0)
dxTranslateEntity cei,0,3.2,0,True

dxUpdateNormals flor
dxUpdateNormals cei

mesh=dxCreateMesh(0)

surf=dxCreateSurface(mesh)
indx=0

m=MilliSecs()
For y=0 To 1
For x=0 To 61
For z=0 To 61
If y=0
dxAddVertex surf,x,y,z,x+z,1,0
Else
dxAddVertex surf,x,y,z,x+z,0,0
EndIf
indx=indx+1
Next
Next
Next

dxEntityTexture mesh,tex,0,0
dxEntityTexture mesh,metal,0,1

;dxEntityTextureBoundary mesh,0,-1000,-1,-1000.5,5.5,2,5.5
;dxEntityTextureBoundary mesh,1,3.5,-1,3.5,1280,2,1280

shift=62



ct=0
For y=0 To 60
For x=0 To 60
element=dxReadMaze(maze,y,x)

If element=1
indx=((y*62)+x)

upindx=indx+(62*62)

dxAddTriangle surf,indx,indx+1,upindx
dxAddTriangle surf,indx+1,upindx+1,upindx

dxAddTriangle surf,indx+shift,upindx+shift,indx+1+shift
dxAddTriangle surf,indx+shift+1,upindx+shift,upindx+1+shift

dxAddTriangle surf,indx,upindx,indx+shift
dxAddTriangle surf,indx+shift,upindx,upindx+shift

dxAddTriangle surf,indx+1,indx+shift+1,upindx+1
dxAddTriangle surf,indx+shift+1,upindx+shift+1,upindx+1

dxAddTriangle surf,upindx,upindx+shift+1,upindx+shift
dxAddTriangle surf,upindx+1,upindx+shift+1,upindx

EndIf

Next
Next

dxUpdateNormals mesh


map=dxCopyMesh(mesh,0)
sph=dxCreateSphere(16,0)
dxMoveEntity map,0,10,0

dxEntityCaster dwarf,True

Dim dw(dwarfcount)
For d=0 To dwarfcount
dw(d)=dxCopyEntity(dwarf,0)
dxEntityNegative dw(d),True
;If d>0 dxHideEntity dw(d)

framecount=0

Repeat
x=Rand(1,60)
y=Rand(1,60)
Until dxReadMaze(maze,x,y)=0

dxPositionEntity dw(d),x,0,y,True

Next



cam=dxCreateCamera(0)

;dxCameraViewport cam,0,0,dxGraphicsWidth()/2.0,dxGraphicsHeight()/2.0

;cam2=dxCreateCamera(0)

;dxCameraViewport cam2,dxGraphicsWidth()/2.0,dxGraphicsHeight()/2.0,dxGraphicsWidth()/2.0,dxGraphicsHeight()/2.0

font=dxLoadFont("times",18,True,True,0)
font2=dxLoadFont("times",48,True,True,0)
dxSetFont font
dxColor 255,255,255

dxCameraRange cam,.001,1000

;dxCameraRange cam2,.001,1000

;dxMoveEntity cam,0,10,0
dxMoveEntity cam,1.5,0.5,1.5

dxEntityAlpha map,.3
dxEntityFX map,1

pause=0
pauselen=0

osc=64
oscdir=1

diff#=0
lastmilli=MilliSecs()
Repeat
dxHideEntity cam2

dxHideEntity sph
dxHideEntity map
dxRenderWorld 0
dxHideEntity flor
dxShowEntity sph
dxHideEntity cei
dxShowEntity map
dxHideEntity mesh
dxCameraClsMode cam,0,1
dxPositionEntity map,dxEntityX(cam,True),dxEntityY(cam,True),dxEntityZ(cam,True),True
dxRotateEntity map,dxEntityPitch(cam,True),dxEntityYaw(cam,True),dxEntityRoll(cam,True),True
dxMoveEntity map,0,0,150
dxTurnEntity map,-90,0,0,True
dxMoveEntity map,90,0,-60

dxPositionEntity sph,dxEntityX(map,True),dxEntityY(map,True),dxEntityZ(map,True),True
dxRotateEntity sph,dxEntityPitch(map,True),dxEntityYaw(map,True),dxEntityRoll(map,True),True
dxMoveEntity sph,dxEntityX(cam,True),0,dxEntityZ(cam,True)


For a=0 To dwarfcount
dxHideEntity dw(a)
Next
dxRenderWorld 0
For a=0 To dwarfcount
dxShowEntity dw(a)
Next

dxShowEntity flor
dxShowEntity cei
dxShowEntity mesh

dxCameraClsMode cam,1,1

;dxCameraClsMode cam2,1,1

;dxShowEntity cam2
;dxHideEntity cam
;dxPositionEntity cam2,dxEntityX(cam,True),dxEntityY(cam,True),dxEntityZ(cam,True),True
;dxRotateEntity cam2,dxEntityPitch(cam,True),dxEntityYaw(cam,True),dxEntityRoll(cam,True),True
;dxTurnEntity cam2,0,180,0,True
;dxRenderWorld 0
;dxShowEntity cam

move#=.01

oldx#=dxEntityX(cam,True)
oldz#=dxEntityZ(cam,True)

	CamMove cam,move,diff

el=dxReadMaze(maze,Floor(dxEntityX(cam,True)),Floor(dxEntityZ(cam,True)))
If el=1
If dxReadMaze(maze,Floor(oldx),Floor(dxEntityZ(cam,True)))=0
dxPositionEntity cam,oldx,.5,(dxEntityZ(cam,True)),True
Else
If dxReadMaze(maze,Floor(dxEntityX(cam,True)),Floor(oldz))=0
dxPositionEntity cam,(dxEntityX(cam,True)),.5,oldz,True
Else
dxPositionEntity cam,oldx,.5,oldz,True
EndIf
EndIf
EndIf

fps=dxGetFPS();

fpsav=(fpsav+fps)/2.0

dxText 0,0,"fps:"+fps,0,0
dxFlip 0

milli=MilliSecs()
	diff=milli-lastmilli
	lastmilli=milli

dxPositionEntity light,dxEntityX(cam,True),dxEntityY(cam,True),dxEntityZ(cam,True),True
dxRotateEntity light,dxEntityPitch(cam,True),dxEntityYaw(cam,True),dxEntityRoll(cam,True),True


dxRotateEntity cam,dxEntityPitch(cam,True),dxEntityYaw(cam,True),stagger,True

osc=osc+oscdir
If (osc=80) Or (osc=40) oscdir=-oscdir

If pause=1
dxLightColor light,0,0,0
If (framecount<pauselen) pause=0
Else
dxLightColor light,osc+128,64,64
If (Rnd(100)<2)
pause=1
pauselen=framecount+(Rnd(550)+100)
EndIf
EndIf


framecount=framecount+1

Until dxKeyDown(1)
dxEndGraphics
FlushKeys
Print
Print "Fps average:"+fpsav
Print "Frame count:"+framecount

WaitKey
End