Include "includes\cam_generic.bb"
Include "includes\gfx_generic.bb"

Graphics3D 800,600

AppTitle "Direct x 7 test window"
AmbientLight 64,64,64

sub=CreateCube(0)
EntityAlpha sub,.5
MoveEntity sub,0,0,-1

cam=CreateCamera(0)
MoveEntity cam,0,0,-5
CameraClsColor cam,127,127,127

dwarf=LoadMesh("models\dwarf1.b3d",0)
ScaleEntity dwarf,.1,.1,.1,True
EntityAlpha dwarf,.5
;EntityBlend dwarf,1

diff#=0
lastmilli=MilliSecs()

erf=LoadTexture("images\earth.jpg",1+2)
;EntityTexture sub,erf,0,1

SetBuffer TextureBuffer(erf)
For a=1 To 100
Color Rnd(256),Rnd(256),Rnd(256)
Line Rnd(100),Rnd(100),Rnd(100),Rnd(100)
Oval Rnd(100),Rnd(100),Rnd(100),Rnd(100),True
Plot Rnd(100),Rnd(100)
Rect Rnd(100),Rnd(100),Rnd(100),Rnd(100),False
Next
SetBuffer BackBuffer()



Repeat

	milli=MilliSecs()
	diff=milli-lastmilli
	lastmilli=milli

	move#=.0001
;CamMove cam,move,diff

RenderWorld
MoveEntity sub,0,0,.001
Flip 0

Until KeyDown(1)


EndGraphics
End



; EntityAlpha Example 
; ------------------- 

Graphics3D 640,480 
SetBuffer BackBuffer() 

camera=CreateCamera() 

light=CreateLight() 
RotateEntity light,90,0,0 

cube=CreateCube() 
Back=CreateCube() 

PositionEntity cube,0,0,5 
PositionEntity back,0,0,15 
ScaleEntity Back,10,2,1 
EntityColor back,255,0,0 
; Set initial entity color values 
Alpha#=1 

While Not KeyDown( 1 ) 

; Change alpha value depending on key pressed 
If alpha#<0.01 Then alpha# = 0 
If alpha#>1 Then alpha# = 1 
If KeyDown( 2 )=True And Alpha#>0 Then Alpha#=Alpha#-0.01 
If KeyDown( 3 )=True And alpha#<1 Then Alpha#=Alpha#+0.01 
; Set entity alpha value 
EntityAlpha cube,Alpha# 


TurnEntity cube,0.1,0.1,0.1 
TurnEntity back,1,0,0 

RenderWorld 

Text 0,0,"Press keys 1-2 to change EntityAlpha" 
Text 0,20,"Entity Alpha: "+Alpha 

Flip 

Wend  
