Const num=50 ;number of santas
;dxterrain example
dxDebugLoud
dxHWShaders on
;ATTACK OF THE ROBOT SANTAS
Include "includes\cam_generic.bb"
Include "includes\gfx_generic.bb"
GetBestGfxMode
dxSetFilters 2,2,2

wver$=dxGetWinVersion()

sound=LoadSound("sounds\man-scream-02.mp3")
sound2=LoadSound("sounds\grunt.mp3")

dxEnableShadows False

dxApptitle "Direct x 9 test window"
dxShowMouse

font=dxLoadFont("times",18,True,True,0)
font2=dxLoadFont("times",48,True,True,0)
dxSetFont font

mdes=dxCountGfxModes3D()
cam=dxCreateCamera(0)
dxCameraRange cam,1,1000

Dim model(num)
Dim speed#(num)
Dim scare(num)

;////  For later development....

;vs=dxCreateVertexShader("","shaders\landscape_vertex_shader3.txt","main","vs_2_0")
;If vs=0 End
;dxDeclareVertexShaderWorldViewProjConstant(vs,"mWorldViewProjMatrix")
;ps=dxCreatePixelShader("","shaders\landscape_pixel_shader.txt","BillboardGrass_PS","ps_2_0")
;If ps=0 End

tree=dxLoadMesh("models\sim.x",0)

For a=1 To num
If a=1
bank=bank_load("models\sim.x")
model(a)=dxLoadMeshXFromBank(bank,0)
dxEnityShadowDetail model(a),1000,0
dxEnityShadowCutoff model(a),0,50,.5
FreeBank bank
dxRotateMesh model(a),0,180,0
dxFitMesh model(a),-.5,0,-.5,1,1,1,True
;dxPositionMesh model(a),1000,0,0
dxPositionEntity model(a),128+(a*2),0,128,1
Else
model(a)=dxCopyEntity(model(1),0)
dxPositionEntity model(a),dxRnd(0,256),0,dxRnd(0,256),1
dxRotateEntity model(a),0,dxRnd(0,360),0,True
;dxHideEntity model(a)
EndIf
dxEntityPickMode model(a),2,True
speed(a)=dxRnd(.0005,.004)
scl#=dxRnd(1,2)
dxScaleEntity model(a),scl,scl*2,scl,True

;dxEntityCaster model(a),True
;dxEnityShadowCutoff model(a),0,20,.5
;dxEnityShadowColor model(a),(Rnd(100)+127),(Rnd(100)+127),(Rnd(100)+127)
Next

;Light
light=dxCreateLight(1,0)
dxPositionEntity light,128,100,128,True
dxAmbientLight 127,127,127
;dxLightCaster light,True

mi=MilliSecs()
ct=0

;Cam
dxCameraFogMode cam,1
dxCameraFogRange cam,.01,1000
dxCameraFogColor cam,0,0,0
dxCameraClsColor cam,0,200,255
dxPositionEntity cam,0,0,-15,True

;terrain
terrain=dxLoadTerrain("images\height_map.bmp",0)

dxEntityShininess terrain,1

;dxEntityBlend terrain,2
dxEntityColor  terrain,255,255,255

bank=bank_load("images\MossyGround.bmp")
terrain_tex=dxLoadTextureFromBank(bank,9)
FreeBank bank

dxEntityTexture terrain,terrain_tex,0,0
;dxEntityTexture terrain,vidtex,0,0
dxScaleEntity terrain,1,64,1,True

;dxEntityVertexShader terrain,vs
;dxEntityPixelShader terrain,ps

dxPositionEntity cam,dxTerrainSize(terrain)/2.0,1,dxTerrainSize(terrain)/2.0,True

diff#=0
lastmilli=MilliSecs()
ly#=0

chnl=0

Dim cloudtex(8)

For a=1 To 8
cloudtex(a)=dxLoadTexture("images\cloud"+a+".png",11)
Next

Dim cloudpivot(20)
Dim cloudspeed(20)

For b=1 To 20
xx=Rnd(1000)-500
yy=Rnd(100)+100
zz=Rnd(1000)-500
cloudpivot(b)=dxCreatePivot(0)
cloudspeed(b)=Rnd(.5,1)
cloudpvt=dxCreatePivot(cloudpivot(b))
dxPositionEntity cloudpvt,xx,yy,zz,True
For a=1 To 50

If (a<2)
spr=dxCreateSprite(cloudpvt)
cpr=spr
dxEntityTexture spr,cloudtex(Rand(1,8)),0,0
dxScaleSprite spr,50,50
dxSpriteViewMode spr,1
y#=Rnd(10)
dxPositionEntity spr,Rnd(100),80+y,Rnd(10),0
col=(y*25.6)+127
col=255
dxEntityColor spr,255,255,255;Rnd(127)+128,Rnd(127)+128,Rnd(127)+128
dxEntityAlpha spr,.1
dxEntityFX spr,1
Else
spr=dxCopyEntity(cpr,cloudpvt)
dxEntityTexture spr,cloudtex(Rand(1,8)),0,0
dxPositionEntity spr,Rnd(100),80+y,Rnd(10),0
dxEntityColor spr,255,255,255;Rnd(127)+128,Rnd(127)+128,Rnd(127)+128
EndIf

Next
Next

;Main loop
Repeat
usc=usc+.01
dxUpdateWorld 0
dxRenderWorld 0

	milli=MilliSecs()
	diff=milli-lastmilli
	lastmilli=milli
	
	;HelpText
	dxColor 0,0,0
	dxSetFont font
;	dxText 0,0,"Frames per second:"+dxGetFPS()+", triangles:"+dxTrisRendered(),0,0
;dxColor 255,255,255
dxText 1,0,"Frames per second:"+dxGetFPS()+", triangles:"+dxTrisRendered(),0,0
;dxText 0,40,"Get close the santas and scare the heck out of them by clicking on them, they won't expect it at all...",0,0
;dxText 0,60,"Use [del] [pgdn] to correct camera roll if needed, cursors to move cam, mouse to rotate cam",0,0
;dxText 0,80,"Santas scared="+score,0,0
;dxText 0,100,"Time taken="+Int(time/1000.0),0,0
;
;dxText 0,160,"[Esc] to end this poor excuse for a game",0,0
;

dxText 0,20,"Host machine using:"+wver$,0,0

ent=dxCameraPick(cam,dxMouseX(),dxMouseY())


If (dxMouseHit(1))
If (ent<>0) 
If (dxEntityDistance(cam,ent)<50)
For a=1 To num
If model(a)=ent
If Not(scare(a))
scare(a)=True
SoundPitch sound,Rnd(20000)+60000
chn=PlaySound(sound)
ChannelVolume chn,.2 ;bit annoying this sound, toning it down a tad
score=score+1
EndIf
EndIf
Next
Else
closertime=MilliSecs()
EndIf
Else
nowt=MilliSecs()
EndIf
EndIf

If (MilliSecs()-closertime<2000)
dxSetFont font2
dxText dxGraphicsWidth()/2.0,dxGraphicsHeight()/2.0,"Get closer to this one to scare him",True,0
dxSetFont font
Else
If (MilliSecs()-nowt<2000)
dxSetFont font2
dxText dxGraphicsWidth()/2.0,dxGraphicsHeight()/2.0,"Clicking on nothing",True,0
dxSetFont font
EndIf
EndIf

dxPositionEntity cam,dxEntityX(cam,True),(dxTerrainHeight(terrain,dxEntityX(cam,True),dxEntityZ(cam,True))*64)+3,dxEntityZ(cam,True),True
dxFlip False

For a=1 To num
dxTurnEntity model(a),0,0,0,True
dxMoveEntity model(a),0,0,speed(a)
dy#=(dxDeltaYaw(model(a),cam))
If Abs(dy)<90
If dxEntityDistance(model(a),cam)<30
dxTurnEntity model(a),0,.5*diff*Sgn(dy),0,True
speed(a)=speed(a)*1.2
If chnl=0 chnl=PlaySound(sound2)
EndIf
EndIf

If chnl<>0
If Not(ChannelPlaying(chnl)) chnl=0
EndIf
dxRotateEntity cam,dxEntityPitch(cam,True),dxEntityYaw(cam,True),0,True

turn=False
If (dxEntityX(model(a),True)<0) Or (dxEntityX(model(a),True)>255) turn=True
If (dxEntityZ(model(a),True)<0) Or (dxEntityZ(model(a),True)>255) turn=True

If turn dxTurnEntity model(a),0,.1*diff,0,True

ht#=dxTerrainHeight(terrain,dxEntityX(model(a),True),dxEntityZ(model(a),True))
If scare(a)=True
dxPositionEntity model(a),dxEntityX(model(a),True),dxEntityY(model(a),True)+(diff*.05),dxEntityZ(model(a),True),True
Else
dxPositionEntity model(a),dxEntityX(model(a),True),(ht*64),dxEntityZ(model(a),True),True
EndIf
Next

	ct=ct+1
	move#=.01
	CamMove cam,move,diff
;yaw=1
;dxPositionEntity light,dxEntityX(cam,True),dxEntityY(cam,True)-10,dxEntityZ(cam,True),True
dxTurnEntity light,0,yaw,0,True

yaw=(diff*.01)

For a=1 To 20
dxTurnEntity cloudpivot(a),0,diff*(cloudspeed(a)*.005),0,True
Next

Until dxKeyDown(1) ;Esc =exit
dxEndGraphics
mo=MilliSecs()

;Print statistics
Print ""
Print "Seconds passed:"+(mo-mi)/1000.0
Print "Frames rendered:"+dxFramesRendered()

WaitKey
End


Function bank_load(f$)
fs=FileSize(f$)
bank=CreateBank(fs)
r=ReadFile(f$)
ReadBytes bank,r,0,fs
CloseFile r
Return bank
End Function