Include "includes\cam_generic.bb"
Include "includes\gfx_generic.bb"

GetBestGfxMode

file$=dxRequestFile$("Please select a video file to play...",CurrentDir$(),"all video files|*.divx;*.mpg;*.avi;*.mp4;*.mkv|mpg files|*.mpg|avi files|*.avi|mp4 files|*.mp4|mkv files|*.mkv|divx files|*.divx")

;NOTE - do not forget to copy the files libvlc.dll and libvlccore.dll and the entire folder plugins from the libvlc folder in order to work
;these files and folder are to be copied to the folder where you exe (or bb source code) is, DO NOT copy to userlibs folder

;libvlc can be downloaded from http://www.videolan.org/

If file$=""
RuntimeError "Looks as though someone forgot to supply a movie file to play on hardwired - shame on you"
End
EndIf

dxApptitle "Direct x 9 test window"
dxShowMouse

vid=dxVidLoad(file$)

vidtex=dxCreateTexture(dxVidWidth(vid),dxVidHeight(vid),9,0)
dxVidTexture vid,vidtex
dxVidPlay vid

For a=1 To 100
If a=1
cube=dxCreateCube(0)
orig=cube
Else
cube=dxCopyEntity(orig,0)
EndIf
dxPositionEntity cube,Rnd(-50,50),Rnd(-50,50),Rnd(-50,50),True
dxEntityTexture cube,vidtex,0,0

If a=1
cube=dxCreateSphere(16,0)
orig2=cube
Else
cube=dxCopyEntity(orig2,0)
EndIf
dxPositionEntity cube,Rnd(-50,50),Rnd(-50,50),Rnd(-50,50),True
dxEntityTexture cube,vidtex,0,0

Next

cam=dxCreateCamera(0)

dxAmbientLight 255,255,255

diff#=0
lastmilli=MilliSecs()

scal#=1

factor#=.9999

Repeat

dxScaleTexture vidtex,scal,scal
scal=scal*factor

If scal>1 Or scal<=.1 factor=1/factor

	milli=MilliSecs()
	diff=milli-lastmilli
	lastmilli=milli

dxRenderWorld 0
dxText 0,0,"Video demo; Fps:"+dxGetFPS(),0,0
dxText 0,16,"[Esc] to quit",0,0

dxText 0,30,vid,0,0
dxText 0,50,dxVidTrackCount(vid),0,0

dxText 0,70,"Width:"+dxVidWidth(vid),0,0
dxText 0,90,"Height:"+dxVidHeight(vid),0,0
dxText 0,110,"Duration(ms):"+dxVidDuration(vid)/1000.0/60,0,0
dxText 0,130,"Currently playing:"+dxVidPlaying(vid),0,0
dxText 0,150,"Current position (ms):"+dxVidGetPosition(vid),0,0

dxText dxGraphicsWidth()/2.,0,file$,True,False

dxUpdateWorld 0

dxFlip 0
dxTurnEntity cube,diff*.005,diff*.01,0,False
	move#=.01
	CamMove cam,move,diff
Until dxKeyDown(1)
dxFreeVid vid
End