;Include "includes\gfx_generic.hb"
;dx_ask

win=Graphics3D (800,600,32,2)
cam=CreateCamera()

font1=LoadFont("arial",30)
SetFont font1

s$="Vibrate Left"
butn1=CreateButton(s$,0,0,StringWidth(s$),StringHeight(s$),0)
s$="Vibrate Right"
butn2=CreateButton(s$,800-StringWidth(s$),0,StringWidth(s$),StringHeight(s$),0)

font1=LoadFont("times",16)
SetFont font1

vib1=0
vib2=0

pad=1

While PadBattery(pad)=0
pad=pad+1
If pad=5 pad=1
Wend

If CountPads()=0
RuntimeError "No gamepads found on system"
EndIf

Repeat

RenderWorld

we=PeekEvent(win)
If we<>0
WaitEvent 1,win
If we=$401
Select EventSource()
Case butn1
vib1=1-vib1
PadVibrate pad,vib1,vib2
Case butn2
vib2=1-vib2
PadVibrate pad,vib1,vib2
End Select
EndIf
EndIf

ReadPad(pad)

Text 10,40,"Left joystick:"+LStickX(pad)+","+LStickY(pad)
Text 10,52,"Right joystick:"+RStickX(pad)+","+RStickY(pad)

Text 10,74,"Left trigger:"+PadLTrig(pad)
Text 10,86,"Right trigger:"+PadRTrig(pad)

Text 10,108,"Button A:"+ison(PadA(pad))
Text 10,120,"Button B:"+ison(PadB(pad))
Text 10,132,"Button X:"+ison(PadX(pad))
Text 10,144,"Button Y:"+ison(PadY(pad))

Text 10,166,"D-pad up:"+ison(PadDUp(pad))
Text 10,178,"D-pad left:"+ison(PadDLeft(pad))
Text 10,190,"D-pad right:"+ison(PadDRight(pad))
Text 10,202,"D-pad down:"+ison(PadDDown(pad))

Text 10,224,"Left shoulder:"+ison(PadLShoulder(pad))
Text 10,236,"Right shoulder:"+ison(PadRShoulder(pad))

Text 10,248,"Back button:"+ison(PadBack(pad))

Text 10,270,"Left thumb:"+ison(PadLThumb(pad))
Text 10,282,"Right thumb:"+ison(PadRThumb(pad))

Text 10,566,"Using pad "+pad
Text 10,578,"[Esc] or start button to exit - Left/right cursor keys to switch between gamepads"

If KeyHit(203)
pad=pad-1
If pad=0 pad=3
While PadBattery(pad)=0
pad=pad-1
If pad=0 pad=3
Wend
EndIf

If KeyHit(205)
pad=pad+1
If pad=5 pad=1
While PadBattery(pad)=0
pad=pad+1
If pad=5 pad=1
Wend
EndIf

Flip 1

If PadStart(1) Exit

If KeyDown(1) Exit

Forever

End

Function ison$(in%)
If in=1 Return " pressed"
Return " not pressed"
End Function