DebugLoud


Include "includes\cam_generic.hb"
Include "includes\gfx_generic.hb"
dx_ask
win=Graphics3D(800,600,32,2)

font=LoadFont("arial",30)
SetFont font
UseDefaultFont

tex=LoadTexture("..\..\samples\images\brick.jpg",9)
sph=CreateSphere(16)

camdir=1

Dim cop(11*11)
idx=0
For x=-5 To 5
For y=-5 To 5

cop(idx)=CopyEntity(sph)
MoveEntity cop(idx),x*2,y*2,0
EntityTexture cop(idx),tex
idx=idx+1
Next
Next

backcam=CreateCamera()
CameraWindowCls backcam

cam=CreateCamera()

CameraViewport cam,300,320,200,200

HideEntity sph
MoveEntity cam,0,0,-5

lbl=CreateLabel ("Label",20,20,450,50,0)
SetGadgetText lbl,"Close a window or use quit on menu to end program"
but=CreateButton("Button",300,120,100,50,0,1)
exi=CreateButton("End program",300,170,100,50,0,1)
chb=CreateButton("Checked button",300,240,150,50,0,2)
HideGadget lbl
Delay 500
ShowGadget lbl
EnableGadget lbl
Delay 500
DisableGadget lbl
ActivateGadget lbl

pb=CreateProgBar(20,200,80,20,win,2)

cb=CreateComboBox(20,250,180,20,win,2)
AddGadgetItem cb,"stuff"

sl=CreateSlider(20,280,180,20,win,1)
sl2=CreateSlider(20,310,20,180,win,2)

Dim wind(10)
For a=1 To 10
font=LoadFont("courrier",10+(a*3))
wind(a)=CreateWindow("Window "+a,a*100,a*50,400,100)
SetFont font
CreateLabel("Label "+a,0,0,250,50,0)
Next
wm=WindowMenu(win)
UseWindow win

file=CreateMenu("File",0,wm)
sub=CreateMenu("dinosaur ear lobe",1,file,1) ;Must change this nonsense!
SetMenuText sub,"Open" ;changed! - that was a close one...

CreateMenu("Save",2,file)
CreateMenu("Save as",3,file)
CreateMenu("Close",4,file)
CreateMenu("",5,file)
CreateMenu("Quit"+Chr$(8)+"Ctrl-Q",6,file)

submenu=CreateMenu("file n1",0,sub)
CreateMenu("file n2",7,sub)
CreateMenu("file n3",8,sub)
CreateMenu("file n4",9,sub)
CreateMenu("file n5",10,sub)

edit=CreateMenu("Edit",11,wm)
CreateMenu("Cu&t"+Chr$(8)+"Ctrl-X",12,edit)
CreateMenu("&Copy"+Chr$(8)+"Ctrl-C",13,edit)
CreateMenu("&Paste"+Chr$(8)+"Ctrl-V",14,edit)

chk=CreateMenu("Debug mode",15,edit)
disable=CreateMenu("Menu item disabled",16,edit)

req=CreateMenu("Requesters",17,wm)
CreateMenu("File requester",18,req)
CreateMenu("Font requester",19,req)
CreateMenu("Colour requester",20,req)
CreateMenu("Folder requester",21,req)
CreateMenu("",22,req)
CreateMenu("Notification requester",23,req)
CreateMenu("Confirmation requester",24,req)
CreateMenu("Proceed requester",25,req)

CheckMenu chk

DisableMenu disable

HotKeyEvent 16,2,$1001,6 ;ctrl q will link to selecting quit on the main menu
HotKeyEvent 1,0,$401,0,0,0,0,exi ;escape will 'select' the end program button

Dim dir(10)

prog#=0
progdir#=.003

UpdateWindowMenu win
ActivateWindow win

;SetButtonState chb,1
Repeat

pk=PeekEvent(win)
If (ButtonState(chb)) End

If pk<>0

WaitEvent 1,win

Select pk
Case $201 ;mouse button down
For a=1 To 10
dir(a)=1-dir(a)
Next

Case $1001 ;menu event

Select EventData()

Case 6 ;exit
Exit
Case 15 ;debug check menu item
If MenuChecked(chk)
UncheckMenu chk
Else
CheckMenu chk
EndIf
Case 18 ;file requester
f$=RequestFile("Select any old file","*.*",0)
Case 19 ;font requester
font=RequestFont()
;SetFont font
;Color 255,255,255
;Flip
;WaitKey
Case 20 ;colour requester
RequestColor()
Case 21 ;dir requester
RequestDir("Select a folder","c:\")
Case 23 ;notification
notify "This is a notification window"
Case 24 ;confirmation
confirm "Blitz Hardwired is getting quit big now.  Do you agree?"
Case 25 ;proceed
proceed "You are about to cross over into another dimension.  Are you ready for that?"
End Select

Case $401 ;gadget
If EventSource()=exi End
End Select

EndIf

For a=1 To 10
Select dir(a)
Case 0
MoveWindow wind(a),1,0
If WindowX(wind(a))=1400 dir(a)=1
Case 1
MoveWindow wind(a),-1,0
If WindowX(wind(a))=0 dir(a)=0
End Select
Next

RenderWorld
Flip 
VWait True

For b=0 To idx-1
TurnEntity cop(b),0,.1,0
Next

UpdateProgBar(pb,prog)
prog=prog+progdir
If (prog<=0) Or (prog>=1) progdir=-progdir

MoveEntity cam,0,0,.1*camdir
If EntityZ(cam,True)>-5 
PositionEntity cam,0,0,-5
camdir=-camdir
EndIf
If EntityZ(cam,True)<-10 
PositionEntity cam,0,0,-10
camdir=-camdir
EndIf


Until 1=2
EndGraphics
End