Include "includes\cam_generic.hb"
Include "includes\gfx_generic.hb"
dx_ask


DebugLoud
Const dwarfcount=50

;Maze demo

;GetBestGfxMode
Graphics3D 800,600,32,2

;HWShaders 1

SetWindowDefaults 0,0,0,True,False
;SetFilters 4,4,4
HideMouse
keep_y=True
m=MilliSecs()

dwarf=LoadMesh("..\..\samples\models\dwarf1.b3d",0)

tex=LoadTexture("..\..\samples\images\dwarf.jpg",9)

tex3=LoadTexture("..\..\samples\images\axe.jpg",9)
EntityTexture dwarf,tex,0,0
SurfaceTexture GetSurface(dwarf,4),tex3,0,0

FitMesh dwarf,0,0,0,1,1,1,True
MoveEntity dwarf,0,0,2
HideEntity dwarf


AmbientLight 0,0,0
AmbientLight 255,255,255

light=CreateLight(3)
LightRange light,10

maze=CreateMaze(30,30,50)

m=MilliSecs()-m


tex=LoadTexture("..\..\samples\images\brick.jpg",9)
tex2=LoadTexture("..\..\samples\images\stone.jpg",9)
metal=LoadTexture("..\..\samples\images\metal.jpg",9)

mesh=CreateMesh(0)

;EntityHWShaders mesh

surf=CreateSurface(mesh)
indx=0

m=MilliSecs()
For y=0 To 1
For x=0 To 61
For z=0 To 61
If y=0
AddVertex surf,x,y,z,x+z,1,0
Else
AddVertex surf,x,y,z,x+z,0,0
EndIf
indx=indx+1
Next
Next
Next

EntityTexture mesh,tex,0,0
EntityTexture mesh,metal,0,1

shift=62

lastfps=0


ct=0
For y=0 To 60
For x=0 To 60
element=ReadMaze(maze,y,x)

If element=1
indx=((y*62)+x)

upindx=indx+(62*62)

AddTriangle surf,indx,indx+1,upindx
AddTriangle surf,indx+1,upindx+1,upindx

AddTriangle surf,indx+shift,upindx+shift,indx+1+shift
AddTriangle surf,indx+shift+1,upindx+shift,upindx+1+shift

AddTriangle surf,indx,upindx,indx+shift
AddTriangle surf,indx+shift,upindx,upindx+shift

AddTriangle surf,indx+1,indx+shift+1,upindx+1
AddTriangle surf,indx+shift+1,upindx+shift+1,upindx+1


AddTriangle surf,upindx,upindx+shift+1,upindx+shift
AddTriangle surf,upindx+1,upindx+shift+1,upindx

EndIf

Next
Next

UpdateNormals mesh

flor=CreateCube(0)
RotateMesh flor,90,0,0
EntityTexture flor,tex2,0,0
ScaleEntity flor,61,1,61,True
MoveEntity flor,0,-1.1,0
ScaleTexture tex2,1/61.0,1/61.0
cei=CopyEntity(flor,0)
TranslateEntity cei,0,3.2,0,True
surf=GetSurface(flor,0)
EntityColor flor,255,255,255

UpdateNormals flor
UpdateNormals cei

map=CopyMesh(mesh,0)
sph=CreateSphere(16,0)
MoveEntity map,0,10,0

;EntityCaster dwarf,True

Dim dw(dwarfcount)
For d=0 To dwarfcount
dw(d)=CopyEntity(dwarf,0)
;EntityNegative dw(d),True
;EntityHWShaders dw(d),True

framecount=0

Repeat
x=Rand(1,30)
y=Rand(1,30)
Until ReadMaze(maze,x,y)=0

PositionEntity dw(d),x,0,y,True

Next

cam=CreateCamera(0)

font=LoadFont("times",18,True,True,0)
font2=LoadFont("times",48,True,True,0)
SetFont font
Color 255,255,255

CameraRange cam,.001,1000

MoveEntity cam,1.5,0.5,1.5

EntityAlpha map,.3
EntityFX map,1

diff#=0
lastmilli=MilliSecs()

Repeat


HideEntity cam2
HideEntity sph
HideEntity map



ShowEntity flor
ShowEntity cei

RenderWorld 0

If 1=1

HideEntity flor
ShowEntity sph
HideEntity cei
ShowEntity map
HideEntity mesh
CameraClsMode cam,0,1
PositionEntity map,EntityX(cam,True),EntityY(cam,True),EntityZ(cam,True),True
RotateEntity map,EntityPitch(cam,True),EntityYaw(cam,True),EntityRoll(cam,True),True
MoveEntity map,0,0,150
TurnEntity map,-90,0,0,True
MoveEntity map,90,0,-60

PositionEntity sph,EntityX(map,True),EntityY(map,True),EntityZ(map,True),True
RotateEntity sph,EntityPitch(map,True),EntityYaw(map,True),EntityRoll(map,True),True
MoveEntity sph,EntityX(cam,True),0,EntityZ(cam,True)

For a=0 To dwarfcount
HideEntity dw(a)
Next
RenderWorld 0
For a=0 To dwarfcount
ShowEntity dw(a)
Next

ShowEntity flor
ShowEntity cei
ShowEntity mesh

EndIf

move#=.01

oldx#=EntityX(cam,True)
oldz#=EntityZ(cam,True)

CamMove cam,move,diff

el=ReadMaze(maze,Floor(EntityX(cam,True)),Floor(EntityZ(cam,True)))
If el=1
If ReadMaze(maze,Floor(oldx),Floor(EntityZ(cam,True)))=0
PositionEntity cam,oldx,.5,(EntityZ(cam,True)),True
Else
If ReadMaze(maze,Floor(EntityX(cam,True)),Floor(oldz))=0
PositionEntity cam,(EntityX(cam,True)),.5,oldz,True
Else
PositionEntity cam,oldx,.5,oldz,True
EndIf
EndIf
EndIf

fps=GetFPS();

fpsav=(fpsav+fps)/2.0

Text 0,0,"fps:"+fps,0,0

If (fps<(lastfps/2.0))Or(fps>lastfps*2)
lastfps=fps
EndIf

Flip 0

milli=MilliSecs()
	diff=milli-lastmilli
	lastmilli=milli

PositionEntity light,EntityX(cam,True),EntityY(cam,True),EntityZ(cam,True),True
RotateEntity light,EntityPitch(cam,True),EntityYaw(cam,True),EntityRoll(cam,True),False
;TurnEntity light,0,180,0

RotateEntity cam,EntityPitch(cam,True),EntityYaw(cam,True),stagger,True

;TurnEntity light,0,.1,0

framecount=framecount+1

;MoveEntity cam,0,0.0001,0

Until KeyDown(1)

EndGraphics
FlushKeys
Cls
Locate 0,0
Print
Print "Fps average:"+fpsav
Print "Frame count:"+framecount

WaitKey
End