;INVASION OF THE COLOURED TEAPOTS - not just for fun!!!
;
;With special guest star - PUMPKIN Pumpsinson and his dancing band of extruded letters
;
;Also appearing - Annoying Moving Squares!!!

ct=CountGfxModes3D()
maxwh=0
maxw=0
mawh=0
max=0
For a=1 To CountGfxModes3D()
area=GfxModeWidth(a)*GfxModeHeight(a)
If (GfxModeWidth(a)>maxw) And (GfxModeHeight(a)>=maxh)
max=a
maxw=GfxModeWidth(a)
EndIf
If (GfxModeWidth(a)>=maxw) And (GfxModeHeight(a)>maxh)
max=a
maxh=GfxModeHeight(a)
EndIf
Next


Graphics3D(maxw,maxh,32,1)
AppTitle "Direct x 9 test window"
ShowMouse

font=LoadFont("arial",50,0,0,0)
font2=LoadFont("times",18,True,True,0)
SetFont font

Dim shader(7)
For a=1 To 7
shader(a)=CreatePixelShader("","..\..\samples\shaders\shader"+a+".txt","main","ps_2_0")
Next

rectx=0
recty=0
rectxdir=1
rectydir=1

ClsColor 255,255,0
Cls

mdes=CountGfxModes3D()

tex=LoadTexture("..\..\samples\images\brick.jpg",1)
EntityTexture teapot,tex,0,0
TextureBlend tex,2
texblend=2

mesh=CreateMesh(0)
surf=CreateSurface(mesh)
AddVertex surf,0,0,5,0,0,0
AddVertex surf,10,0,5,1,0,0
AddVertex surf,10,10,5,0,1,0
VertexColor surf,0,255,255,0,1
VertexColor surf,1,0,255,255,1
VertexColor surf,2,255,0,255,1
VertexCoords surf,0,0,0,6
AddTriangle surf,0,1,2
UpdateNormals mesh
EntityTexture mesh,tex,0,0

cam=CreateCamera(0)

cube=CreateCube(0)
ScaleEntity cube,1,1,1,1
EntityTexture cube,tex,0,0

Dim sphere(12)
For a=1 To 12
sphere(a)=CreateSphere(32,0)
EntityTexture sphere(a),tex,0,0
PositionEntity sphere(a),Sin(a*30)*5,Cos(a*30)*5,0,1
Next

torus=CreateTorus(5,65,10,50)
torus2=CreateTorus(5,85,10,50)

light=CreateLight(2,0)
AmbientLight 127,127,127; 0,0,0
AmbientLight 16,16,16; 0,0,0
;AmbientLight 255,255,255
;AmbientLight 0,0,0

Dim tp(50)
For a=1 To 50
tp(a)=CreateTeapot(0)
EntityFX tp(a),128
PositionEntity tp(a),Rnd(100)-50,Rnd(100)-50,Rnd(100)-50,1
s=Rand(3)
Select s
Case 1
EntityWireframe tp(a),1
Case 2
EntityPointframe tp(a),1
End Select
ScaleEntity tp(a),Rnd(2)+1,Rnd(2)+1,Rnd(2)+1,True
RotateEntity tp(a),0,Rnd(360),0,0
Next
teapot=CreateTeapot(0)

EntityColor torus,0,0,255
EntityColor torus2,0,255,0
EntityColor teapot,255,0,0
HideEntity teapot

mi=MilliSecs()
ct=0
posx#=0

toodee=False

CameraFogMode cam,1
CameraFogRange cam,1,100
CameraFogColor cam,0,0,0

PositionEntity cam,0,0,-15,True

model=LoadMesh("..\..\samples\models\Astronauta.x",0)
EntityColor err,255,127,0
EntityFX model,1
ScaleEntity model,.05,.05,.05,1
TurnEntity model,0,180,0,1
;HideEntity model

;EntityOrder model,1

GraphicsBuffer()
B3DFont("arial",0,1,0,0)
;text1=CreateText("Watch out!!!",.1)
;PositionEntity text1,-5,-4,0,1
B3DFont("courier new",0,0,0,0)
text2=CreateText("SPACEMAN CLOCK",.1)
PositionEntity text2,-10,6,-3,1

fpsmesh=0

pulse#=64
add#=1

diff#=0
lastmilli=MilliSecs()

Repeat
If MouseX()<100 MoveMouse GraphicsWidth()-150,MouseY():nowt=MouseXSpeed()
If MouseY()<100 MoveMouse MouseX(),GraphicsHeight()-150:nowt=MouseYSpeed()
If MouseX()>(GraphicsWidth()-100) MoveMouse 150,MouseY():nowt=MouseXSpeed()
If MouseY()>(GraphicsHeight()-100) MoveMouse MouseX(),150:nowt=MouseYSpeed()

RenderWorld 0

milli=MilliSecs()
diff=milli-lastmilli
lastmilli=milli

If toodee=True
For a=1 To 10
Plot Rnd(100),Rnd(100)
Next

bld=bld+1
EntityBlend model,bld
If bld=300 bld=1

For a=1 To 10
Color Rnd(127)+128,Rnd(127)+128,Rnd(127)+128
Rect Rnd(200)+rectx,Rnd(200)+recty,Rnd(100),Rnd(100),1
Next

rectx=rectx+rectxdir
recty=recty+rectydir
If rectx=0 Or rectx=GraphicsWidth()-200 rectxdir=-rectxdir
If recty=0 Or recty=GraphicsHeight()-200 rectydir=-rectydir

For a=1 To 20
Color Rnd(127)+128,Rnd(127)+128,Rnd(127)+128
Oval Rnd(100)+(GraphicsWidth()-300),Rnd(100)+(GraphicsHeight()-300),Rnd(100)+50,Rnd(100)+50,Rnd(2)

x1#=Rnd(100)+(GraphicsWidth()-300)
y1#=Rnd(100)
x2#=Rnd(100)+(GraphicsWidth()-200)
y2#=Rnd(100)+50
Line x1,y1,x2,y2
Next
EndIf

TextureBlend tex,texblend
If KeyHit(24) texblend=texblend-1
If KeyHit(25) texblend=texblend+1


mo=MilliSecs()
Color 255,255,255
SetFont font
;Text 500,500,"This is 2d text",0,0
SetFont font2
ab$=(t/Float(mo-mi)*1000)
Text 0,20,"Press [SPACE] to enable/disable 2d drawings"
Text 0,40,"Arrow keys will advance/strafe camera, hold [SHIFT] to run",0,0
Text 0,60,"[Del]/[PgDn] to rotate cam about z-axis - [Home]/[End] to move cam up/down",0,0
Text 0,80,"Press 1 to 7 to mess around a little with pixel shaders.... (7= no pixel shader)",0,0
Text 0,100,"Click left or [Esc] to quit...",0,0

Flip 0

sec=Right$(CurrentTime$(),2)
RotateEntity model,0,0,-(sec/60.0)*360.0,1

ct=ct+1
If MouseDown(1) Exit ;quit if mouse click 
move#=.01
If KeyDown(54) Or KeyDown(42) move=.1
If KeyDown(200) MoveEntity cam,0,0,move*diff
If KeyDown(208) MoveEntity cam,0,0,-move*diff
TurnEntity cam,diff*MouseYSpeed()/10.0,diff*MouseXSpeed()/10.0,0,0
If KeyDown(203) MoveEntity cam,-move*diff,0,0
If KeyDown(205) MoveEntity cam,move*diff,0,0
If KeyDown(211) TurnEntity cam,0,0,move*-diff*5,0
If KeyDown(209) TurnEntity cam,0,0,move*diff*5,0

If KeyDown(199) MoveEntity cam,0,move*diff,0
If KeyDown(207) MoveEntity cam,0,-move*diff,0

If KeyHit(57) toodee=1-toodee

pulse=pulse+(add*1)
If pulse>255 Or pulse<64 add=-add
LightColor light,pulse,pulse,pulse

For a=1 To 50
TurnEntity tp(a),diff/10.0,diff/10.0,diff/10.0,1
EntityTexture tp(a),tex,0,0
Next

For a=2 To 8
If KeyDown(a)
 EntityPixelShader mesh,shader(a-1)
For b=1 To 50
EntityPixelShader tp(b),shader(a-1)
Next
EndIf
Next

TurnEntity torus,diff/10.0,0,0,True
TurnEntity torus2,0,diff/15.0,0,True

Until KeyDown(1)
mo=MilliSecs()

EndGraphics

End