;INVASION OF THE COLOURED TEAPOTS - not just for fun!!!
;Version 6
;
;With special guest star - PUMPKIN Pumpsinson and his dancing band of extruded letters
;Also appearing - Annoying Moving Squares!!!
;And now: the incriddible Mr. Neil Armstrong(kinda lost in space but more stable).

;init gfx mode
DebugLoud
Include "includes\cam_generic.hb"
Include "includes\gfx_generic.hb"


;UseDirectX11
;Graphics3D 800,600,32,2
GetBestGfxMode
ab$=(b+c)

SetFilters 2,2,2

AppTitle "Direct x 9 test window"
ShowMouse

font=LoadFont("arial",50,0,0,0)
font2=LoadFont("times",18,True,True,0)
SetFont font
;entityfx
Dim shader(7)
For a=1 To 7
	shader(a)=CreatePixelShader("","..\..\samples\shaders\shader"+a+".txt","main","ps_2_0")
Next


rectx=0
recty=0
rectxdir=1
rectydir=1

ClsColor 0,0,0
Cls

mdes=CountGfxModes3D()

par=CreateMesh(0)

;Teapot
tex=LoadTexture("..\..\samples\images\brick.jpg",1+8)
;tex=CreateTexture(256,256,1+8)

;tex=CreateTexture(TextureWidth(tex2),TextureHeight(tex2),9,1)
;tex=CreateTexture(100,100,9,1)
;CopyRect 0,0,TextureWidth(tex2),TextureHeight(tex2),0,0,tex2,tex


w#=TextureWidth(tex)
LockBuffer TextureBuffer(tex)
For y=0 To TextureHeight(tex)-1
For x=0 To TextureWidth(tex)-1
;rgb=ReadPixelFast(x,y,tex) And $ffffff
;WritePixelFast x,y,rgb Or (((x/w)*255.0) Shl 24),TextureBuffer(tex);$00000000 Or (rgb And $ffffff),tex
Next
Next
UnlockBuffer TextureBuffer(tex)



EntityTexture teapot,tex,0,0
TextureBlend tex,2
texblend=2

spr=CreateSprite(0)
EntityTexture spr,tex,0,0
ScaleSprite spr,10,10



;Brickwall
mesh=CreateMesh(0)
surf=CreateSurface(mesh)
AddVertex surf,0,0,5,0,0,0
AddVertex surf,10,0,5,1,0,0
AddVertex surf,10,10,5,0,1,0
VertexColor surf,0,255,255,0,1
VertexColor surf,1,0,255,255,1
VertexColor surf,2,255,0,255,1
VertexCoords surf,0,0,0,6
AddTriangle surf,0,2,1
UpdateNormals mesh
EntityTexture mesh,tex,0,0
EntityAlpha mesh,1
cam=CreateCamera(0)

EntityParent spr,mesh
EntityParent spr,0
EntityParent spr,teapot
HandleSprite spr,-1,-1



;CLOCK
;Cube(centerpiece)
rentex=CreateTexture(256,256,9+1024,1+8)
cube=CreateCube(0)
ScaleEntity cube,.5,.5,.5,1
EntityTexture cube,rentex,0,0

;Spheres(hours)
erf=LoadTexture("..\..\samples\images\earth.jpg",9)

img=CreateImage(100,100,1)
CopyRect 0,0,100,100,0,0,TextureBuffer(erf),ImageBuffer(img)
CopyRect 0,0,100,100,200,200,ImageBuffer(img),TextureBuffer(erf)

norm=LoadTexture("..\..\samples\images\norm.jpg",1+8)
TextureBlend norm,4
Dim sphere(12)
For a=1 To 12
sphere(a)=CreateSphere(32,0)
EntityAlpha sphere(a),0.8
EntityTexture sphere(a),erf,0,1
EntityTexture sphere(a),norm,0,0
PositionEntity sphere(a),Sin(a*30)*5,Cos(a*30)*5,0,1
Next

;Ribbons
torus=CreateTorus(5,65,10,50)
torus2=CreateTorus(5,85,10,50)

;Light
light=CreateLight(2,0)
AmbientLight 127,127,127; 0,0,0
AmbientLight 16,16,16; 0,0,0

;Teapots
Dim tp(50)
For a=1 To 50
If a=1
tp(a)=CreateTeapot(0)
Else
tp(a)=CopyEntity(tp(1),0)
EndIf
UpdateNormals tp(a)

EntityFX tp(a),1+64
PositionEntity tp(a),Rnd(0,100)-50,Rnd(0,100)-50,Rnd(0,100)-50,1
s=Rand(3)
Select s
Case 1
EntityWireframe tp(a),1
Case 2
EntityPointframe tp(a),1
End Select
ScaleEntity tp(a),Rnd(0,2)+1,Rnd(0,2)+1,Rnd(0,2)+1,True
RotateEntity tp(a),0,Rnd(0,360),0,0
Next

;Colors
EntityColor torus,0,0,255
EntityColor torus2,0,255,0

mi=MilliSecs()
ct=0
posx#=0

;2D =initially off
toodee=False

;Cam
CameraFogMode cam,1
CameraFogRange cam,1,100
CameraFogColor cam,0,0,0
PositionEntity cam,0,0,-15,True

suittex=LoadTexture("..\..\samples\images\astnt1_1.tga",9)

;Astronaut
model=LoadMesh("..\..\samples\models\Astronauta.x",0)
;EntityColor err,255,127,0
EntityFX model,1
EntityTexture model,suittex,1,0
ScaleEntity model,.05,.05,.05,1
TurnEntity model,0,180,0,1
UpdateNormals model
;SurfaceFx GetSurface(model,1),128
SurfaceTexture GetSurface(model,1),0,0,0
SurfaceColor GetSurface(model,0),255,255,255
EntityColor model,255,255,255
EntityAlpha model,1
SurfaceFx GetSurface(model,0),1
;EntityColor model,0,0,0
;EntityAlpha model,.5
;SurfaceAlpha GetSurface(model,0),.5

                            
;I missed the Pumpkin..  (so did I)
model2=LoadMesh("..\..\samples\models\model.x",par)

PositionMesh model2,10,0,0
mw#=MeshHeight(model2)
ScaleEntity model2,.3,.3,.3,1
PositionEntity model2,0,0,1,True

;Texts
B3DFont("arial",0,1,0,0)
B3DFont("courier new",0,0,0,0)
text2=CreateText("SPACEMAN CLOCK",.1)
PositionEntity text2,-8,-4,3,1

fpsmesh=0
texblend=4

pulse#=64
add#=1

diff#=0
lastmilli=MilliSecs()

usc#=1
vsc#=1
ang#=0
cr=False

;Main loop
Repeat

RenderToTexture rentex
RenderWorld 0
RenderToScreen
col=ReadPixel(0,0,tex)

PositionTexture	tex,usc,0

usc=usc+.01
	RenderWorld 0

	milli=MilliSecs()
	diff=milli-lastmilli
	lastmilli=milli
	
	;Display 2D if enabled
	If toodee=True
		For a=1 To 10
			Plot Rnd(0,100),Rnd(0,100)
		Next
		
		bld=bld+1
		EntityBlend model,bld
		If bld=300 bld=1
		
;		For a=1 To 10
;			Color Rnd(0,127)+128,Rnd(0,127)+128,Rnd(0,127)+128
;			Rect Rnd(0,200)+rectx,Rnd(0,200)+recty,Rnd(0,100),Rnd(0,100),1
;		Next
		
		rectx=rectx+rectxdir
		recty=recty+rectydir
		If rectx=0 Or rectx=GraphicsWidth()-200 rectxdir=-rectxdir
		If recty=0 Or recty=GraphicsHeight()-200 rectydir=-rectydir
		
		For a=1 To 20
			Color Rnd(0,127)+128,Rnd(0,127)+128,Rnd(0,127)+128
			Oval Rnd(0,100),Rnd(0,100),Rnd(0,100)+50,Rnd(0,100)+50,Rnd(0,2)
			
			x1#=Rnd(0,100);+(GraphicsWidth()-300)
			y1#=Rnd(0,100)
			x2#=Rnd(0,100);+(GraphicsWidth()-200)
			y2#=Rnd(0,100)+50
			Line x1,y1,x2,y2
		Next
	EndIf
	
	;BlendControls
	TextureBlend norm,texblend
	If KeyHit(24) texblend=texblend-1 ;O
	If KeyHit(25) texblend=texblend+1 ;P

If KeyHit(28) cr=1-cr
	SetBuffer BackBuffer()
	;HelpText
	mo=MilliSecs()
	Color 255,255,255
	SetFont font
	;Text 500,500,"This is 2d text",0,0
	SetFont font2
	Text 0,0,"Frames per second:"+GetFPS(),0,0
	Text 0,20,"Press [SPACE] to enable/disable 2d drawings",0,0
	Text 0,40,"Arrow keys will advance/strafe camera, hold [SHIFT] to run",0,0
	Text 0,60,"[Del]/[PgDn] to rotate cam about z-axis - [Home]/[End] to move cam up/down",0,0
	Text 0,80,"Press 1 to 7 to mess around a little with pixel shaders.... (7= no pixel shader)",0,0
	Text 0,100,"Press [Return] to toggle CopyRect test",0,0
	Text 0,120,"Click left or [Esc] to quit...",0,0

TurnEntity model2,0,diff/60.0*5,0,True

If cr=True
For a=1 To 12
CopyRect Rnd(0,100),Rnd(0,100),Rnd(0,100)+100,Rnd(0,100)+100,Rnd(0,GraphicsWidth()),Rnd(0,GraphicsHeight()),TextureBuffer(tex),BackBuffer()
Next
EndIf

;CopyRect 0,0,256,256,GraphicsWidth()-356,100,rentex,2

Flip 0

	SetBuffer tex
;RotateTexture tex,ang
ang=ang+(diff/20)

	;Clock
	sec=Right$(CurrentTime$(),2)
	RotateEntity model,0,0,(sec/60.0)*360.0,1
	For a=1 To 12
	TurnEntity sphere(a),0,diff/30.0,0,0
	Next	

	ct=ct+1
	If MouseDown(1) Exit ;quit if mouse click 
	move#=.01
	CamMove cam,move,diff
	
	If KeyHit(57) toodee=1-toodee                                          ;Space
	
	pulse=pulse+(add*1)
	If pulse>255 Or pulse<64 add=-add
pulse=255 ;disable light for the moment
	LightColor light,pulse,pulse,pulse
	
	For a=1 To 50
		TurnEntity tp(a),diff/10.0,diff/10.0,0,1
		EntityTexture tp(a),tex,0,0
	Next

	;ShaderControls 1-7
	For a=2 To 8
		If KeyDown(a)
			EntityPixelShader mesh,shader(a-1)
			For b=1 To 50
				EntityPixelShader tp(b),shader(a-1)
			Next
		EndIf
	Next

	
	;Turn rings
	TurnEntity torus,diff/10.0,0,0,True
	TurnEntity torus2,0,diff/15.0,0,True
	
TurnEntity cube,diff*.04,diff*.06,0,True

Until KeyDown(1) ;Esc =exit
mo=MilliSecs()
EndGraphics

;Print statistics
Print ""
Print "Seconds passed:"+(mo-mi)/1000.0
Print "Frames rendered:"+ct
Print "Frames per second:"+(ct/Float((mo-mi)))*1000

WaitKey
End