Const num=50 ;number of santas
;terrain example
DebugLoud
;HWShaders on
;ATTACK OF THE ROBOT SANTAS
Include "includes\cam_generic.hb"
Include "includes\gfx_generic.hb"

;UseDirectX11
;Graphics3D 800,600,32,2
GetBestGfxMode

SetFilters 2,2,2

wire=0

wver$=GetWinVersion()

sound=LoadSound("..\..\samples\sounds\man-scream-02.wav")
sound2=LoadSound("..\..\samples\sounds\grunt.wav")

EnableShadows False

AppTitle "Direct x 9 test window"
ShowMouse

font=LoadFont("times",18,True,True,0)
font2=LoadFont("times",48,True,True,0)
SetFont font

mdes=CountGfxModes3D()
cam=CreateCamera(0)
CameraRange cam,1,1000

Dim model(num)
Dim speed#(num)
Dim scare(num)

terrain_detail#=5000


rota#=0

;////  For later development....

;vs=CreateVertexShader("","shaders\landscape_vertex_shader3.txt","main","vs_2_0")
;If vs=0 End
;DeclareVertexShaderWorldViewProjConstant(vs,"mWorldViewProjMatrix")
;ps=CreatePixelShader("","shaders\landscape_pixel_shader.txt","BillboardGrass_PS","ps_2_0")
;If ps=0 End

tree=LoadMesh("..\..\samples\models\sim.x",0)


For a=1 To num
If a=1
bank=bank_load("..\..\samples\models\sim.x")
model(a)=LoadMeshXFromBank(bank,0)
EnityShadowDetail model(a),1000,0
EnityShadowCutoff model(a),0,50,.5
FreeBank bank
RotateMesh model(a),0,180,0
FitMesh model(a),-.5,0,-.5,1,1,1,True
;PositionMesh model(a),1000,0,0
PositionEntity model(a),128+(a*2),1,128,1
Else

model(a)=CopyEntity(model(1),0)
PositionEntity model(a),Rnd(0,256),0,Rnd(0,256),1
RotateEntity model(a),0,Rnd(0,360),0,True
;HideEntity model(a)
EndIf
EntityPickMode model(a),2,True
speed(a)=Rnd(.0005,.004)
scl#=Rnd(1,2)
ScaleEntity model(a),scl,scl*2,scl,True

;EntityCaster model(a),True
;EnityShadowCutoff model(a),0,20,.5
;EnityShadowColor model(a),(Rnd(100)+127),(Rnd(100)+127),(Rnd(100)+127)
Next


;Light
light=CreateLight(1)
PositionEntity light,128,100,128,True
AmbientLight 127,127,127
;LightCaster light,True

mi=MilliSecs()
ct=0

;Cam
;CameraFogMode cam,1
;CameraFogRange cam,.01,1000
;CameraFogColor cam,0,0,0
CameraClsColor cam,0,200,255
PositionEntity cam,0,0,-15,True


;terrain

terrain=LoadTerrain("..\..\samples\images\height_map.bmp",0)
TerrainDetail terrain,terrain_detail,True
TerrainShading terrain,True

EntityShininess terrain,1

;EntityBlend terrain,2
EntityColor  terrain,255,255,255

bank=bank_load("..\..\samples\images\MossyGround.bmp")
terrain_tex=LoadTextureFromBank(bank,9)
FreeBank bank

EntityTexture terrain,terrain_tex,0,0
;EntityTexture terrain,vidtex,0,0
ScaleEntity terrain,1,64,1,True



;EntityVertexShader terrain,vs
;EntityPixelShader terrain,ps

PositionEntity cam,TerrainSize(terrain)/2.0,1,TerrainSize(terrain)/2.0,True

diff#=0
lastmilli=MilliSecs()
ly#=0

chnl=0

Dim cloudtex(8)


For a=1 To 8
cloudtex(a)=LoadTexture("..\..\samples\images\cloud"+a+".png",11)
Next


Dim cloudpivot(20)
Dim cloudspeed(20)

For b=1 To 20
xx=Rnd(1000)-500
yy=Rnd(100)+100
zz=Rnd(1000)-500
cloudpivot(b)=CreatePivot(0)
cloudspeed(b)=Rnd(.5,1)
cloudpvt=CreatePivot(cloudpivot(b))
PositionEntity cloudpvt,xx,yy,zz,True
For a=1 To 50



If (a<2)
;spr=CreateSprite(cloudpvt)
cpr=spr
EntityTexture spr,cloudtex(Rand(1,8)),0,0
ScaleSprite spr,50,50
SpriteViewMode spr,1
y#=Rnd(10)
PositionEntity spr,Rnd(100),80+y,Rnd(10),0
col=(y*25.6)+127
col=255
EntityColor spr,255,255,255;Rnd(127)+128,Rnd(127)+128,Rnd(127)+128
EntityAlpha spr,.1
EntityFX spr,1
Else
;spr=CopyEntity(cpr,cloudpvt)
EntityTexture spr,cloudtex(Rand(1,8)),0,0
PositionEntity spr,Rnd(100),80+y,Rnd(10),0
EntityColor spr,255,255,255;Rnd(127)+128,Rnd(127)+128,Rnd(127)+128
EndIf

Next
Next


;Main loop
Repeat
usc=usc+.01
UpdateWorld 0
RenderWorld 0



	milli=MilliSecs()
	diff=milli-lastmilli
	lastmilli=milli
	
	;HelpText
	Color 0,0,0
SetFont font
	
Rect 0,0,300,100
	
;	Text 0,0,"Frames per second:"+GetFPS()+", triangles:"+TrisRendered(),0,0
Color 255,255,255

Text 1,0,"Frames per second:"+GetFPS()+", triangles:"+TrisRendered(),0,0
;Text 0,40,"Get close the santas and scare the heck out of them by clicking on them, they won't expect it at all...",0,0
;Text 0,60,"Use [del] [pgdn] to correct camera roll if needed, cursors to move cam, mouse to rotate cam",0,0
;Text 0,80,"Santas scared="+score,0,0
;Text 0,100,"Time taken="+Int(time/1000.0),0,0
;
;Text 0,160,"[Esc] to end this poor excuse for a game",0,0
;

Text 0,20,"Host machine using:"+wver$,0,0

Color 255,0,0
If (terrain_detail>5000) Color 255,255,0
If (terrain_detail>10000) Color 0,255,0
Text 0,40,"Terrain detail set at :"+Int(terrain_detail)+" triangles",0,0

Color 0,255,255
Text 0,60,"(Keys O and P to change detail setting....)"
Text 0,80,"Change wireframe setting with w key"

ent=CameraPick(cam,MouseX(),MouseY())


If KeyHit(17)
wire=1-wire
If wire 
WireFrame 1
Else
WireFrame 0
EndIf
EndIf

If KeyDown(24)
If terrain_detail>20 terrain_detail=terrain_detail-10
TerrainDetail terrain,terrain_detail,True
EndIf

If KeyDown(25)
If terrain_detail<500000 terrain_detail=terrain_detail*1.004
TerrainDetail terrain,terrain_detail,True
EndIf

If (MouseHit(1))

If (ent<>0) 
If (EntityDistance(cam,ent)<50)
For a=1 To num
If model(a)=ent
If Not(scare(a))
scare(a)=True
SoundPitch sound,Rnd(20000)+60000
chn=PlaySound(sound)
ChannelVolume chn,.2 ;bit annoying this sound, toning it down a tad
score=score+1
EndIf
EndIf
Next
Else
closertime=MilliSecs()

EndIf
Else
nowt=MilliSecs()
EndIf
EndIf



difff=MilliSecs()-closertime
plop=2000

If (difff<2000)
SetFont font2
Text GraphicsWidth()/2.0,GraphicsHeight()/2.0,"Get closer to this dude to scare him",True,0
SetFont font
Else
If (MilliSecs()-nowt<2000)
SetFont font2

Text GraphicsWidth()/2.0,GraphicsHeight()/2.0,"Clicking on nothing",True,0
SetFont font
EndIf
EndIf



PositionEntity cam,EntityX(cam,True),(TerrainHeight(terrain,EntityX(cam,True),EntityZ(cam,True))*64)+3,EntityZ(cam,True),True
Flip False

For a=1 To num
TurnEntity model(a),0,0,0,True
MoveEntity model(a),0,0,speed(a)
dy#=(DeltaYaw(model(a),cam))
If Abs(dy)<90
If EntityDistance(model(a),cam)<30
TurnEntity model(a),0,.5*diff*Sgn(dy),0,True
speed(a)=speed(a)*1.2
If chnl=0 chnl=PlaySound(sound2)
EndIf
EndIf



If chnl<>0
If Not(ChannelPlaying(chnl)) chnl=0
EndIf
RotateEntity cam,EntityPitch(cam,True),EntityYaw(cam,True),0,True



turn=False
If (EntityX(model(a),True)<0) Or (EntityX(model(a),True)>255) turn=True
If (EntityZ(model(a),True)<0) Or (EntityZ(model(a),True)>255) turn=True



If turn TurnEntity model(a),0,.1*diff,0,True



ht#=TerrainHeight(terrain,EntityX(model(a),True),EntityZ(model(a),True))
If scare(a)=True
PositionEntity model(a),EntityX(model(a),True),EntityY(model(a),True)+(diff*.05),EntityZ(model(a),True),True
Else
PositionEntity model(a),EntityX(model(a),True),(ht*64),EntityZ(model(a),True),True
EndIf
Next

	ct=ct+1
	move#=.01
	CamMove cam,move,diff

;yaw=1
;PositionEntity light,EntityX(cam,True),EntityY(cam,True)-10,EntityZ(cam,True),True
RotateEntity light,EntityPitch(cam,True),EntityYaw(cam,True),EntityRoll(cam,True),True

yaw=(diff*.1)

For a=1 To 20
TurnEntity cloudpivot(a),0,diff*(cloudspeed(a)*.005),0,True
Next

.poo

Until KeyDown(1) ;Esc =exit

EndGraphics

Cls
Flip
mo=MilliSecs()
Print statistics
Print ""
Print "Seconds passed:"+(mo-mi)/1000.0

WaitKey
End


Function bank_load(f$)
fs=FileSize(f$)
bank=CreateBank(fs)
r=ReadFile(f$)
ReadBytes bank,r,0,fs
CloseFile r
Return bank
End Function