DebugLoud
Include "includes\cam_generic.hb"
Include "includes\gfx_generic.hb"


;dx_ask
GetBestGfxMode

file$=RequestFile$("Please select a video file to play...","all video files|*.divx;*.mpg;*.avi;*.mp4;*.mkv|mpg files|*.mpg|avi files|*.avi|mp4 files|*.mp4|mkv files|*.mkv|divx files|*.divx",0,CurrentDir())

;libvlc can be downloaded from http://www.videolan.org/

If file$=""
RuntimeError "Looks as though someone forgot to supply a movie file to play on hardwired - shame on you"
End
EndIf

AppTitle "Direct x 9 test window"
ShowMouse

vid=VidLoad(file$)



vidtex=CreateTexture(VidWidth(vid),VidHeight(vid),9,0)
VidTexture vid,vidtex
VidPlay vid

For a=1 To 100
If a=1
cube=CreateCube(0)
orig=cube
Else
cube=CopyEntity(orig,0)
EndIf
PositionEntity cube,Rnd(-50,50),Rnd(-50,50),Rnd(-50,50),True
EntityTexture cube,vidtex,0,0

If a=1
cube=CreateSphere(16,0)
orig2=cube
Else
cube=CopyEntity(orig2,0)
EndIf
PositionEntity cube,Rnd(-50,50),Rnd(-50,50),Rnd(-50,50),True
EntityTexture cube,vidtex,0,0

Next

cam=CreateCamera(0)

AmbientLight 255,255,255

diff#=0
lastmilli=MilliSecs()

scal#=1

factor#=.9999

Repeat

ScaleTexture vidtex,scal,scal
scal=scal*factor

If scal>1 Or scal<=.1 factor=1/factor

	milli=MilliSecs()
	diff=milli-lastmilli
	lastmilli=milli

RenderWorld 0
Text 0,0,"Video demo; Fps:"+GetFPS(),0,0
Text 0,16,"[Esc] to quit",0,0

Text 0,30,vid,0,0
Text 0,50,VidTrackCount(vid),0,0

Text 0,70,"Width:"+VidWidth(vid),0,0
Text 0,90,"Height:"+VidHeight(vid),0,0
Text 0,110,"Duration(ms):"+VidDuration(vid)/1000.0/60,0,0
Text 0,130,"Currently playing:"+VidPlaying(vid),0,0
Text 0,150,"Current position (ms):"+VidGetPosition(vid),0,0

Text GraphicsWidth()/2.,0,file$,True,False

UpdateWorld 0

Flip 0
TurnEntity cube,diff*.005,diff*.01,0,False
	move#=.01
	CamMove cam,move,diff
Until KeyDown(1)
FreeVid vid
End