dxDebugLoudAndHarsh
dxUseDirectX11 True
;dx11SoftwareEmulation
Include "includes\cam_generic.bb"
dxSetVSync False
dxGraphics3D 1920,1080,32,1

tex=dxLoadTexture("images\brick.jpg",1)
tex2=dxLoadTexture("images\earth.jpg",1)

Const numcubes=100

Dim cube(numcubes)

For a=1 To numcubes
cube(a)=dxCreateCube(0)
If (a<50) dxEntityWireframe cube(a),True
If (a<25) dxEntityPointframe cube(a),True
dxMoveEntity cube(a),dxRnd(-100,100),dxRnd(-100,100),dxRnd(-100,100)
dxEntityTexture cube(a),tex,0,0
dxEntityTexture cube(a),tex2,0,1
dxEntityColor cube(a),Rnd(127)+128,Rnd(127)+128,Rnd(127)+128
dxEntityAlpha cube(a),Rnd(1)
Next

dxTextureBlend tex,2
dxTextureBlend tex2,2

cam=dxCreateCamera(0)

dxCameraClsColor cam,0,255*.2,255*.4

diff#=0
lastmilli=MilliSecs()

fpsav=0
ang#=0
Repeat
dxRotateTexture tex2,ang
dxRotateTexture tex,-ang
ang=ang+.01
	milli=MilliSecs()
	diff=milli-lastmilli
	lastmilli=milli

dxRenderWorld 0

For a=1 To numcubes
dxTurnEntity cube(a),.01*diff,.02*diff,0,True
Next

fpsav=(fpsav+dxGetFPS())/2.0

dxFlip False

move#=.01
camMove cam,move,diff

tr=dxTrisRendered()

Until dxKeyDown(1)
dxEndGraphics
FlushKeys
Print
Print "Fps average:"+fpsav

WaitKey

End