; CaptureWorld and RenderWorld with tween. 

; Left/Right arrow keys change tween. Escape quits. 

Const width = 640, height = 480 
Const KEY_ESC = 1, KEY_LEFT = 203, KEY_RIGHT = 205 

dxGraphics3D 640, 480,32,2
dxAmbientLight 50, 50, 50 

c1 = dxCreateCone(8,True,0) 
dxPositionEntity c1, -5, 0, 0,True ; on the left side of the screen 
dxScaleEntity c1, 1, 3, 1 ,True
dxEntityColor c1, 255, 0, 0 
dxEntityShininess c1,1
cam = dxCreateCamera(0) 
dxPositionEntity cam, 0, 0, -50 ,True
dxCameraZoom cam, 4 

lt = dxCreateLight(1,0) : dxTurnEntity lt, 30, 40, 0 ,True


c2 = dxCopyEntity( c1,0 ) 
dxEntityShininess c1,1

dxCaptureWorld ; with c1 and c2 identically placed 

dxMoveEntity c2, 8, 0, 0 ; to the right side of the screen 
dxTurnEntity c2, 0, 0, 90,True ; and tilted 

tw# = 100 ; 100 * tween 

; Interpolate between the pre-CaptureWorld ( tween = 0 ) 
; arrangement and the current one ( tween = 1 ). 

While Not dxKeyDown( KEY_ESC ) 

If dxKeyDown( KEY_LEFT ) Then tw = tw - 1 
If dxKeyDown( KEY_RIGHT ) Then tw = tw + 1 
dxRenderWorld tw / 100 
dxText 250, 100, "tween = " + ( tw / 100 ) ,0,0
dxFlip  1
dxTurnEntity lt,0,1,0,True
Wend 

End 