Include "includes\cam_generic.bb"
Include "includes\gfx_generic.bb"

dxDebugLoudAndHarsh

GetBestGfxMode

dxAmbientLight 64,64,64

cub=dxCreateSphere(32,0)

cam=dxCreateCamera(0)
dxCameraClsColor cam,127,127,127

diff#=0
lastmilli=MilliSecs()

erf=dxLoadTexture("images\earth.jpg",9)
dxEntityTexture cub,erf,0,0

dxEntityAlpha cub,0.5

vertex_shader=dxCreateVertexShader("","shaders\vertex_shader.txt","main","vs_3_0")
world_matrix=dxAddShaderConstant(vertex_shader,"worldMatrix",11,0)
projection_matrix=dxAddShaderConstant(vertex_shader,"projectionMatrix",12,0)
view_matrix=dxAddShaderConstant(vertex_shader,"viewMatrix",13,0)

pixel_shader=dxCreatePixelShader("","shaders\color_shader.txt","main","ps_2_0")
redadd=dxAddShaderConstant(pixel_shader,"red_add",1,0)
greenadd=dxAddShaderConstant(pixel_shader,"green_add",1,0)
blueadd=dxAddShaderConstant(pixel_shader,"blue_add",1,0)

name$=dxGetShaderConstantClass(shader,1)
typ=dxGetShaderConstantType(shader,1)

;Set all to 0 colour offset in RGB
dxSetFloatShader pixel_shader,redadd,0
dxSetFloatShader pixel_shader,greenadd,0
dxSetFloatShader pixel_shader,blueadd,0

ra#=0
ga#=0
ba#=0

dxEntityVertexShader cub,vertex_shader
dxEntityPixelShader cub,pixel_shader

dxMoveEntity cam,0,0,-2

Repeat

dxSetFloatShader pixel_shader,redadd,ra
dxSetFloatShader pixel_shader,greenadd,ga
dxSetFloatShader pixel_shader,blueadd,ba

	milli=MilliSecs()
	diff=milli-lastmilli
	lastmilli=milli

ra=ra+(diff/1000.0)
While ra>1
ra=ra-1
Wend

ga=ga+(diff/1300.0)
While ga>1
ga=ga-1
Wend

ba=ba+(diff/1500.0)
While ba>1
ba=ba-1
Wend

	move#=.01
CamMove cam,move,diff

dxRenderWorld 0
dxMoveEntity cub,0,0,.0001

dxFlip 0

Until dxKeyDown(1)
dxEndGraphics
End