;Create 3d animation example

;dxDebugLoudAndHarsh
dxDebugLoud

Include "includes\cam_generic.bb"
Include "includes\gfx_generic.bb"

;dxSetWindowDefaults False,False,False,False,False
GetBestGfxMode

;Set up a simple nice looking level
;dxGraphics3D 640,480,32,1
camera=dxCreateCamera(0)
;dxPositionEntity camera,0,12,-12,1
;dxRotateEntity camera,35,0,0,1
light=dxCreateLight(2,0)
dxPositionEntity light,1000,1000,-1000,1
;ground=CreatePlane(2)
;EntityAlpha ground,0.5
;EntityColor ground,0,0,255
;mirror=CreateMirror()

;Lets make a bouncing ball that squashes on impact with the floor.
ball=dxCreateSphere(16,0)
dxEntityShininess ball,1
dxEntityColor ball,255,0,0

; Lets animate him and "record" the 3D animation for later playback
bloat#=0 : flatten#=0 : ypos#=10

For frame=1 To 10
;Drop the ball from height 10 to 2
ypos = ypos - spd#
spd#=spd#+.2
dxPositionEntity ball,0,ypos,0,1
dxScaleEntity ball,1+bloat,1+flatten,1+bloat,1

;If the ball is low enough make it look increasingly squashed
If frame>8
bloat=bloat+1.5
flatten=flatten-.25
Else
flatten=flatten+.05
EndIf

;Record the frame!
dxSetAnimKey ball,frame,True,True,True
;Stop
Next

;Now we need to add the frames we've just made to the sequence of "film"!
seq = dxAddAnimSeq(ball,frame-1) ; total number of frames
spd#=.5
;Play it back ping-pong!
dxAnimate ball,2,0.15,1,1
While Not dxKeyHit(1)
dxUpdateWorld spd
spd=spd*1.0001
dxRenderWorld 1
dxFlip 0
Wend
End
