;loadb3d test
;dx_ask
Include "includes\cam_generic.bb"
Include "includes\gfx_generic.bb"
dxDebugLoud
;dxSetWindowDefaults False,False,False,False,False
GetBestGfxMode
;WinGfxMode

dxApptitle "Direct x 9 test window",""
dxShowMouse

font=dxLoadFont("times",20,0,0,0)
dxSetFont font

;dxHWShaders True

floorr= dxCreateCube(0)
dxScaleEntity floorr,1200,1,1200,True
dxMoveEntity floorr,1000,0,1000
tex=dxLoadTexture("images\brick.jpg",9)
dxScaleTexture tex,.1,.1
dxEntityTexture floorr,tex,0,0


dwarf=dxLoadMesh("models\dwarf1.b3d",0)
;dwarf=dxLoadMesh("models\sim.x",0)
tex=dxLoadTexture("images\dwarf.jpg",9)
tex2=dxLoadTexture("images\axe.jpg",9+4)

dxEntityTexture dwarf,tex,0,0
dxSurfaceTexture dxGetSurface(dwarf,4),tex2,0,0

Const array_size=400
Const x_size=20
Const z_size=20

instance=dxCreateInstancer(True,0,0,0,0)
dxInstancerAddElements instance,array_size
;
;

Dim y_pos#(array_size)
Dim max_height#(array_size)
Dim waiting(array_size)
Dim dir(array_size)
Dim speed(array_size)
Dim spin_speed#(array_size)

element=1
For x=0 To x_size-1
For z=0 To z_size-1
dxInstancerPositionElement(instance,element,x*100,0,z*100)
dxInstancerRotateElement(instance,element,0,Rnd(360),0)
sca#=Rnd(.4)+.8;
dxInstancerScaleElement(instance,element,sca,sca,sca)

If (Rnd(1)<.5) dxInstancerElementActivate(instance,element,False)

spin_speed(element)=Rnd(2)-1
element=element+1
Next
Next

dxInstancerHookEntity instance,dwarf
;dxFreeInstancerElement instance,201
ne=dxInstancerCountElements(instance)

cam=dxCreateCamera(0)
dxCameraRange cam,.1,10000

dxMoveEntity cam,0,150,0
dxTurnEntity cam,0,-40,-5,True

light=dxCreateLight(1,0)

dxAmbientLight 255,255,255
dxUpdateNormals dwarf
dxPositionEntity dwarf,0,0,100,True

;dxEntitySepia dwarf,True
dxEntitySimpleBlur dwarf,True
;dxMeshSimplify dwarf,0,0,0,25

;dxFitMesh dwarf,0,0,0,1,1,1,True

;dxEntityAlpha dwarf,.5
;dxSurfaceAlpha dxGetSurface(dwarf,4),.5

diff#=0
lastmilli=MilliSecs()

;dxMoveEntity cam,0,-dxMeshHeight(dwarf)/2,0

tex=dxCreateTexture(256,256,1,1+128)

Repeat

a=1
For x=0 To x_size-1
For z=0 To z_size-1

If (waiting(a)=0)
If Rnd(300)<2
waiting(a)=1
dir(a)=1
max_height(a)=Rnd(50)+1
speed(a)=Rnd(1)+.2
EndIf
Else

If dir(a)=1
y_pos(a)=y_pos(a)+(speed(a)*diff)
If y_pos(a)>max_height(a)
dir(a)=0
EndIf

Else
y_pos(a)=y_pos(a)-(.06*diff)
If y_pos(a)<0
y_pos(a)=0
waiting(a)=0
EndIf
EndIf

dxInstancerPositionElement(instance,a,x*100,y_pos(a),z*100)

EndIf

dxInstancerTurnElement instance,a,0,.0001*spin_speed(a)*diff,0

a=a+1
Next
Next

	milli=MilliSecs()
	diff=milli-lastmilli
	lastmilli=milli

dxRenderWorld 0
dxText 0,0,dxGetFPS(),0,0
dxText 0,24,"Welcome to the annual dwarf crazy jumping competition.....",0,0
dxText 0,50,"Window width:"+dxWindowWidth(),0,0
dxFlip 0
;dxTurnEntity dwarf,0,diff*.1,0,False
	move#=.1
camMove cam,move,diff

fpsav=(fpsav+dxGetFPS())/2.0

Until dxKeyDown(1) 

dxEndGraphics

Print
Print "Fps average:"+fpsav
FlushKeys
Delay 2000
WaitKey

End