Global ypos

;loadb3d test
;dx_ask

;dxDebugLoudAndHarsh
dxDebugLoud

Include "includes\cam_generic.bb"
Include "includes\gfx_generic.bb"

;dxSetWindowDefaults False,False,False,False,False
GetBestGfxMode
;WinGfxMode

dxApptitle "Direct x 9 test window"
dxShowMouse

d2=dxLoadMesh("models\dwarf1.b3d",0)
dwarf=dxLoadAnimMesh("models\dwarf1.b3d",0)
dxEntityAlpha d2,.3

Print "Bone count:"+dxCountBones(dwarf)
Print "Root bone: "+dxGetRootBone(dwarf,1)+":"+dxBoneName(dwarf,dxGetRootBone(dwarf,1))

For bn=1 To dxCountBones(dwarf)
a$=bn+":"+dxBoneName(dwarf,bn)+" has "+dxCountBoneChildren(dwarf,bn)

If (dxCountBoneChildren(dwarf,bn)>0)
a$=a$+"-> "
For b=1 To dxCountBoneChildren(dwarf,bn)
a$=a$+dxBoneName(dwarf,dxGetBoneChild(dwarf,bn,b))+" "
Next
EndIf
;EntityBlend
cub=dxCreateCube(0)
dxEntityOrder cub,-1
h#=dxBoneX(dwarf,bn,1,1)
dxPositionEntity cub,dxBoneX(dwarf,bn,1,1),dxBoneY(dwarf,bn,1,1),dxBoneZ(dwarf,bn,1,1),True
Next
;dxFlip 0
;dxWaitKey

dxSurfaceAlpha dxGetSurface(dwarf,4),0

tex=dxLoadTexture("images\dwarf.jpg",9)
tex2=dxLoadTexture("images\axe.jpg",9)
dxEntityTexture dwarf,tex,0,0
dxSurfaceTexture dxGetSurface(dwarf,4),tex2,0,0
sur=dxCountSurfaces(dwarf)

dxEntityFX dwarf,1

cam=dxCreateCamera(0)

;dxMoveEntity cam,0,0,-5

light=dxCreateLight(1,0)
dxPositionEntity light,128,100,128,True

dxCameraRange cam,.01,1000

dxCameraClsColor cam,127,127,127

dxAmbientLight 255,255,255

dxEntityColor dwarf,255,255,255
diff#=0
lastmilli=MilliSecs()

dxAnimate dwarf,2,0.15,1,1


;dxHideEntity dwarf

Repeat

	milli=MilliSecs()
	diff=milli-lastmilli
	lastmilli=milli

dxUpdateWorld 5
dxRenderWorld 0

dxText 0,0,"Fps:"+dxGetFPS(),0,0
dxText 0,20,"Anim time:"+dxAnimTime(dwarf),0,0
dxText 0,40,"Bone count:"+dxCountBones(dwarf),0,0
dxText 0,60,"Bone 1's name:"+dxBoneName(dwarf,1),0,0
dxText 0,80,"Bone 1 has "+dxCountBoneChildren(dwarf,1)+" children: "+dxBoneName(dwarf,1),0,0
dxText 0,100,"Bone 1 has "+dxCountBoneSiblings(dwarf,1)+" siblings",0,0
dxText 0,120,"Bone 1's root bone is bone number "+dxGetRootBone(dwarf,1),0,0

dxFlip 0
	move#=.01
camMove cam,move,diff

fpsav=(fpsav+dxGetFPS())/2.0

Until dxKeyDown(1) 

dxEndGraphics

Print""
Print "Fps average:"+fpsav
Print sur
FlushKeys
Delay 2000
WaitKey

End

Function dPrint(tex$)
dxText 0,ypos,Tex$,0,0
ypos=ypos+12
End Function