;loadb3d test
;dx_ask
Include "includes\cam_generic.bb"
Include "includes\gfx_generic.bb"
dxDebugLoudAndHarsh
;dxSetWindowDefaults False,False,False,False,False
GetBestGfxMode
;WinGfxMode

dxApptitle "Direct x 9 test window"
dxShowMouse

font=dxLoadFont("times",20,0,0,0)
dxSetFont font

;dxHWShaders True

terrain=dxLoadTerrain("images\height_map.bmp",0)
grass=dxLoadTexture("images\grass3.jpg",9)
dxEntityTexture terrain,grass,0,0
dxScaleEntity terrain,10,256,10,True

dwarf=dxLoadMesh("models\dwarf1.b3d",0)
;dwarf=dxLoadMesh("models\sim.x",0)
tex=dxLoadTexture("images\dwarf.jpg",9)
tex2=dxLoadTexture("images\axe.jpg",9+4)
dxEntityTexture dwarf,tex,0,0
dxSurfaceTexture dxGetSurface(dwarf,4),tex2,0,0

instance=dxCreateInstancer(True,0,0,0,0)
dxInstancerAddElements instance,400

Dim y_pos#(400)
Dim max_height#(400)
Dim waiting(400)
Dim dir(400)
Dim speed(400)
Dim spin_speed#(400)


element=1
For x=0 To 19
For z=0 To 19
dxInstancerPositionElement(instance,element,x*100,(dxTerrainHeight(terrain,x*10,z*10)*256)+20,z*100)
dxInstancerRotateElement(instance,element,0,Rnd(360),0)

;dxPositionEntity cam,dxEntityX(cam,True),(dxTerrainHeight(terrain,dxEntityX(cam,True),dxEntityZ(cam,True))*64)+3,dxEntityZ(cam,True),True

sca#=Rnd(.4)+.8;
;dxInstancerScaleElement(instance,element,10,10,10)
spin_speed(element)=Rnd(2)-1
element=element+1
Next
Next

dxInstancerHookEntity instance,dwarf

cam=dxCreateCamera(0)
dxCameraRange cam,.1,10000

dxMoveEntity cam,0,150,0
dxTurnEntity cam,0,-40,-5,True

dxAmbientLight 255,255,255
dxUpdateNormals dwarf
dxPositionEntity dwarf,0,0,100,True

;dxMeshSimplify dwarf,0,0,0,25

;dxFitMesh dwarf,0,0,0,1,1,1,True

;dxEntityAlpha dwarf,.5
;dxSurfaceAlpha dxGetSurface(dwarf,4),.5

diff#=0
lastmilli=MilliSecs()

;dxMoveEntity cam,0,-dxMeshHeight(dwarf)/2,0

tex=dxCreateTexture(256,256,1,1+128)

Repeat

;a=1
;For x=0 To 19
;For z=0 To 19
;
;If (waiting(a)=0)
;If Rnd(300)<2
;waiting(a)=1
;dir(a)=1
;max_height(a)=Rnd(50)+1
;speed(a)=Rnd(1)+.2
;EndIf
;Else
;
;If dir(a)=1
;y_pos(a)=y_pos(a)+(speed(a)*diff)
;If y_pos(a)>max_height(a)
;dir(a)=0
;EndIf
;
;Else
;y_pos(a)=y_pos(a)-(.06*diff)
;If y_pos(a)<0
;y_pos(a)=0
;waiting(a)=0
;EndIf
;EndIf
;
;dxInstancerPositionElement(instance,a,x*100,(dxTerrainHeight(terrain,x*10,z*10)*256)+20+y_pos(a),z*100)
;
;EndIf
;
;dxInstancerTurnElement instance,a,0,.0001*spin_speed(a)*diff,0
;
;a=a+1
;Next
;Next

	milli=MilliSecs()
	diff=milli-lastmilli
	lastmilli=milli

dxRotateEntity cam,dxEntityPitch(cam,True),dxEntityYaw(cam,True),0,True

dxRenderWorld 0
;dxText 0,0,dxGetFPS(),0,0
;dxText 0,24,"Welcome to the annual dwarf crazy jumping competition.....",0,0
dxText 100,100,dxGetDebugFloat(),0,0
dxFlip 0
;dxTurnEntity dwarf,0,diff*.1,0,False
	move#=.1
camMove cam,move,diff

fpsav=(fpsav+dxGetFPS())/2.0

Until dxKeyDown(1) 

dxEndGraphics

Print
Print "Fps average:"+fpsav
FlushKeys
Delay 2000
WaitKey

End