;INVASION OF THE COLOURED TEAPOTS - not just for fun!!!
;Version 7
;
;With special guest star - PUMPKIN Pumpsinson and his dancing band of extruded letters
;Also appearing - Annoying Moving Squares!!!
;And now: the incriddible Mr. Neil Armstrong(kinda lost in space but more stable).

;init gfx mode

dxDebugLoud

Include "includes\cam_generic.bb"
Include "includes\gfx_generic.bb"
GetBestGfxMode

dxSetFilters 2,2,2

dxApptitle "Direct x 9 test window"
dxShowMouse

font=dxLoadFont("arial",50,0,0,0)
font2=dxLoadFont("times",18,True,True,0)
dxSetFont font
;entityfx
Dim shader(7)
For a=1 To 7
	shader(a)=dxCreatePixelShader("","shaders\shader"+a+".txt","main","ps_2_0")
Next

rectx=0
recty=0
rectxdir=1
rectydir=1

dxClsColor 0,0,0
dxCls



img=dxCreateImage(32,32,1)

mdes=dxCountGfxModes3D()

cubemap=dxCreateTexture(1024,1024,9+128+1024,1)

par=dxCreateMesh(0)

;Teapot
tex=dxLoadTexture("images\brick.jpg",1) ;enable alpha display so can play around with it
w#=dxTextureWidth(tex)
dxLockBuffer dxTextureBuffer(tex)
For y=0 To dxTextureHeight(tex)-1
For x=0 To dxTextureWidth(tex)-1
rgb=dxReadPixelFast(x,y,tex) And $ffffff
dxWritePixelFast x,y,rgb Or (((x/w)*255.0) Shl 24),dxTextureBuffer(tex);$00000000 Or (rgb And $ffffff),tex
Next
Next
dxUnLockBuffer dxTextureBuffer(tex)

dxBufferInvert(tex,100,100,100,100)

dxEntityTexture teapot,tex,0,0
dxTextureBlend tex,2
texblend=2

;Brickwall
;mesh=dxCreateMesh(0)
mesh=dxCreateCube(0)
dxScaleEntity mesh,10,10,1,True
;surf=dxCreateSurface(mesh)
;dxAddVertex surf,0,0,0,0,0,0
;dxAddVertex surf,10,0,0,1,0,0
;dxAddVertex surf,10,10,0,0,1,0
;dxVertexColor surf,0,255,255,0,1
;dxVertexColor surf,1,0,255,255,1
;dxVertexColor surf,2,255,0,255,1
;dxVertexCoords surf,0,0,0,6
;dxAddTriangle surf,0,2,1
;dxUpdateNormals mesh
dxEntityTexture mesh,tex,0,0
dxEntityAlpha mesh,1
cam=dxCreateCamera(0)
dxCameraRange cam,1,100
dxMoveEntity mesh,0,0,5

;CLOCK
;Cube(centerpiece)
rentex=dxCreateTexture(256,256,9+1024,1)
cube=dxCreateSphere(32,0)
dxScaleEntity cube,3,3,3,1
dxEntityColor cube,127,255,127
dxEntityTexture cube,rentex,0,0

;Spheres(hours)
erf=dxLoadTexture("images\earth.jpg",9)

img=dxCreateImage(100,100,1)
dxCopyRect 0,0,100,100,0,0,dxTextureBuffer(erf),dxImageBuffer(img)
dxCopyRect 0,0,100,100,200,200,dxImageBuffer(img),dxTextureBuffer(erf)

suittex=dxLoadTexture("images\astnt1_1.tga",9)

;Astronaut
model=dxLoadMesh("models\Astronauta.x",0)
dxEntityTexture model,suittex,1,0
dxScaleEntity model,.05,.05,.05,1
dxTurnEntity model,0,180,0,1
;dxSurfaceFx dxGetSurface(model,1),128
;dxSurfaceTexture dxGetSurface(model,1),erf,0,0
dxSurfaceTexture dxGetSurface(model,2),0,0,0
;dxSurfaceColor dxGetSurface(model,1),255,255,255
dxSurfaceColor dxGetSurface(model,2),0,0,0
dxEntityColor model,255,255,255
dxEntityAlpha model,1
dxEntityFX model,1
;dxSurfaceFx dxGetSurface(model,2),1
dxRotateMesh model,0,180,0
dxPositionMesh model,0,30,0

;I missed the Pumpkin..  (so did I)
model2=dxLoadMesh("models\model.x",par)
dxEntityAlpha model2,.5

;num=1
;red=dxSurfaceRed(dxGetSurface(model2,num))
;green=dxSurfaceRed(dxGetSurface(model2,num))
;blue=dxSurfaceRed(dxGetSurface(model2,num))
;dxEndGraphics
;Print red
;Print green
;Print blue
;WaitKey
;End

dxPositionMesh model2,15,0,0
mw#=dxMeshHeight(model2)
dxScaleEntity model2,.3,.3,.3,1
dxPositionEntity model2,0,0,1,True

norm=dxLoadTexture("images\norm.jpg",1)
dxTextureBlend norm,4
Dim sphere(12)
For a=1 To 12
If a=1
sphere(a)=dxCreateSphere(32,model2)
Else
sphere(a)=dxCopyEntity(sphere(1),model2)
EndIf
dxEntityAlpha sphere(a),0.1
;dxEntityFX sphere(a),1
dxEntityTexture sphere(a),erf,0,1
dxEntityTexture sphere(a),norm,0,0
dxPositionEntity sphere(a),Sin(a*30)*5,Cos(a*30)*5,0,1
Next

;Ribbons
torus=dxCreateTorus(5,65,10,50)
torus2=dxCreateTorus(5,85,10,50)
texscale#=1
;Light
light=dxCreateLight(1,0)
dxLightColor light,0,0,0;255,255,255
;dxAmbientLight 0,0,0;255,255,255
;dxAmbientLight 255,255,255
;dxEntityFX model2,1

;Teapots
Dim tp(50)
For a=1 To 50

If a=1
tp(a)=dxCreateTeapot(0)
;tp(a)=dxCreateSphere(16,0)
;tp(a)=dxLoadMeshX("models\sim.x",0)
Else
;tp(a)=dxCopyEntity(tp(1),0)
;tp(a)=dxCreateTeapot(0)
tp(a)=dxCreateSphere(16,0)
EndIf
;dxUpdateNormals tp(a)

dxEntityFX tp(a),64
dxPositionEntity tp(a),dxRnd(0,100)-50,dxRnd(0,100)-50,dxRnd(0,100)-50,1
s=Rand(3)
Select s
Case 1
dxEntityWireframe tp(a),True
Case 2
dxEntityPointframe tp(a),True
End Select

dxScaleEntity tp(a),dxRnd(0,2)+1,dxRnd(0,2)+1,dxRnd(0,2)+1,True
dxRotateEntity tp(a),0,dxRnd(0,360),0,0
Next

;Colors
;dxEntityColor torus,0,0,255
dxEntityColor torus2,0,255,0
dxRotateEntity torus,90,0,0,True

dxEntityTexture torus,erf,0,0

mi=MilliSecs()
ct=0
posx#=0

;2D =initially off
toodee=False

;Cam
dxCameraFogMode cam,1
dxCameraFogRange cam,1,100
dxCameraFogColor cam,0,0,0
dxPositionEntity cam,0,0,-15,True

;Texts
dx3DFont("arial",0,1,0,0)
text2=dxCreateText("SPACEMAN CLOCK",.1)
dxPositionEntity text2,-8,-4,3,1

cam2=dxCreateCamera(0)
dxCameraRange cam2,1,100
dxCameraFogMode cam2,1
dxCameraFogRange cam2,1,100
dxCameraFogColor cam2,0,0,0
dxPositionEntity cam2,0,0,0,True
dxCameraProjMode cam2,0

fpsmesh=0
texblend=4

pulse#=64
add#=.1

diff#=0
lastmilli=MilliSecs()

usc#=1
vsc#=1
ang#=0
cr=False

For a=1 To 12
dxEntityParent sphere(a),cube
Next

px#=0
dxEntityTexture cube,cubemap,0,0

;Main loop
Repeat

dxMoveEntity cube,0,0,-0.001
dxTurnEntity cube,diff*.04,diff*.04,0,True

If dxEntityInView(cube,cam)
dxHideEntity cube

dxCameraProjMode cam2,1
dxCameraProjMode cam,0

For a=0 To 5
Select a
Case 0:dxRotateEntity cam2,0,90,0,True
Case 1:dxRotateEntity cam2,0,0,0,True
Case 2:dxRotateEntity cam2,0,-90,0,True
Case 3:dxRotateEntity cam2,0,180,0,True
Case 4:dxRotateEntity cam2,-90,0,0,True
Case 5:dxRotateEntity cam2,90,0,0,True
End Select
dxSetCubeFace cubemap,a
dxRenderToTexture cubemap
dxRenderWorld 0
Next
dxRenderToScreen

dxCameraProjMode cam,1
dxCameraProjMode cam2,0

dxPositionTexture	tex,usc,0
dxShowEntity cube
EndIf

usc=usc+(diff*.0001)
	dxRenderWorld 0

	milli=MilliSecs()
	diff=milli-lastmilli
	lastmilli=milli
	
	;Display 2D if enabled
	If toodee=True
		For a=1 To 10
			dxPlot dxRnd(0,100),dxRnd(0,100)
		Next
		
		bld=bld+1
		dxEntityBlend model,bld
		If bld=300 bld=1
		rectx=rectx+rectxdir
		recty=recty+rectydir
		If rectx=0 Or rectx=dxGraphicsWidth()-200 rectxdir=-rectxdir
		If recty=0 Or recty=dxGraphicsHeight()-200 rectydir=-rectydir
		
		For a=1 To 20
			dxColor dxRnd(0,127)+128,dxRnd(0,127)+128,dxRnd(0,127)+128
			dxOval dxRnd(0,100),dxRnd(0,100),dxRnd(0,100)+50,dxRnd(0,100)+50,dxRnd(0,2)
			x1#=dxRnd(0,100);+(dxGraphicsWidth()-300)
			y1#=dxRnd(0,100)
			x2#=dxRnd(0,100);+(dxGraphicsWidth()-200)
			y2#=dxRnd(0,100)+50
			dxLine x1,y1,x2,y2
		Next
	EndIf
	
	;BlendControls
	dxTextureBlend norm,texblend
	If dxKeyHit(24) texblend=texblend-1 ;O
	If dxKeyHit(25) texblend=texblend+1 ;P

If dxKeyHit(28) cr=1-cr
	dxSetBuffer dxBackBuffer()
	;HelpText
	mo=MilliSecs()
	dxColor 255,255,255
	dxSetFont font
	;dxText 500,500,"This is 2d text",0,0
	dxSetFont font2
	dxText 0,0,"Frames per second:"+dxGetFPS()+", triangles:"+dxTrisRendered()+" cube in view:"+dxEntityInView(cube,cam),0,0

dxTurnEntity model2,0,diff/60.0*5,0,True

If cr=True
For a=1 To 12
dxCopyRect dxRnd(0,100),dxRnd(0,100),dxRnd(0,100)+100,dxRnd(0,100)+100,dxRnd(0,dxGraphicsWidth()),dxRnd(0,dxGraphicsHeight()),dxTextureBuffer(tex),dxBackBuffer()
Next
EndIf

dxFlip 0

	dxSetBuffer tex


	;Clock
	sec=Right$(CurrentTime$(),2)
	dxRotateEntity model,0,0,-(sec/60.0)*360.0,1
	For a=1 To 12
	dxTurnEntity sphere(a),0,diff/Float(a),0,0
	Next	

	ct=ct+1
	If dxMouseDown(1) Exit ;quit if mouse click 
	move#=.01
	CamMove cam,move,diff
	
	If dxKeyHit(57) toodee=1-toodee                                    ;Space
	
	pulse=pulse+(add*1)
	If pulse>255 Or pulse<64 add=-add

texscale=(((pulse-64)/196.0)*5)+1
dxScaleTexture rentex,texscale,texscale

;disable light pulse for the moment
	dxLightColor light,255,255,255
	For a=1 To 50
		dxTurnEntity tp(a),diff/10.0,diff/10.0,0,1
;dxPositionEntity tp(a),dxEntityX(tp(a),True),dxEntityY(tp(a),True),dxEntityZ(tp(a),True)+.01,True
		dxEntityTexture tp(a),tex,0,0
	Next
	;ShaderControls 1-7
	For a=2 To 8
		If dxKeyDown(a)
			dxEntityPixelShader mesh,shader(a-1)
			For b=1 To 50
				;dxEntityPixelShader tp(b),shader(a-1)
			Next
		EndIf
	Next
	;Turn rings
	dxTurnEntity torus,diff/10.0,0,0,True
	dxTurnEntity torus2,0,diff/15.0,0,True

Until dxKeyDown(1) ;Esc =exit
mo=MilliSecs()

dxEndGraphics

;Print statistics
Print ""
Print "Seconds passed:"+(mo-mi)/1000.0
Print "Frames rendered:"+dxFramesRendered()

WaitKey
End
